2009-08-10 05:22  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.56 release

2009-08-09 04:00  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Splits out variable utf8 fixups into
	  a supplemental file to allow more frequent updating

2009-08-09 02:22  knowledgejunkie

	* MANIFEST, Makefile.PL: Add utf8_fixups to distribution

2009-08-09 00:18  knowledgejunkie

	* grab/uk_rt/utf8_fixups: Add a supplemental file that contains
	  UTF-8 fixups to correct bad characters seen in the source data.

2009-08-08 22:44  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Handle yet a few more specific bad
	  UTF-8 char sequences seen in today's data.

2009-08-08 18:56  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Handle a few more specific bad UTF-8
	  char sequences seen in the data. In a future version this will
	  likely be moved into a separate supplement file

2009-08-07 22:58  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Fix up another Monarchy
	  variant

2009-07-31 02:11  knowledgejunkie

	* grab/uk_rt/test.conf: Include Film4 in testing - this is a
	  frequent source of mis-encoded UTF-8 characters

2009-07-31 02:07  knowledgejunkie

	* grab/dk_dr/test.conf: Comment out 2 channels that do not seem to
	  have been providing listings for some time

2009-07-31 01:40  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Ensure output is correctly converted
	  before writing XML, so use Encode::from_to again instead of just
	  Encode::decode. Also ensure that we remove 2-byte UTF-8-encoded
	  non-printing characters instead of their 1-byte ISO-8859-1
	  counterparts, which could themselves be part of multi-byte UTF-8
	  chars. Tidy up some debug messages and perldoc content.

2009-07-30 14:09  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-07-28 04:47  rmeden

	* grab/na_dd/tv_grab_na_dd.in: check for missing callsign before
	  processing as a duplicate

2009-07-28 02:19  knowledgejunkie

	* grab/uk_rt/test.conf: Output UTF-8 instead of ISO-8859-1 during
	  testing

2009-07-28 02:15  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: A change to the way the grabber
	  handles UTF-8 source data. It now uses Encode::decode to convert
	  the source octets into Perl's internal format, after we have
	  attempted to correct mis-encoded UTF-8 octets we find. This
	  update also adds additional bad char handling and debug ouput for
	  remaining mis-encoded characters, and other small changes to
	  debug output. Finally, we change the default output charset to
	  Unicode (UTF-8) from Latin-1, which seems sensible.

2009-07-24 04:06  rmeden

	* lib/exe_opt.pl: tweak options for new module installs

2009-07-23 07:00  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Title updates

2009-07-23 06:53  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb.in: Support lwp version 5.827.

2009-07-22 06:23  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Title updates

2009-07-20 08:35  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Reverse a corrected title

2009-07-15 20:49  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-07-08 19:29  knowledgejunkie

	* grab/uk_rt/channel_ids: Rebranding of MTV One to MTV. Update RTID
	  for MTV +1. No changes to XMLTV IDs.

2009-07-08 06:24  rmeden

	* grab/: pt/test.conf, re/test.conf: change test to use active
	  channels

2009-07-08 06:19  rmeden

	* grab/es_miguiatv/test.conf: change test to use active channels

2009-07-08 06:16  rmeden

	* grab/ar/test.conf: change test to use active channels

2009-07-08 05:58  rmeden

	* grab/na_icons/tv_grab_na_icons.in: fix --help text

2009-07-08 05:50  rmeden

	* grab/na_icons/tv_grab_na_icons.in: add better error handling if
	  share folder not writable

2009-07-01 07:49  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Debugging updates. Update channel
	  stats to include part-time timeshifted channels. Update checking
	  of bad UTF-8 characters to check for EFBFBD bytes.

2009-07-01 07:04  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-07-01 06:10  knowledgejunkie

	* grab/uk_rt/channel_ids: Remove channels that we have flagged as
	  unusable that the Radio Times have since removed

2009-06-29 22:58  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: If the cast details include a
	  character played by an actor called Himself or Herself, replace
	  the contents of the actor variable with given character's name
	  (which should be their real name and much more useful).

2009-06-29 19:03  knowledgejunkie

	* lib/ValidateFile.pm: Update the episode numbering validation
	  regex, allowing additional spacing in the text, and limit the
	  '/Y' series/episode/part totals to only zero/one instead of
	  zero/many. If the '/Y' total is present for any of the
	  series/episode/part sections, we still require at least one digit
	  to be present. Add a perldoc entry for 'badepisode'.

2009-06-29 17:58  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Remove excessive spacing from
	  episode numbering output. Simplify the regex looking for any
	  left-over numbering in episode field that may contain episode
	  number information.

2009-06-29 16:42  knowledgejunkie

	* grab/uk_rt/test.conf: Update the test configuration with all
	  currently available channels. For efficiency, only the 5 key
	  channels (BBC1/BBC2/ITV1/C4/5) are configured, the others are
	  commented out but included for convenience.

2009-06-29 14:03  knowledgejunkie

	* grab/uk_rt/channel_ids: Fix a copy-paste error that was stopping
	  Wales' Virgin 1 channel listings from working. Thanks to Duncan
	  Brown for reporting it.

2009-06-27 06:21  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Clear the subtitle field for films
	  if it is the same as the title field.

2009-06-27 05:53  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Extract series and episode numbering
	  from description field if present (observed in Bravo/Living
	  listings)) and include in XML output.

2009-06-26 15:00  knowledgejunkie

	* grab/uk_rt/channel_ids: Small update to Wales' Virgin 1 broadcast
	  times. Now set to 0800-1900 for Virgin 1 and 1800-0600 for Virgin
	  1 +1.

2009-06-26 05:57  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds listings for
	  Sky1 HD and Crime and Investigation Network (regular and +1)
	  channels added by Radio Times overnight

2009-06-26 05:01  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Removes Trouble and
	  Trouble +1 channels. RT now provide Living +2 and Living2 +1
	  listings in their place.

2009-06-26 04:32  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Removes Celtic TV
	  and Rangers TV (ceased broadcasting) and adds Living +2 and ITV4
	  +1 timeshifted channels

2009-06-26 04:20  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms,
	  regional_channels_by_postcode: Adds Welsh versions of the Virgin
	  1 (0900-1900) and Virgin 1 +1 (1900-0600) channels. See
	  xmltv-users list for more details.

2009-06-25 16:54  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Remove main Setanta
	  channels

2009-06-25 00:35  knowledgejunkie

	* grab/uk_rt/channel_ids: Update RT configuration for new Good Food
	  channels

2009-06-23 19:05  mnbjhguyt

	* grab/it/channel_ids: fixed double entry

2009-06-22 23:09  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Removes UKTV Food
	  and replaces with Good Food.

2009-06-16 22:02  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: new channels for
	  mediasetpremium

2009-06-15 00:39  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Update handling of Time Shift
	  title, remove MTV Digs text from titles

2009-06-15 00:15  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to fix

2009-05-31 15:30  attila_nagy

	* grab/huro/tv_grab_huro.in: Slovakian episode parsing added to
	  tv_grab_huro (Thanx to Jan Dula)

2009-05-29 16:26  mihaas

	* grab/eu_epgdata/channel_ids:
	  Add lots of new IDs. Thanks to Ben Bucksch!

2009-05-29 16:17  mihaas

	* Makefile.PL:
	  Adjust dependencies for tv_grab_eu_epgdata - we now need
	  DateTime::Format::Strptime

2009-05-29 16:08  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata:
	  Improve timezone handling. Time zone can now be set to "local" to
	  autodetect the current time zone. Strings like "Europe/Berlin"
	  are also supported.

	  ATTENTION: this adds a dependency on DateTime::Format::Strptime!

	  Patch by Andreas Benneke (abeani). Many thanks.

2009-05-29 15:04  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata:
	  Make sure we do not overwrite $expirydate and friends with null
	  values if our subscription is close to expiring.  Also added some
	  debug output. Closes bug 2797360.

	  Patch by Wolfgang Trexler (wolfman70).

2009-05-29 13:39  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata:
	  Sanitize file names we get from the epgdata server. Closes bug
	  2797378.

2009-05-25 17:17  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Title fix for Have I Got a Bit
	  More News for You

2009-05-21 22:05  mnbjhguyt

	* grab/it_dvb/: channel_ids, sky_it.dict, sky_it.themes,
	  tv_grab_it_dvb.PL, tv_grab_it_dvb.in: first release

2009-05-21 22:03  mnbjhguyt

	* Makefile.PL: added tv_grab_it_dvb

2009-05-21 00:29  knowledgejunkie

	* grab/uk_rt/channel_ids: Update channel descriptions to reflect
	  that Virgin 1 is now universal, and that there are separate
	  timeshifted versions of Virgin 1 +1 - one for Freeview and
	  another for Satellite and Cable

2009-05-21 00:05  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds support for
	  new part-time Virgin 1 +1 channel on Freeview and removes
	  redundant part-time Virgin 1 channel entry (channel now 24hrs on
	  Freeview)

2009-05-20 14:43  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Removes UKTV
	  Gardens and adds Really.

2009-05-19 21:03  mnbjhguyt

	* grab/it/tv_grab_it.PL: updated pod

2009-05-15 11:36  mnbjhguyt

	* grab/it/tv_grab_it.in: fix to sky.it after small site change

2009-05-14 07:59  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More programme titles to
	  process

2009-05-11 19:21  mnbjhguyt

	* grab/it/tv_grab_it.in: fixed boingtv.it (hopefully)

2009-05-09 20:41  knowledgejunkie

	* grab/uk_rt/channel_ids: Add logo for Home

2009-05-09 12:59  mnbjhguyt

	* grab/it/tv_grab_it.in: minor fix for boingtv

2009-05-07 00:30  rmeden

	* xmltv.dtd: fix spelling error

2009-05-05 01:11  rmeden

	* grab/na_dd/tv_grab_na_dd.in: don't use OriginalAirDate for
	  previously shown on SH* programs

2009-05-05 01:08  rmeden

	* xmltv.dtd, lib/XMLTV.pm.in: allow "billingual" as a valid value
	  for stereo (per Marus Keller's suggestion)

2009-05-01 20:24  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Remove UKTV Style
	  channels. Add new UKTV Home channels. Update Paramount Comedy
	  channels after rebranding to Comedy Central (note new XMLTV ID).
	  New logo for Discovery RealTime

2009-04-16 13:57  ecastelnau

	* grab/re/: test.conf, tv_grab_re:
	  Fix wrong URL during '--configure' step for CanalSat bouquet.

2009-04-09 19:27  rmeden

	* grab/na_icons/tv_grab_na_icons.in: minor fix in response to
	  source site change

2009-04-02 19:00  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: Modified version of patch
	  #2723857 - get categories for fast grab too

2009-04-02 10:20  attila_nagy

	* grab/huro/: catmap.cz, catmap.sk: Checz and Slovakian catmap
	  kindly provided by Jan Dula

2009-04-01 12:02  attila_nagy

	* grab/huro/tv_grab_huro.in: Typo fixed in tv_grab_huro

2009-04-01 09:45  attila_nagy

	* grab/huro/tv_grab_huro.in: Fixed date parsing for tv_grab_huro

	  Patch by Jan Dula

2009-03-29 02:43  rmeden

	* Makefile.PL, grab/za/tv_grab_za: got a _za patch from
	  ngarratt@gmail.com  added back to Makefile!

2009-03-29 00:12  knowledgejunkie

	* grab/uk_rt/channel_ids: Add new logo for Yesterday

2009-03-29 00:05  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process

2009-03-28 23:55  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Remove Discovery
	  Realtime Extra and add Discovery Shed

2009-03-14 15:18  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Issue #2500755 FIXED: icon fetching
	  works for Romania also
	   - TODO: SK and CZ icon fetch
	   - previous commit verified, indentation fixup

2009-03-14 07:15  rmeden

	* MANIFEST, Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.55 release

2009-03-14 07:10  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-03-14 06:42  rmeden

	* Makefile.PL: remove tv_grab_za due to site changes

2009-03-12 08:49  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Remove Baroque! from list

2009-03-12 05:11  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-03-10 13:43  rmeden

	* grab/huro/tv_grab_huro.in: look for a different separator per
	  zolih@hotmail.com

2009-03-10 05:14  rmeden

	* grab/pt/test.conf: old test config didn't work.. submit a new
	  one.

2009-03-09 05:26  rmeden

	* Makefile.PL: disable dead grabbers tv_grab_br_net tv_grab_es

2009-03-08 18:25  atirc

	* grab/es_miguiatv/tv_grab_es_miguiatv:

	  fixed problem with ARRAY

2009-03-08 14:55  eggertthor

	* grab/is/: test.conf, tv_grab_is: Added support for timeshifted
	  channels.  All channels now have a corresponding plus channel
	  whose programmes are one hour behind the original

2009-03-06 05:41  rmeden

	* Makefile.PL: remove tv_grab_jp due to target site blocking

2009-03-05 22:37  knowledgejunkie

	* grab/uk_rt/channels_platforms: Remove UKTV Style from Freeview
	  platform as it is part of the separate TopUpTV service

2009-03-05 22:21  gawen

	* grab/pt/tv_grab_pt: Bugfix for latest site changes.

2009-03-05 19:38  knowledgejunkie

	* grab/uk_rt/channels_platforms: Remove Pricedrop TV and Screenshop
	  from FreeView lineup. Thanks to Nigel Jewell for the patch.

2009-03-05 17:34  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Correct entry for
	  CNN Europe on FreeView as it is a part-time channel broadcast
	  daily 2100-0100. Thanks for Dazzle for the patch. If you have
	  already configured CNN on FreeView, the new XMLTV ID is
	  freeview.europe.cnn.com

2009-03-04 23:35  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Another channel
	  rebranding - this update removes UKTV History and adds Yesterday
	  (with a new XMLTV ID, logo to follow). You must update your XMLTV
	  configuration to continue to receive listings for this channel.

2009-03-04 23:15  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds a new logo for
	  Channel 4 +1, and includes Dave +1 and CNN in FreeView lineups.
	  Thanks to Nigel Jewell for the information.

2009-03-04 08:34  mnbjhguyt

	* grab/it/channel_ids: new channels

2009-03-04 08:27  mnbjhguyt

	* grab/it/tv_grab_it.in: [no log message]

2009-03-04 00:38  rmeden

	* grab/huro/: catmap.cz, catmap.sk, tv_grab_huro.in: supplements
	  now working for cz, sk

2009-03-03 22:20  mnbjhguyt

	* grab/it/tv_grab_it.in: minor fix... again

2009-03-03 22:08  mnbjhguyt

	* grab/it/tv_grab_it.in: minor fix

2009-03-03 07:16  mnbjhguyt

	* grab/it/tv_grab_it.in: fix for a warning

2009-03-03 03:59  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Include XMLTV library and grabber
	  version information in console output and XML data to help with
	  end-user debugging. Version info extracted from CVS Id tag (as
	  per ParseOptions)

2009-03-03 02:42  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Remove some unnecessary linebreaks
	  from debug output

2009-03-03 02:38  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Include XMLTV library version in
	  generator-info-name attribute of tv element in XML output

2009-03-03 02:07  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Ignore film titles when creating
	  debug list of programme titles containing colons or hyphens

2009-03-03 01:47  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Ignore empty fields in credits
	  information

2009-03-02 16:40  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: new backend added new
	  channels some fixes

2009-02-28 20:40  knowledgejunkie

	* grab/uk_rt/channel_ids: Rename Dave +1 to Dave ja vu

2009-02-25 14:07  ngarratt

	* grab/za/tv_grab_za: Handle new channel name/number page Add
	  support for fixups on channel name differences between pages

2009-02-23 23:13  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Add support for
	  Living2 +1

2009-02-23 23:10  knowledgejunkie

	* grab/uk_rt/channel_ids: Minor updates to display names of some
	  channels

2009-02-22 18:16  knowledgejunkie

	* grab/uk_rt/channels_platforms: Remove Performance and restore bid
	  tv channels

2009-02-22 18:07  knowledgejunkie

	* grab/uk_rt/channel_ids: Flags Sky Box Office, Performance and
	  Screenshop channel listings as empty, reinstates bid tv, and
	  deletes abc1 and Sky Movies entries that have been removed from
	  the Radio Times site.

2009-02-22 02:07  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Updates for
	  rebranded channels - Eden, Blighty and Five USA. These channels
	  have new XMLTV IDs, so you must update your configuation. Also
	  adds a better logo for TeleG.

2009-02-16 22:09  mnbjhguyt

	* grab/it/tv_grab_it.in: another minor bug

2009-02-16 21:23  mnbjhguyt

	* grab/it/tv_grab_it.in: another minor bug

2009-02-16 17:32  rmeden

	* xmltv.dtd: correct DTD entry for "role"

2009-02-16 01:20  rmeden

	* Makefile.PL: add some new supplemental files to tv_grab_huro

2009-02-15 17:23  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Updates ESPN
	  America (Radio Times altered their ID for channel) and adds
	  4Music

2009-02-14 22:07  knowledgejunkie

	* grab/uk_rt/: tv_grab_uk_rt.PL, tv_grab_uk_rt.in: Update perldoc
	  and fix a typo

2009-02-14 13:48  mnbjhguyt

	* grab/it/tv_grab_it.in: minor fix

2009-02-14 00:49  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Fully enable title processing for
	  titles which include hyphens. Please report any problems with
	  titles being updated incorrectly.

2009-02-14 00:22  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds more titles

2009-02-14 00:12  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Removes NASN and
	  adds ESPN America

2009-02-11 01:27  rmeden

	* MANIFEST, xmltv.dtd, grab/huro/catmap.cz, grab/huro/catmap.sk,
	  grab/huro/tv_grab_huro.in: add Czech and Slovenia to
	  tv_grab_huro.. changes by Christian Vanderndorpe

2009-02-10 16:56  mnbjhguyt

	* grab/it/tv_grab_it.in: should remove warnings

2009-02-08 15:57  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More programme title to
	  process.

2009-02-08 00:39  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds some more programme title
	  to process. Thanks to Mike Holden for the details.

2009-02-05 18:20  mnbjhguyt

	* grab/it/tv_grab_it.in: fixed midnight bug for skylife

2009-02-04 15:42  mnbjhguyt

	* grab/it/tv_grab_it.in: fixed skylife after major site change
	  removed wfactory as it no longer works fixed raisat for rai4 and
	  such

2009-02-04 15:41  mnbjhguyt

	* grab/it/channel_ids: new channels

2009-02-04 15:01  mnbjhguyt

	* grab/it/channel_ids: new channels

2009-02-04 10:04  mnbjhguyt

	* grab/it/channel_ids: removed old backend

2009-02-03 22:20  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds support for new UKTV channel Eden,
	  which replaces UKTV Documentary. As this is a rebranding and not
	  a completely new channel, I have kept it associated with the
	  existing UKTV Documentary XMLTVID so that no changes are required
	  to existing configurations.

2009-02-03 16:17  mnbjhguyt

	* grab/it/channel_ids: new channels

2009-01-14 05:45  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.54 release

2009-01-12 19:32  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improved mis-encoded UTF-8 character
	  handling. Should handle more characters, and corrects source data
	  in UTF-8 before any further character encoding is carried out.

2009-01-12 14:45  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update debug output for title
	  processing

2009-01-12 14:03  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2009-01-12 12:14  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Add support for Sky
	  Arts 2

2009-01-12 11:36  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates to documentation: fix some
	  typos, update links and add details on mailing list.

2009-01-08 02:07  rmeden

	* grab/na_dd/tv_grab_na_dd.in: don't print  a message when you're
	  auto-ignoring a channel

2009-01-03 10:07  eggertthor

	* grab/is/tv_grab_is: Updated URL for ruv.is

2008-12-15 08:57  attila_nagy

	* grab/huro/tv_grab_huro.in:  - small website change caused evening
	  programs to not show up in the
	     listings

2008-12-14 21:29  ecastelnau

	* grab/re/: test.conf, tv_grab_re:
	  CANALSAT is activated again.

	  PARABOLE site is working but it no longer delivers information.

2008-12-13 05:46  ecastelnau

	* grab/re/: test.conf, tv_grab_re:
	  canal-sat is back.  It seems that cookies were not the problem.
	  I need to make a POST request instead of a GET request (thanks to
	  LESFRITZ Johann for his help).  However, canal-sat is still
	  disabled for further testing.

	  Another point: parabole seems broken now.

2008-12-09 15:48  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: More adjustments for web site
	  changes.

2008-12-04 13:35  ngarratt

	* grab/za/tv_grab_za: Remove option for 30-days - no longer
	  available on source site

2008-12-03 15:11  ngarratt

	* grab/za/tv_grab_za: New POST method with session state
	  verification required Listings structure changes

2008-12-01 11:39  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Updates
	  MK40,MK41,MK42,MK43,MK44,MK45 postcodes to use BBC East listings

2008-12-01 10:28  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in, Makefile.PL: Use HTML::Entities to
	  remove any HTML entities seen in the source data (which is
	  currently UTF-8 text), and re-add as a prerequisite. The problem
	  has been reported to the Radio Times but not yet fixed.

2008-12-01 10:25  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds Discovery
	  Travel & Living +1 support

2008-11-30 06:49  rmeden

	* lib/exe_opt.pl: trim more modules after upgrading Soap::Lite
	  module

2008-11-30 06:48  rmeden

	* grab/na_dd/tv_grab_na_dd.in: oops.. remove double category for
	  show-type

2008-11-30 06:30  rmeden

	* grab/na_dd/tv_grab_na_dd.in: generate Movie and Sports category
	  if TMS prog_id indicates Movie or Sports

2008-11-26 01:14  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds more titles

2008-11-26 01:03  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds Sky basic
	  channels to VirginTV platform, adds Five to Freesat platform, and
	  renames Sky Arts channel to Sky Arts 1

2008-11-25 19:38  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: call binmode() on file handle
	  for downloaded file - should fix grabber on win32

2008-11-24 01:30  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: a couple more refinements for
	  robustness

2008-11-24 00:13  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: working on better air-time accuracy

2008-11-23 03:55  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: extensive changes due to changes at
	  www.directv.com

2008-11-09 22:40  rmeden

	* Makefile.PL: remove tv_grab_be due to site blocking XMLTV user
	  agent

2008-10-30 01:17  knowledgejunkie

	* grab/uk_rt/channels_platforms: Adds ITV HD to Freesat list

2008-10-29 14:43  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2008-10-29 14:39  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds ITV HD channel

2008-10-28 14:46  epaepa

	* grab/DST.pm: dst_dates_na: updated for 2007 change to daylight
	  saving time rules.

2008-10-20 19:05  rmeden

	* choose/tv_check/tv_check: use correct variable for SEASON-RESET
	  (no idea how this got committed!)

2008-10-18 22:39  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds new logos for Alibi and G.O.L.D.
	  channels

2008-10-14 23:24  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Fixes 'Later...with Jools
	  Holland' programme titles

2008-10-14 08:22  nielm

	* grab/be/tv_grab_be.in: Remove capability to grab from TeveBlad
	  (Dutch language listings)

2008-10-12 00:58  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Season info to remove from
	  titles

2008-10-10 16:14  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds new logo for Watch, and removes old
	  logos for G.O.L.D. and Alibi

2008-10-09 23:40  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process

2008-10-09 23:29  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds Hallmark +1
	  support, and updates channel availability of several channels on
	  Sky Digital and Virgin TV since launch of Watch

2008-10-09 01:26  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms,
	  regional_channels_by_postcode: MAJOR UPDATE: changes to
	  BBC/ITV1/Sky Movies/UKTV channel XMLTVIDs to bring them into line
	  with current channel identities. Adds/updates support for new
	  Alibi, Watch and G.O.L.D. channels. You will need to ensure your
	  XMLTV configuration file (and applications such as MythTV) is
	  updated to match the new XMLTVIDs or rerun tv_grab_uk_rt
	  configuration to continue receiving listings for these updated
	  channels (see commit log for full list). Apologies in advance,
	  but this XMLTVID update was a few years overdue.

2008-10-04 18:51  rmeden

	* choose/tv_check/tv_check: add --season-reset switch to change
	  everything to 'title-only'

2008-10-03 15:24  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More checks for uninitialised
	  values.

2008-10-03 15:06  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds BBC Alba and Propeller TV. Updates
	  Setanta channels due to Radio Times changes.

2008-09-30 05:23  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: updated due to more directv html
	  changes

2008-09-25 18:01  jveldhuis

	* lib/IMDB.pm: soften requirement on genre sanity test, also update
	  estimate # for ui

2008-09-25 16:02  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: 3 more backend sites added,
	  including iris, mediasetpremium, raisat (also rai4)

2008-09-02 06:29  rmeden

	* mkdist: change to use SF.NET sftp server for releases

2008-09-02 06:11  rmeden

	* README, doc/README.win32: building release spanned midnight..
	  give new date to files

2008-09-02 04:24  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.53 release

2008-08-30 21:28  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: Add various improvements -
	  based on a slightly modified patch by Andreas Oeldenberger

	  * add category support * add stop time * add age-rating * add
	  year of production * fix parser for Actors, Directors and Guests
	  * fix Episod-num to use sequence number

	  The last item will likely break duplicate detection in apps like
	  MythTV.

2008-08-30 11:46  eggertthor

	* grab/is/tv_grab_is: Just a minor change to prevent programmes
	  starting at midnight from spilling out onto the previous day.
	  Should stop duplicate-warnings from the validator

2008-08-30 08:55  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2008-08-30 08:47  knowledgejunkie

	* grab/uk_rt/channel_ids: Deactivate the BBC Olympics channels
	  which the Radio Times have not yet removed from their site

2008-08-28 16:00  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add auto-config to the config file
	  in addition to the command line

2008-08-27 14:38  rmeden

	* grab/se_swedb/test.conf: remove missing station to make quiet

2008-08-26 13:29  eggertthor

	* grab/is/tv_grab_is: Prevented error message that was generated if
	  conf file had bogus channels.

2008-08-26 11:24  eggertthor

	* grab/is/test.conf: Updated test.conf to test all channels
	  supported by new grabber

2008-08-26 05:23  knowledgejunkie

	* lib/XMLTV.pm.in: Reverts r1.135 and replaces encoding comparison
	  check with a case-insensitive check which should allow all make
	  tests to complete successfully.

2008-08-25 21:11  eggertthor

	* grab/is/tv_grab_is: Seperated <programme> elements by newlines to
	  make XML more readable.  Removed outdated comment.

2008-08-25 06:14  rmeden

	* Makefile.PL, grab/is/tv_grab_is: add new version of tv_grab_is by
	  Eggert Thorlacius

2008-08-25 02:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More robust checks for empty fields
	  before writing XMLTV data. Adds check for zero length programmes
	  which will not be output if detected.

2008-08-24 06:49  knowledgejunkie

	* grab/uk_rt/channel_ids: Update icon for Fiver and restore some
	  channels which are now providing data again

2008-08-23 05:13  knowledgejunkie

	* grab/uk_rt/channel_ids: Remove old BBC Olympics channels which
	  have been removed from Radio Times site

2008-08-23 05:11  knowledgejunkie

	* grab/uk_rt/channel_ids: Another update to BBC Olympics channels

2008-08-17 03:08  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2008-08-17 02:51  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds updated BBC Olympics channels. If
	  you have previously configured these channels you may need to
	  update your XMLTVIDs as the original Olympics data files are
	  currently empty and the Radio Times have newly added data.

2008-08-10 02:28  rmeden

	* grab/na_icons/tv_grab_na_icons.in: patch from  cheetah@sf to
	  adjust to site changes

2008-08-10 01:03  rmeden

	* MANIFEST, Makefile.PL, filter/tv_extractinfo_ar: add
	  tv_extractinfo_ar

2008-08-09 22:40  car_unlp

	* grab/ar/tv_grab_ar: add option to select from 2 different
	  providers, as well as functionality to retrieve the program
	  description, genere, actors from the provider

2008-08-07 14:23  pingel

	* grab/dk_tvtid/tv_grab_dk_tvtid: Fjernede de sidste
	  dr.dk-referencer.  Satte "." efter "Episode $episode".

2008-08-07 08:46  pingel

	* grab/dk_tvtid/: test.conf, tv_grab_dk_tvtid: [no log message]

2008-08-07 08:45  pingel

	* grab/dk_dr/: test.conf, tv_grab_dk_tvtid: UNDO... sorry

2008-08-07 07:28  pingel

	* grab/dk_dr/: test.conf, tv_grab_dk_tvtid: [no log message]

2008-08-04 03:36  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds detection of another episode
	  numbering variant and updates comments. Reformats episode regexps
	  to make it easier to update in the future.

2008-08-04 03:17  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Correct 'The New Yankee
	  Workshop' title variation

2008-08-03 09:57  pingel

	* grab/dk_dr/tv_grab_dk_dr: fjernede forkert indentering

2008-08-01 22:27  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds 9 new BBC
	  Olympics Interactive channels - how many of these you will be
	  able to receive depends upon your digital TV service

2008-07-28 06:31  pingel

	* grab/dk_dr/tv_grab_dk_dr: Indenteret og kode fra brugerne er
	  tilfřjet.

2008-07-26 20:27  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: don't download day 1 twice on
	  normal runs.	Thanks to Andreas Oeldenberger for the patch!

2008-07-26 20:07  mihaas

	* Makefile.PL: Fix installation of channel_ids for
	  tv_grab_eu_epgdata

2008-07-23 14:47  rmeden

	* grab/no_gfeed/test.conf: remove missing channel from test
	  (prevent warning)

2008-07-23 02:43  b4max

	* grab/br_net/: test.conf, tv_grab_br_net: Removed feature to
	  auto-remove failed channels. To reenable set $auto_update_conf to
	  1.

2008-07-22 22:09  rmeden

	* Makefile.PL: remove tv_grab_dk

2008-07-22 19:35  rmeden

	* MANIFEST, Makefile.PL: initial load tv_grab_dk_dr

2008-07-22 19:24  rmeden

	* grab/dk_dr/: test.conf, tv_grab_dk_dr: initial load tv_grab_dk_dr

2008-07-22 16:55  rmeden

	* grab/pt/tv_grab_pt: fix a few things so --quiet works

2008-07-22 16:29  rmeden

	* grab/no_gfeed/test.conf: let's see if this config gives errors

2008-07-19 17:32  attila_nagy

	* grab/huro/tv_grab_huro.in:  - tv_grab_huro still had problems
	  when --offset was used. Fixed.

2008-07-17 21:27  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Updated grabber to reflect changes
	  in data provider source codes
	   - Days begin & end is now handled correctly, days start at
	  00:00, and
	     finishes at 23:59
	   - Icon download for romania is also fixed

2008-07-14 04:05  rmeden

	* MANIFEST, Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.52 release

2008-07-13 11:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates to comments and perldoc

2008-07-13 09:01  knowledgejunkie

	* grab/uk_rt/: prog_titles_to_process, tv_grab_uk_rt.in: Adds a
	  title processing routine to enable inconsistent programme titles
	  (such as Law & Order vs Law and Order, please report others) to
	  be updated to a more consistent value. This should allow the
	  grabber to provide more consistent programme titles across
	  channels and over time, and allow better programme matching by
	  PVR software such as MythTV.

2008-07-13 06:23  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Moves episode number detection so
	  that it occurs before title/episode processing. If the only data
	  present in the episode field is the episode number, the episode
	  field will become empty. This should allow title processing to be
	  successful in instances when previously a mixed title/subtitle
	  could not be moved because the episode data contained the episode
	  number details. Also adds some debug output to show when episode
	  numbering has been detected.

2008-07-13 04:33  knowledgejunkie

	* grab/uk_rt/test.conf: Adds encoding and title-processing entries
	  to test configuration

2008-07-13 04:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improvements to episode numbering
	  detection, which should also remove remaining numbering from the
	  title of an episode.

2008-07-13 01:08  rmeden

	* Makefile.PL: remove non-working grabbers in preparation for
	  release: tv_grab_il tv_grab_nl_wolf

2008-07-12 13:25  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds comprehensive bad-character
	  handling for the range of lower-case non-Latin characters likely
	  to be seen in listings.

2008-07-12 13:22  knowledgejunkie

	* grab/uk_rt/: channel_ids, channels_platforms: Adds two new
	  channels - Horror Channel +1 and Discovery Knowledge +1

2008-07-12 12:37  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds a couple more titles

2008-07-08 14:50  ecastelnau

	* grab/re/: test.conf, tv_grab_re:
	  Disable CANALSAT channel because of website/cookies changes not
	  correctly handled for now. If someone has an idea...	PARABOL
	  channel still functionnal.

2008-06-30 15:52  mnbjhguyt

	* grab/it/channel_ids: new channels added

2008-06-30 15:39  mnbjhguyt

	* grab/it/tv_grab_it.in: better handling of season/episode numbers

2008-06-30 05:07  rmeden

	* grab/is/tv_grab_is: add patch from Tómas Edwardsson, but it still
	  doesn't work.

2008-06-30 04:45  rmeden

	* lib/XMLTV.pm.in: add parsefiles to export_ok

2008-06-28 19:37  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds a couple more titles

2008-06-23 08:23  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates BBC channel names to be less loud

2008-06-23 03:09  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Enable additional title-processing
	  via grabber config file instead of using the non-standard runtime
	  command-line option '--no-title-updates'. Title processing is
	  enabled by default. Configuration file entry is
	  'title-processing=enabled' when enabled.

2008-06-22 15:31  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process

2008-06-21 06:06  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update perldoc to cover new
	  configuration options

2008-06-21 06:00  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Write all programme elements for a
	  channel in one go, rather than one write for each programme. This
	  should help to reduce constant disk activity when running the
	  grabber with a specified output file.

2008-06-21 05:22  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Enables a configuration option for a
	  user to specify which character encoding to use for XMLTV output.
	  With this first update, configuration supports UTF-8 and
	  ISO-8859-1. Let me know of any issues you notice. The source data
	  may still contain invalid UTF-8 encoded characters, and these
	  will still propagate into the output data until we handle them,
	  or the Radio Times fixes the issue.

2008-06-18 12:30  knowledgejunkie

	* Makefile.PL, grab/uk_rt/channels_platforms: Adds a new
	  supplemental file mapping channels to TV platforms for
	  tv_grab_uk_rt.

2008-06-18 12:26  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Enables a configuration option for a
	  user to specify which TV platform they use. This information is
	  then used to filter the list of channels presented during
	  configuration/list-channels to show only those available on their
	  TV platform. Initial TV platforms supported are analogue,
	  Freeview, FreeSat, FreeSat from Sky, Sky Digital, and Virgin TV.
	  Please note that no channel/EPG numbering is provided (yet).

2008-06-18 12:15  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Moves generic BBC1 and
	  BBC2 channels into file, flagged to match all postcodes

2008-06-18 09:45  knowledgejunkie

	* grab/uk_rt/channel_ids: Deactivate PremPlus, TV Travelshop and TV
	  Travelshop 2 channels which have ceased broadcasting

2008-06-18 09:20  knowledgejunkie

	* grab/uk_rt/channel_ids: Replace VH2 entry with MTV ONE +1. Tidy
	  up some icon URLs.

2008-06-18 06:42  ngarratt

	* grab/za/tv_grab_za: Handle new episode tag format

2008-06-18 04:11  knowledgejunkie

	* grab/uk_rt/: regional_channels_by_postcode, tv_grab_uk_rt.in:
	  Adds initial regional channel support for users in the Republic
	  of Ireland, using a pseudo-postcode of 'Eire'.

2008-06-17 04:34  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates name and icon for BBC News

2008-06-14 05:48  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Handles another mis-encoded UTF-8
	  character in the source data. Adds a couple of FIXMEs for the
	  future.

2008-06-14 05:24  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds functionality to support
	  filtering of regional channels during configuration. The user is
	  asked for the first past of their postcode, and only those
	  channels determined to be available in their locality are
	  presented in the list of configurable channels. Entering 'none'
	  during configuration disables this filtering. A future update
	  will add platform-level filtering of channels to further speed up
	  configuration.

2008-06-14 04:57  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Adds TeleG and TG4
	  entries

2008-06-14 02:06  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates name of S4C Digidol

2008-06-14 02:05  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Adds S4C and RTE
	  entries

2008-06-14 01:35  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process.

2008-06-11 01:35  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Adds ITV1 Border
	  (Scottish) entry

2008-06-10 10:19  knowledgejunkie

	* grab/uk_rt/channel_ids: Removes 'South East' from BBC London
	  channel descriptions

2008-06-10 09:38  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Adds a couple more
	  regional BBC1 and BBC2 channels missed in initial version of file

2008-06-10 09:37  knowledgejunkie

	* grab/uk_rt/channel_ids: Flags generic BBC1 and BBC2 channels as
	  such

2008-06-10 08:41  knowledgejunkie

	* MANIFEST: Adds entry for new supplemental file for tv_grab_uk_rt.
	  Fixes up tv_grab_eu_epgdata script entry as a result of the
	  removal of its .in/.PL files from grab/eu_epgdata.

2008-06-09 01:47  knowledgejunkie

	* Makefile.PL: Adds a new supplemental file mapping regional
	  channels to UK postcodes for tv_grab_uk_rt.

2008-06-09 01:42  knowledgejunkie

	* grab/uk_rt/regional_channels_by_postcode: Adds a new supplemental
	  file mapping regional channels to UK postcodes

2008-06-08 21:10  nielm

	* grab/be/tv_grab_be.in: checked in correct version

2008-06-08 21:03  nielm

	* grab/be/: channel_ids_fr, channel_ids_nl, tv_grab_be.in: updated
	  grabber to work with new telemoustique (french) site layout
	  updated fr channel ids for new telemoustique channel IDs updated
	  nl channel Ids for ARTE BELGIQUE updated grabber to genenerate
	  valid URLS for channels with spaces

2008-06-06 10:38  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: Fix error message  - I
	  accidentally used $opt->quiet instead of $opt->{quiet}

2008-06-05 18:23  jtoft

	* grab/dk/tv_grab_dk: Added onscreen episode-num tag

2008-06-03 11:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Configuration now asks the user to
	  choose their TV platform (Freeview, Sky, etc) and stores it in
	  the configuration file. Currently unused.

2008-06-03 10:35  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Configuration now asks for the first
	  part of a user's postcode and stores it in the configuration
	  file. Currently unused.

2008-06-03 09:57  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: adapt to change in duration format at
	  directv.com

2008-06-03 09:29  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates BBC London channel names to
	  include South East.

2008-06-03 09:04  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update config_stage() to allow for
	  more configuration stages to be added easily in the future.

2008-06-03 08:50  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Use XMLTV::Memoize with get()
	  instead of get_nice(). Confirm --cache option caches data
	  locally.

2008-06-03 08:21  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds some more titles

2008-06-03 07:55  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Makes a cachedir entry a requirement
	  when using a new-style config file, as the entry will be added
	  when running configure. Old-style config files will continue to
	  use the default of ~/.xmltv/cache as before

2008-06-03 07:38  knowledgejunkie

	* grab/uk_rt/test.conf: Adds cachedir entry to test.conf.

2008-06-03 07:08  knowledgejunkie

	* grab/uk_rt/test.conf: Update test.conf to new config file format.
	  Adds a second channel to test.

2008-06-03 04:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Should ensure the channel elements
	  are actually included in output. Some other minor tweaks.

2008-06-01 07:19  knowledgejunkie

	* grab/uk_rt/: tv_grab_uk_rt.PL, tv_grab_uk_rt.in: Adds support for
	  ParseOptions and configure-api, amongst other things. This is a
	  big update that should allow more flexibility in the future. The
	  grabber should support existing and newly-created configurations.
	  This update also includes improved documentation and various
	  other minor tweaks. The underlying grabbing code has not changed,
	  aside from being moved to various subroutines. Please report any
	  issues encounted with this new version.

2008-06-01 01:48  knowledgejunkie

	* lib/Options.pm: Updates formatting of perldoc material. Fixes a
	  typo. Updates comment for preferredmethod to state it is
	  optional.

2008-05-30 12:45  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds new Sky Movies HD channel feeds from
	  Radio Times. Restores Discovery +1.5 feed (although unsure
	  whether this is still available on any platform)

2008-05-24 20:22  reudeudeu

	* grab/fr/tv_grab_fr: Update:  - Fix issue when grabbing the
	  picture of a programl, thanks to Andre Auzi

2008-05-24 04:41  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: reworked due to changes in the
	  directv.com site

2008-05-21 04:09  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Clarification to help text stating
	  --quiet and --debug are exclusive

2008-05-20 02:20  knowledgejunkie

	* lib/Ask/Term.pm: Allows case-insensitive single character y/n
	  answers to questions asked on terminal

2008-05-17 07:22  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds updated Radio Times ID for Fiver

2008-05-16 20:40  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Another title to process.

2008-05-16 10:34  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process. Thanks
	  to Mike Holden for these.

2008-05-15 20:42  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: Some documentation updates: *
	  link to http://wiki.xmltv.org/index.php/EU_epgdata * document
	  --debug and --quiet * also add some whitespace changes because
	  everyone loves them

2008-05-15 20:18  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: * fix --debug/--quiet

2008-05-15 19:17  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: add preferredmethod
	  capability; set to 'allatonce' this change should avoid the "too
	  many downloads" problem when used with mythfilldatabase

2008-05-02 06:48  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds handling of another mis-encoded
	  UTF-8 character

2008-05-01 01:27  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process

2008-05-01 00:59  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds some more handling of
	  mis-encoded UTF-8 characters

2008-04-29 11:57  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: * Fix decoding of entities
	  for --list-channels

2008-04-24 17:26  knowledgejunkie

	* grab/uk_rt/channel_ids: Removes Five Life (removed today by Radio
	  Times). Please use newly added Fiver listings

2008-04-23 14:13  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Remove a film's year of production
	  from sub-title if seen, and moves it to <year> element if not
	  provided in source data

2008-04-23 13:21  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds new Fiver and Fiver +1 channels
	  (starting 2008-04-28 when Five Life is rebranded). Removes
	  Discovery +1.5 (ceased 2008-04-21) which is replaced with
	  Discovery Science +1

2008-04-20 11:25  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: * Replace @@desc with
	  something more meaningful * fix some warnings

2008-04-20 10:41  mihaas

	* Makefile.PL, grab/eu_epgdata/revision_log,
	  grab/eu_epgdata/tv_grab_eu_epgdata.PL,
	  grab/eu_epgdata/tv_grab_eu_epgdata.in: Simplify build system for
	  tv_grab_eu_epgdata, part #2.

	  Thanks to XMLTV::Supplement, it is not longer needed to specify
	  the share directory in tv_grab_eu_epgdata. Thsi commit gets rid
	  of tv_grab_eu_epgdata.PL and removes tv_grab_eu_epgdata.in.
	  tv_grab_eu_epgdata has already been committed.

	  Also add grab/eu_epgdata/revision_log to preserve history.
	  <rant> Many people probably are aware that CVS can't rename files
	  properly. I wasn't.  I weep bitter tears.</rant>

2008-04-20 10:33  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata: Clean up build system for
	  tv_grab_eu_epgdata.  Currently broken, missing parts will follow
	  in a few minutes.

2008-04-20 09:56  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: * tell the user when their
	  PIN expires * also fix a bug in the last commit which would
	  overwrite the list of zip files

2008-04-19 21:19  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: update documentation fix
	  perldoc parsing

2008-04-19 21:09  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Fix some obsolete comments
	  and documentation Warn if time zone is not defined

2008-04-19 20:57  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: * Don't guess the file
	  names for the xml files, use the list of files we extracted from
	  the zip instead

2008-04-19 19:43  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: cleanup: * remove
	  findchannelcode function, it's not used anymore * @filenames
	  variable doesn't need to be global

2008-04-19 19:32  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: add some messages, eg when
	  a file is downloaded. some are hidden unless you use --debug

2008-04-19 18:26  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: In the
	  x-epgdata-packageavailable header, epgdata tells us whether we'll
	  get a zip file or not. Make use of this to stop downloading after
	  we don't get any more zip files.

2008-04-19 17:51  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Remove obsolete comment

2008-04-14 09:12  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Detects additional series
	  information occasionally provided in	field (tonight's Torchwood
	  for ex.) and allows parsing out of both episode number (used) and
	  series (currently unused) information, leaving only the episode's
	  title intact.

2008-04-13 07:54  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Catches more separators seen in
	  updated listing information.

2008-04-13 07:21  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds handling for another malformed
	  UTF-8 character in source data. Working on a proper long-term
	  solution.

2008-04-13 06:45  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Another non-title entry to
	  remove

2008-04-13 06:03  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes any last-minute updated
	  listing information from programme descriptions and moves it to a
	  placeholder variable for future use.

2008-04-08 01:12  jveldhuis

	* lib/IMDB.pm: version .8     = updated file size est calculations
	  = moviedb.dat directors and actors list no longer include
	  repeated names (which mostly	     occured in episodic tv
	  programs (reported by Alexy Khrabrov)

2008-04-03 04:28  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds a check to ensure Date::Manip
	  timezone is set to UTC. Related debug updates.

2008-04-02 13:53  ngarratt

	* grab/za/test.conf: Refresh full channel map

2008-04-02 13:52  ngarratt

	* grab/za/tv_grab_za: Disable MNET site support - they have no
	  plans to list the rest of the DSTV channels Fix internal channel
	  reference extraction

2008-04-02 08:45  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds support for another UTF-8
	  character seen after conversion to ISO 8859-1.

2008-04-02 08:30  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Grabber will now return a non-zero
	  exit status if the Radio Times listings for a configured channel
	  are missing. Also includes some debugging output improvements and
	  more data validation.

2008-04-01 19:02  knowledgejunkie

	* grab/uk_rt/channel_ids: Flags more empty channels to ignore
	  during configuration/retrieval

2008-04-01 11:09  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More improvements to pre-processing
	  checks to help eliminate run-time errors due to lack of data.

2008-03-31 20:17  va1210

	* grab/fi/tv_grab_fi: Info for programs with empty descriptions
	  were being lost if the "series description"-option was being
	  used. Thanks again to Stefan for the fix.

2008-03-29 05:41  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates handling of GMT/BST
	  changeover. We now use the given start time and programme length,
	  as detailed testing has revealed inconsistent flagging (and
	  non-flagging) of programmes giving incorrect stop times. This
	  change seems to work well - in recent months I have not seen any
	  problems with the given programme durations beging incorrect.
	  This update should also work for the changeover at the end of
	  BST, but we shall have to wait until October to find out.

2008-03-29 04:08  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles

2008-03-28 12:52  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Reduces the number of situations in
	  which the grabber will terminate prematurely. We now skip any
	  entries that are malformed or missing but would otherwise allow
	  the grabber to continue, instead of immediately invoking die().
	  Debug output details any config entries/channels/programmes that
	  have been skipped during execution. Only those situations deemed
	  fatal to the grabber (e.g. missing Radio Times or XMLTV
	  supplement file data, or a missing config file) will now result
	  in a premature exit.

2008-03-28 08:53  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improves checking of prerequisite
	  information necessary for grabbing and improves feedback when
	  problems are detected.

2008-03-28 05:51  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Implement convenience debugging
	  method as used in tv_grab_se_swedb to reduce clutter in code.

2008-03-28 05:00  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates GMT/BST handling to use
	  start time and programme duration to determine correct stop time
	  for flagged programmes, as stop times can be incorrectly stated
	  in source data. Another couple of other small code tidy-ups.

2008-03-28 04:40  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.PL: First in a series of major code
	  clean-ups, inspired in part by Perl Best Practices and
	  tv_grab_se_swedb. There should be no functional changes.

2008-03-28 00:54  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: First in a series of major code
	  clean-ups, inspired in part by Perl Best Practices and
	  tv_grab_se_swedb. There should be no functional changes.

2008-03-25 22:49  attila_nagy

	* grab/huro/tv_grab_huro.in:  - It has been asked for a stop
	  attribute on the programmes. EyeTV needs it.
	     so here is a quick fix for this.

2008-03-25 18:43  betlit

	* grab/ch_search/tv_grab_ch_search.in: fixed a bug causing grabbing
	  to fail if there is a '=' sign present in the title of a show and
	  --slow is not used.

2008-03-23 19:53  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: * get the code for the
	  channel group from the http headers instead of relying   on
	  regular expressions * remove hardcoded channel group code from
	  --configure step * remove some cruft

2008-03-21 16:58  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates descriptions for those few
	  channels (generally non-24hr) available on Freeview having
	  different listings/XMLTV IDs compared to their satellite/cable
	  counterparts which are shown uninterrupted. Should make
	  configuration of these channels unambiguous. Request from Steve
	  Goodey.

2008-03-17 08:09  ngarratt

	* grab/za/test.conf: Switch to DSTV - MNET only providing limited
	  channels for now

2008-03-15 13:15  mnbjhguyt

	* grab/it/: channel_ids: new channels

2008-03-14 11:22  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes Log::TraceMessages module
	  code, which is not currently used. Detailed debugging information
	  is currently available using the --debug option.

2008-03-14 11:07  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds a couple more titles to
	  process against. F1 fans note that this update moves the specific
	  GP information to the programme subtitle, leaving the title as
	  'F1', where possible.

2008-03-14 10:46  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds handling for 2 more badly
	  formatted UTF-8 characters in Radio Times source data

2008-03-12 09:30  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Another title to process
	  against

2008-03-10 06:48  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More titles to process against

2008-03-09 02:21  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Fixes lack of programme filtering on
	  part-time channels when debug output disabled

2008-03-08 03:31  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates some channel icons

2008-03-03 15:21  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add support for --agent

2008-03-02 17:55  gawen

	* grab/pt/tv_grab_pt: Site new date formatting.

2008-02-29 01:16  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds more titles to process
	  against

2008-02-28 23:58  knowledgejunkie

	* grab/uk_rt/channel_ids: Separates out empty/unusable Radio Times
	  listings files

2008-02-28 23:49  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds Movies4Men +1 support

2008-02-28 20:10  reudeudeu

	* grab/fr/tv_grab_fr: Enhance the detection of title/subtitle

2008-02-26 20:36  reudeudeu

	* grab/fr/tv_grab_fr:  - Process properly the title and the
	  subtitle

2008-02-24 15:46  rmeden

	* grab/na_icons/tv_grab_na_icons.in: adjust to site changes

2008-02-22 17:18  knowledgejunkie

	* Makefile.PL, grab/uk_rt/tv_grab_uk_rt.in: Converts tv_grab_uk_rt
	  to use Encode rather than Unicode::UTF8simple for UTF-8
	  conversion. Now that Perl 5.6 is no longer supported since the
	  release of 5.10, and Encode is part of Perl 5.8+, it seems
	  sensible to move to a core module. Thanks to Chris Butler for
	  supplying the patch.

2008-02-22 16:12  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds 3 new channels just added by the
	  Radio Times - Discovery Real Time Extra, Movies4Men, and True
	  Movies.

2008-02-18 20:16  rmeden

	* lib/XMLTV.pm.in: force encoding to upper case on concatination
	  so mixed case comparisions work.

2008-02-18 03:58  rmeden

	* Makefile.PL: shorted description for tv_grab_uk_rt for
	  consistancy and to avoid column width issues

2008-02-17 20:23  rmeden

	* README: Fix typo

2008-02-17 19:25  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Some more titles

2008-02-17 09:42  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes title processing data from
	  grabber and places it in a new file, prog_titles_to_process,
	  which is retrieved via XMLTV::Supplement. Also adds more useful
	  debugging messages for UTF-8 characters and provides more
	  detailed information on number and types of available channels.

2008-02-17 09:22  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Comment update

2008-02-17 08:26  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: More programme titles to
	  process against

2008-02-17 07:08  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.51 release

2008-02-17 02:36  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Simplifies the way we flag the
	  required processing for each programme title, using a simpler
	  2-field (code|title) approach.

2008-02-16 05:45  knowledgejunkie

	* MANIFEST, Makefile.PL: Updates for current development version of
	  tv_grab_uk_rt. Removes unnecessary prereq for HTML::Entities and
	  adds prereqs for HTTP::Cache::Transparent and
	  Unicode::UTF8simple. Adds reference to new share file for
	  title/subtitle processing feature. Updates blurb.

2008-02-16 04:02  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Fix Id keyword

2008-02-16 03:53  knowledgejunkie

	* grab/uk_rt/prog_titles_to_process: Adds a new data file to be
	  retrieved using XMLTV::Supplement that contains the data required
	  during the procesing and remapping of programme titles/subtitles
	  that are found to be inconsistent in the Radio Times data.

2008-02-16 01:59  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds support for MTV +1. Minor changes to
	  some channel names.

2008-02-15 11:04  reudeudeu

	* grab/fr/tv_grab_fr: Fixes the configure mode, working now with
	  the latests changes on the website

2008-02-14 03:10  rmeden

	* Makefile.PL: remove  non-working tv_grab_nc

2008-02-13 15:24  ngarratt

	* grab/za/test.conf: Change ActionX to M-Net Action in test
	  configuration

2008-02-10 04:03  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds some more programme titles to
	  process against.

2008-02-10 03:23  knowledgejunkie

	* grab/uk_rt/channel_ids: Minor updates to comments.

2008-02-10 03:15  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Fixes an oversight which was causing
	  the listings for part-time channels starting and stopping
	  broadcast on the same calendar day (e.g. UKTV History) to contain
	  programme entries during the channel's off-air period.

2008-02-08 10:31  b4max

	* grab/br_net/test.conf: making the testsuite happy with a new
	  config ;-)

2008-02-02 20:15  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Fix --configure by
	  reverting to the old behavior of just concatenating strings
	  instead of using the proper libraries to the job.  It looks like
	  XMLTV::Twig is breaking the redirection to stdout..

2008-01-30 21:48  b4max

	* grab/br_net/tv_grab_br_net: adapted for changes on the grabbed
	  website

2008-01-30 17:18  ecastelnau

	* grab/re/tv_grab_re:
	  - use length attribute instead of start and stop time - fix
	  problem of seeing same program twice for multiple days grabbing -
	  clean code

2008-01-27 12:48  ecastelnau

	* grab/re/tv_grab_re:
	  - fix tv_grab_re because of web site changes - remove cache
	  capability to pass test_grabbers check

2008-01-26 13:24  candu_sf

	* grab/es_laguiatv/test.conf: es_laguiatv - updated test.conf file

2008-01-26 01:40  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds regionalised icons for ITV1 channels

2008-01-24 00:11  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More programme titles to process
	  against

2008-01-22 18:39  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds another programme title to
	  process against

2008-01-22 18:16  knowledgejunkie

	* grab/uk_rt/channel_ids: Reorders the channel entries. The file
	  now contains the timeshifted and part-time channel entries first,
	  and lists the regular channels available from the Radio Times
	  afterwards. This should allow the released 0.5.50 (and previous)
	  grabber to continue to use the regular channels during
	  configuration and write usable XMLTV IDs to the config file. When
	  channel_ids is parsed and the rt_to_xmltv hash is created, the
	  timeshifted and part-time entries should be overwritten by the
	  later 'regular' channel entries, which also share the same RT ID.
	  The logic to cater for multiple channels sharing the same RT ID
	  is only available in CVS right now, so this should allow current
	  and future releases of the grabber to share the same channel_ids
	  file.

2008-01-22 17:56  rmeden

	* Makefile.PL: remove tv_grab_no at author's request. Been replaced
	  by tv_grab_no_gfeed

2008-01-21 08:52  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds some more programme titles to
	  process against

2008-01-20 11:44  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds title processing routine to
	  accommodate programmes having titles in format sub-title:title.
	  Updates other title processing routines to cater for situations
	  where a subtitle is given in title and separately in episode
	  field. Adds a couple of new programme titles to match against
	  during processing. Increases duration that the grabber will read
	  from cache to 1hr now that we re-use the data for timeshifted and
	  part-time channels.

2008-01-19 00:39  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Re-enables timeshifted channel
	  support, which I inadvertently disabled in the last update.

2008-01-18 18:49  knowledgejunkie

	* grab/uk_rt/: channel_ids, tv_grab_uk_rt.in: Adds support for
	  part-time channels seen on platforms such as FreeView, which do
	  not have the resources to broadcast all channels, all the time.
	  This update allows tv_grab_uk_rt to create time-restricted
	  listings for channels such as UKTV History and Virgin 1, which
	  are only broadcast during certain hours of the day on FreeView.
	  New XMLTV IDs have been created for these new channels. Listings
	  for other part-time channels on Freeview are already available
	  from the Radio Times feed, with Nuts TV and Smile TV being the
	  only FreeView channels currently unsupported by the grabber. As
	  always, please report any issues you encounter.

2008-01-17 04:44  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds title/sub-title processing,
	  which should begin to produce more consistent programming
	  information over time. Some programme titles are supplied
	  containing the programme's sub-title, but future listings may
	  contain the correct title and a separate sub-title. To ease this
	  inconsistency we parse out the sub-title information where we
	  have prior knowledge of the title. Update also adds more flagged
	  non-title information to remove from titles. All title processing
	  can be disabled by using the --no-title-updates option.

2008-01-16 21:16  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds a '--no-title-updates' option
	  to the grabber to disable processing of programme titles. In
	  order to achieve consistency between channels and repeat showings
	  of programmes, the grabber can remove certain pieces of non-title
	  information from a programme's title. Such information may
	  include 'season' information ('Bond Season' etc) or
	  programme-genre/channel information ('CBBC:'). Before I add more
	  processing to enable the grabber to better split compounded
	  title-subtitle programme titles into their constituent element to
	  boost progamme matching, I am adding this override so that any
	  users who wish to receive unadulterated programme titles can
	  contine to do so.

2008-01-16 20:41  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates display name for UKTV Gardens.
	  Note that the previous commit (Timeshifted channels support) also
	  updated a few channel names.

2008-01-16 20:08  knowledgejunkie

	* grab/uk_rt/: channel_ids, tv_grab_uk_rt.in: Adds timeshifted
	  channel support to tv_grab_uk_rt. This enables the creation of
	  (arbitrarily) timeshifted listings based on any listings
	  available from the Radio Times. I have tried to ensure that all
	  currently available +1/+2 channels are supported for new
	  installations, which means that several previously-unsupported
	  channels have listings available (use tv_grab_uk_rt
	  --list-channels for the full list). No changes have been made to
	  the availability of the Radio Times supplied +1/+2 listings, so
	  these should continue to work as before. Existing users wishing
	  to switch from the Radio Times supplied timeshifted listings to
	  the new native tv_grab_uk_rt timeshifted listings need only to
	  update the XMLTV IDs for these channels in their XMLTV config
	  file and related software (i.e. MythTV). New timeshifted listings
	  have tsod. (TimeShifted Original Data) prepended to the existing
	  RT-supplied timeshifted channel's XMLTV ID - check the
	  channel_ids file for more information. I have also tried to
	  ensure that GMT/BST timings remain correct after this update.
	  Many thanks to David Greaves for the initial patch upon which I
	  have based this update.

2008-01-15 18:13  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: major speed up in grabbing

2008-01-15 18:12  mnbjhguyt

	* grab/it/tv_grab_it.PL: updated pod

2008-01-13 21:22  atirc

	* grab/es_miguiatv/: tv_grab_es_miguiatv, test.conf: [no log
	  message]

2008-01-13 21:18  atirc

	* Makefile.PL: Add es_miguiatv to Makefile.PL

2008-01-13 21:18  atirc

	* MANIFEST: Add es_miguiatv to MANIFEST

2008-01-13 14:09  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: es_laguiatv: fix for site
	  update with descriptions

2008-01-11 14:48  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: Fix for es_laguiatv to
	  match updates to the site. Descriptions are not fixed yet.

2008-01-11 06:51  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: changed to skip non-numeric channel
	  numbers as directv now seems to be appending "-1" to some that
	  are otherwise duplicated

2008-01-09 20:05  mattiasholmlund

	* Makefile.PL: Add dependency for File::Slurp.

2008-01-09 08:45  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Small change to --debug output text

2008-01-08 08:21  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds debug output for programme
	  titles that may include non-title information

2008-01-07 12:25  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Reverts handling of a bad UTF-8
	  Degree symbol character coded as <C3><8B><C2><9A> in the source
	  data. The decoded character should be the Latin-1 Degree symbol
	  <B0>, but instead is the Latin-1 (not UTF-8) E-umlaut character
	  <CB>

2008-01-07 10:43  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds handling of a bad UTF-8
	  characters which remains undecoded in Latin-1 output (Degree
	  symbol, Channel 4 listings)

2008-01-07 10:24  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds a --debug option to the
	  grabber, which provides detailed progress information on
	  configuration, file downloads, listings processing, and output
	  generation during a grabber run. It is recommended to run the
	  grabber without progress bars for the clearest output. This
	  update also cleans up the standard non-debug log output.

2008-01-06 02:09  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds basic handling of some invalid
	  UTF-8 characters which remain undecoded in Latin-1 output

2008-01-05 13:44  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: fixed failure to pick up the first
	  program when it starts about 5 minutes before the end of a 2-hour
	  time slot

2008-01-04 06:39  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Since the resumption of the Radio
	  Times' XMLTV service in early January 2008, the RT source data
	  appears to be in valid UTF-8 format, with only minor
	  bad-character issues noted to date. We therefore use the
	  Unicode::UTF8simple module to convert the UTF-8 format source
	  data into ISO 8859-1 Latin 1 text for processing and output. As a
	  result of this change, please report any occurences of odd
	  characters in the output data.

2008-01-03 02:59  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Tidies up non-fatal line breaks in
	  reviewed/updated listings

2008-01-03 02:48  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes old and unused HTML entity
	  handling code

2008-01-03 02:14  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds yet more handling for
	  non-English characters in listings data. These now seem to be all
	  prefixed with 0xC3 instead of a mixture of 0xC3 and 0xC8 in the
	  source data, but in a more consistent manner. I am hopeful the
	  source data can be corrected to remove these odd 2-byte
	  characters and replace them with their correct ISO/IEC 8859-1
	  codes

2008-01-02 17:06  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds Channel 4 HD to available channels

2007-12-31 17:18  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: fix for end-of-year bug

2007-12-25 15:35  va1210

	* grab/fi/tv_grab_fi: Updated regexp due to site markup change.
	  Also added other small changes. Thanks (again) to Stefan Becker
	  for the patch.

2007-12-16 16:48  reudeudeu

	* grab/fr/tv_grab_fr: Cleanup the genre field to replace wrong
	  characters

2007-12-14 14:08  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates comment. A new release of
	  HTTP::Cache::Transparent (version 1.0) is now available from
	  CPAN. The latest release of this module is required to enable the
	  improved Radio Times 'empty file' handling.

2007-12-14 13:58  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More updates for bad character
	  handling.

2007-12-11 08:31  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates comments regarding using
	  non-CPAN version of HTTP::Cache::Transparent to work around bad
	  Radio Times data files. Any users wanting to test this new
	  support will require the latest non-CPAN release of
	  HTTP::Cache::Transparent available from the author's git
	  repository at
	  http://git.holmlund.se/?p=HTTP-Cache-Transparent.git;a=summary.

2007-12-11 08:22  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds more bad character handling.
	  Comments out some likely superfluous HTML entity decoding code
	  that was used when the grabber was parsing HTML data.

2007-12-08 20:34  rmeden

	* lib/XMLTV.pm.in: add quality optoin to video on parsing file

2007-12-08 15:35  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: main site has moved to
	  another domain, plus code cleanup

2007-12-07 10:46  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Additionally checks for presence of
	  DOCTYPE element in Radio Times data which indicates a lack of
	  usable data. Users wanting to take advantage of tv_grab_uk_rt's
	  bad/missing data support will need to upgrade
	  HTTP::Cache::Transparent to a release later than 0.7

2007-12-07 10:28  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Additional bad character handling.

2007-12-07 10:17  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Implements support for the
	  approveContent callback functionality being added to
	  HTTP::Cache::Transparent. This will allow the grabber to
	  successfully retrieve new listings even during those periods when
	  the Radio Times' index file (channels.dat) is empty. This
	  scenario currently causes the grabber to fail as it cannot
	  determine the available channels. With the new support in
	  H::C::T, a previously cached copy of channels.dat (if available)
	  will instead be used and will only be updated if the online
	  version is updated with actual content.

2007-12-01 00:54  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Ensures cached data files are kept
	  for no more than 15 days. The Radio Times data contains listings
	  information for at most 2 weeks, so this ensures no stale data is
	  retained.

2007-12-01 00:06  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds $ keyword to channel_ids file

2007-11-30 00:28  jveldhuis

	* lib/IMDB.pm: updated estimates calculations and added
	  file_size_uncompressed values to moviedb.info file

2007-11-29 21:29  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Make things work again:
	  forgot to create writer object in listchannels sub

2007-11-29 21:07  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Trying to be a good boy
	  here. Use XMLTV's writer module instead of just printing strings
	  in the listchannels sub

2007-11-29 21:01  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: Add "people" tags and the
	  series id field

2007-11-27 13:20  mihaas

	* grab/eu_epgdata/channel_ids: Updated channel_ids with channel ids
	  for NL taken from tv_grab_nl_wolf. Thanks!

2007-11-25 13:09  mattiasholmlund

	* lib/Supplement.pm.in: Add new environment variable
	  XMLTV_SUPPLEMENT_VERBOSE.  Always load supplement-file from
	  server if user switches to another server.

2007-11-24 19:02  reudeudeu

	* grab/fr/tv_grab_fr: - Update man page

2007-11-24 03:27  rmeden

	* Makefile.PL: remove tv_grab_nl due to agent string blocking

2007-11-22 20:37  reudeudeu

	* grab/fr/tv_grab_fr: -Add management of "hidden" channels from the
	  website -Various minor patches

2007-11-21 19:40  mattiasholmlund

	* lib/Supplement.pm.in: Fix caching with the Last-Modified header.
	  Lower cache-time to one hour.

2007-11-19 10:12  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds caching of listings data and
	  channel index file via HTTP::Cache::Transparent. Cache directory
	  is currently hardcoded to ~/.xmltv/cache which will be created if
	  missing.

2007-11-19 08:20  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improves handling of GMT/BST
	  changeovers in March/October by fixing issues described in bug
	  #1051504. Adds comparison of the reported length of a programme
	  to its calculated length. Convert existing tabs to spaces in
	  source code.

2007-11-19 06:22  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds new Al Jazeera channel and removes
	  defunct Dave +1 listings

2007-11-19 06:10  rmeden

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: remove duplicate "our" to
	  avoid warning

2007-11-18 12:57  mihaas

	* grab/eu_epgdata/channel_ids: Oops, forgot another one

2007-11-18 12:56  mihaas

	* grab/eu_epgdata/channel_ids: Remove some blanks. I need to make
	  the grabber more robust against this...

2007-11-16 20:34  mattiasholmlund

	* lib/Supplement.pm.in: Prettier error-message.

2007-11-16 20:11  mattiasholmlund

	* lib/Supplement.pm.in: Report WHY a download failed.

2007-11-15 05:19  rmeden

	* grab/na_dd/tv_grab_na_dd.in: write  timeoffset instead of
	  timezone in config file for clarity.	Still read timezone if it's
	  there.

2007-11-08 16:50  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds updated configuration for Dave +1
	  channel which the Radio Times have changed, and updates XMLTV IDs
	  for RT channels no longer carrying listings

2007-11-06 20:23  mnbjhguyt

	* grab/it/tv_grab_it.in: added new backend

2007-11-06 20:23  mnbjhguyt

	* grab/it/test.conf: [no log message]

2007-11-06 11:03  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: More bad character handling

2007-11-05 21:04  mnbjhguyt

	* grab/it/channel_ids: new channels added

2007-11-05 17:06  rmeden

	* MANIFEST: add eu_epgdata to MANIFEST

2007-11-05 15:24  rmeden

	* Makefile.PL: let ChangeLog on windows be Changelog.txt

2007-11-05 08:14  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.50 release

2007-11-05 02:37  rmeden

	* Makefile.PL: let windows README be README.TXT

2007-11-04 20:28  mattiasholmlund

	* grab/be/tv_grab_be.in, grab/ch_search/tv_grab_ch_search.in,
	  grab/huro/tv_grab_huro.in, grab/it/tv_grab_it.in,
	  grab/uk_bleb/tv_grab_uk_bleb.in, lib/Supplement.pm.in: Fix
	  possible problems with line-endings on Windows.

2007-11-04 19:07  rmeden

	* Makefile.PL: our version numbers aren't numeric.  Use ge not >=

2007-11-04 18:57  knowledgejunkie

	* grab/uk_rt/channel_ids: Removes Discovery Civilisation which
	  ceased broadcasting 2007-10-31. Adds new Discovery Knowledge
	  channel which replaced it on 2007-11-01. There is a new XMLTV ID
	  for Discovery Knowledge (knowledge.discoveryeurope.com). Please
	  update accordingly.

2007-11-04 17:35  mihaas

	* grab/eu_epgdata/tv_grab_eu_epgdata.in: An attempt to fix DSt
	  issues. Now the user has to change the time zone twice a year ;)
	  Also add a little bit of documentation

2007-11-04 07:33  mattiasholmlund

	* lib/Supplement.pm.in: Remove debug printout.

2007-11-04 04:49  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Minor updates to some comments.

2007-11-04 04:35  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes restriction on maximum
	  number of fields in channel_ids to allow for future fields now
	  that we have moved to XMLTV::Supplement. Adds comments to this
	  effect and updates relevant error message.

2007-11-04 03:49  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Updates XMLTV project URLs in
	  documentation and XML output. Adds maintainer information.

2007-11-04 03:33  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds caching of the Radio Times
	  channels.dat file via XMLTV::Supplement. This file has been
	  missing from the RT site on a fairly regular basis, even though
	  the underlying listings data can be available. This update should
	  stop the uk_rt grabber exiting prematurely if it can still use a
	  cached version of the channels.dat file. The cached file is used
	  automatically if the RT file is missing or if there have been no
	  updates to the file since the last successful grabber run.

2007-11-04 02:35  knowledgejunkie

	* lib/Supplement.pm.in: Fix a couple of inconsistencies in the
	  documentation regarding the name of the XMLTV_SUPPLEMENT variable

2007-11-04 02:29  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Consistency updates for grabber
	  description/documentation

2007-11-04 02:03  knowledgejunkie

	* lib/Supplement.pm.in: Fix an inconsistency in the documentation
	  regarding the default supplement URL

2007-11-03 02:46  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds more bad character handling and
	  updates debug output

2007-11-02 20:03  rmeden

	* xmltv.dtd: fix star-rating in DTD

2007-11-02 02:40  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Remove non-title information from a
	  programme's title. Leaving this information in the title results
	  in PVR applications not being able to consistently match
	  programme titles when a programme is shown multiple times and the
	  listings do not consistently include this 'season/strand'
	  information.

2007-11-02 01:55  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds descriptions of the 23
	  available Radio Times data fields. Reorganisation of element
	  assignment code to better follow element order in XMLTV DTD
	  specification.

2007-11-02 00:43  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: Modified to write output in the
	  selected local time zone, for MythTV compatibility.

2007-11-02 00:37  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Specifies star-rating/recommendation
	  being used by using the star-rating element's new system
	  attribute. Allows multiple star-ratings per programme.

2007-11-02 00:21  knowledgejunkie

	* xmltv.dtd: Updates XMLTV DTD to support multiple star-rating
	  elements within a programme element. Adds a description of the
	  star-rating element's new system attribute and a simple example
	  of flagging a programme as recommended. Ensures all lines in the
	  DTD are no longer than 80 characters.

2007-11-01 05:16  rmeden

	* lib/XMLTV.pm.in, xmltv.dtd: add system attribute  to
	  <star-ratings> and allow multiple star-ratings while keeping
	  backward capability.

2007-10-31 21:22  rmeden

	* choose/tv_check/tv_check: MyReplayTV.com has been discontinued.
	  Display a warning and don't try to get data

2007-10-31 19:46  mattiasholmlund

	* lib/Supplement.pm.in: Documentation changes only.

2007-10-31 11:15  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Major update to Latin-1 extended
	  (non-English) character handling. You should now see the proper
	  French/German/Spanish/Scandinavian characters in the XML output.
	  Please notify xmltv-users of any outstanding bad characters not
	  being handled after this update.

2007-10-31 06:43  mattiasholmlund

	* grab/be/tv_grab_be.PL, grab/be/tv_grab_be.in,
	  grab/ch_search/tv_grab_ch_search.PL,
	  grab/ch_search/tv_grab_ch_search.in, grab/huro/tv_grab_huro.PL,
	  grab/huro/tv_grab_huro.in, grab/it/tv_grab_it.PL,
	  grab/it/tv_grab_it.in, grab/uk_bleb/tv_grab_uk_bleb.PL,
	  grab/uk_bleb/tv_grab_uk_bleb.in, lib/Supplement.pm.in,
	  lib/ValidateFile.pm, lib/exe_wrap.pl, tools/tv_validate_file.PL,
	  tools/tv_validate_file.in, tools/tv_validate_grabber.PL,
	  tools/tv_validate_grabber.in: Use XMLTV::Supplement.

2007-10-31 05:18  knowledgejunkie

	* grab/uk_rt/: tv_grab_uk_rt.PL, tv_grab_uk_rt.in: Adds
	  XMLTV::Supplement support to tv_grab_uk_rt and removes share
	  capability. Removes some minor debugging output for bad RT
	  channels.

2007-10-31 02:50  knowledgejunkie

	* grab/uk_rt/channel_ids: channel_ids update to flag channels
	  currently listed on Radio Times site that are no longer
	  broadcasting or no longer have listings available

2007-10-30 01:25  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Handle Unicode null character
	  (U+0000) in Radio Times data.

2007-10-28 06:25  mattiasholmlund

	* lib/Options.pm: Correct option syntax for --share.

2007-10-28 06:24  mattiasholmlund

	* grab/test_grabbers, lib/Supplement.pm.PL, lib/Supplement.pm.in:
	  Add support for loading supplementary files via http.

2007-10-26 23:25  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds support for recommended
	  programmes - these are given a star-rating of 1/1. Commit also
	  includes a small tidy-up of the category logic

2007-10-26 22:14  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds support to tv_grab_uk_rt for
	  deaf-signed programmes by using the new subtitles type
	  'deaf-signed'

2007-10-25 20:11  knowledgejunkie

	* grab/uk_rt/test.conf: Removes multiple channels from test.conf -
	  will speed up testing of grabber

2007-10-25 19:52  knowledgejunkie

	* grab/uk_rt/channel_ids: Update for new Dave channels. UKTV
	  G2/Dave transition files are no more. Update your XMLTV configs
	  with the new XMLTV IDs (dave.uktv.co.uk, plus-1.dave.uktv.co.uk)
	  in order to get the new listings

2007-10-25 19:32  knowledgejunkie

	* grab/uk_rt/channel_ids: Disables Front Row listings (no listings
	  data)

2007-10-25 18:48  knowledgejunkie

	* xmltv.dtd: Adds 'deaf-signed' type to subtitles element

2007-10-25 14:32  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds icons for new Dave channels

2007-10-24 22:27  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: Switched to always force Hawaii time,
	  thus eliminating issues with DST.

2007-10-23 22:52  knowledgejunkie

	* grab/uk_rt/channel_ids: Replaces UKTV G2 with new Dave channels
	  and removes UKTV Bright Ideas

2007-10-23 05:02  sunsetsystems

	* MANIFEST: added entries for na_dtv

2007-10-21 18:22  mattiasholmlund

	* grab/eu_epgdata/: tv_grab_eu_epgdata.PL, tv_grab_eu_epgdata.in:
	  Make eu_epgdata use XMLTV::Supplement

2007-10-21 18:19  mattiasholmlund

	* MANIFEST, Makefile.PL, lib/Supplement.pm.PL,
	  lib/Supplement.pm.in: Add new module XMLTV::Supplement.

2007-10-21 00:03  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: removed reliance on local computer
	  time zone setting

2007-10-20 03:25  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Should remove remaining occurences
	  of character information in <actor> elements

2007-10-19 04:02  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: added logic to skip duplicated
	  channel numbers

2007-10-17 01:24  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds a new channel icon (that I submitted
	  to Lyngsat last week) for Virgin 1

2007-10-13 14:15  sunsetsystems

	* grab/na_dtv/tv_grab_na_dtv: removed non-working cache capability

2007-10-12 17:49  sunsetsystems

	* Makefile.PL: new directv grabber

2007-10-12 06:43  sunsetsystems

	* grab/na_dtv/: test.conf, tv_grab_na_dtv: new directv grabber

2007-10-12 04:21  rmeden

	* grab/na_dd/tv_grab_na_dd.in: shorten summary line so it's 80
	  character safe (man page)

2007-10-12 04:20  rmeden

	* Makefile.PL: shorten some grabber descriptions so it fits in 80
	  columns

2007-10-09 11:36  mihaas

	* grab/eu_epgdata/: channel_ids, tv_grab_eu_epgdata.PL,
	  tv_grab_eu_epgdata.in: Add grabber for www.epgdata.com

2007-10-09 11:35  mihaas

	* Makefile.PL: Add tv_grab_eu_epgdata to makefile

2007-10-09 07:36  dubman

	* Makefile.PL, doc/exe_build.html, grab/il/tv_grab_il: replace
	  Locale::Hebrew module to Text::Bidi due licensing problems

2007-10-08 18:36  mnbjhguyt

	* grab/it/test.conf: changed a channel giving problems due to
	  backend

2007-10-02 20:01  reudeudeu

	* grab/fr/tv_grab_fr: Apply patches from SkipCool:  - Improve
	  autocorrect option between 2 days  - Parse properly actors fields
	  - Parse properly directors field

2007-10-02 18:20  reudeudeu

	* grab/fr/tv_grab_fr:  - Better detection of colour and black&white
	  programs

2007-10-02 11:10  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improves the handling of bad
	  characters in the RT data and adds information about the
	  removal/replacement of these characters. Thanks to brharris for
	  the initial patch, which I have expanded upon and localised
	  within the uk_rt grabber.

2007-10-02 05:45  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: After further testing, change
	  replacement character from ' to ? when new bad characters are
	  detected

2007-10-02 05:26  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update to fix recent occurences of
	  bad characters in descriptions

2007-10-02 05:14  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update to fix notadditive grabber
	  validation error

2007-10-01 14:15  rmeden

	* README, doc/README.win32: fix spelling errors.. oops

2007-10-01 13:27  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.49 release

2007-09-27 02:35  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Adds handling of undefined hash
	  references when we encounter a channel not found in channel_ids.
	  Also tidies up a few warnings.

2007-09-27 02:33  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds support for new Virgin 1 channel

2007-09-26 15:45  betlit

	* grab/ch_search/: channel_ids, tv_grab_ch_search.in: added --slow
	  parameter. if it is NOT supplied the grabber only gets some
	  essential information from the main program page (== one http
	  request per channel and day).

	  with --slow, more information (displayed in a pop up window) is
	  grabbed which takes _much_ longer (one http request per program).

2007-09-26 01:40  rmeden

	* grab/na_dd/tv_grab_na_dd.in: more minor doc changes by "Marr"
	  <marr@copper.net>

2007-09-25 16:47  cpicton

	* grab/za/tv_grab_za: Ensure previous fix works for multiple days
	  as well as single days

2007-09-25 05:28  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update to handle strange punctuation
	  characters for single/double quotes and hyphens seen occasionally
	  in recent Radio Times data. Thanks to Niel Markwick for the
	  patch.

2007-09-25 05:13  rmeden

	* grab/na_dd/tv_grab_na_dd.in: for some reason adding one second
	  seems to fix the UTC midnight "bad date" problem

2007-09-25 04:58  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Update to fix ProgressBar exceptions
	  when bar is updated when already finished (bug #1767747). Commit
	  also adds some simple totals of channels available/configured.

2007-09-23 21:06  cpicton

	* grab/za/tv_grab_za: Update tv_grab_za to work with new site
	  format

2007-09-23 20:26  rmeden

	* choose/tv_check/tv_check: improve repeat detection

2007-09-23 07:25  mattiasholmlund

	* grab/dtv_la/tv_grab_dtv_la: Remove unsupported cache capability.
	  Move global variables to make them available everywhere (makes
	  --quiet work properly).

2007-09-22 11:19  mattiasholmlund

	* MANIFEST, Makefile.PL: Move grab/dtv to grab/dtv_la. Disable
	  tv_grab_is and tv_grab_br.

2007-09-21 18:26  mattiasholmlund

	* tools/tv_find_grabbers: tv_find_grabbers: Add a --verbose option.
	  Print an error on timeout.

2007-09-20 21:13  mnbjhguyt

	* grab/it/tv_grab_it.in: more fixes for --quiet

2007-09-18 20:47  mnbjhguyt

	* grab/it/tv_grab_it.in: should fix the --notquiet errors in
	  http://www.xmltv.se/validator/nightly/

2007-09-18 05:27  rmeden

	* grab/na_dd/tv_grab_na_dd.in: more minor doc changes by "Marr"
	  <marr@copper.net>

2007-09-17 03:32  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add documentation patch from Marr
	  <marr@copper.net>

2007-09-13 04:33  rmeden

	* grab/na_dd/tv_grab_na_dd.in: get rid of annoying warning when no
	  config file exists

2007-09-12 22:54  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Filtering out advertisement:
	  "Megvásárolható DVD-n", "Megvásárolható VHS-en"

2007-09-12 22:45  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Fixed bug: multiday listings missed
	  programs after 20:00
	   - Fixed request #1671194

2007-09-12 18:57  mattiasholmlund

	* grab/: br_net/test.conf, no_gfeed/test.conf: Updated
	  configuration files to fix validation errors.

2007-09-12 03:33  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add --notrim optoin and fix empty
	  write to STDOUT

2007-09-10 19:55  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add support for digital TV
	  subchannels

2007-09-09 21:11  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add back --padd option... for bad
	  time issues.	Detect and print a nice message if <program> tag
	  not found

2007-09-06 19:50  rmeden

	* grab/na_dd/tv_grab_na_dd.in: allow <NEW> flag to be used for
	  SHows, not just EPisodes

2007-09-06 07:34  eborn

	* grab/nl/tv_grab_nl: Added the preferredmethod capability and set
	  it to 'allatonce' (fixes req #1788643)

2007-09-04 09:42  gawen

	* grab/pt/tv_grab_pt: site layout has changed... again

2007-08-30 07:49  christianw

	* grab/no_gfeed/tv_grab_no_gfeed.PL: Changed the url to a new host.

2007-08-29 05:51  rmeden

	* choose/tv_check/tv_check, grab/na_dd/tv_grab_na_dd.in: tweak
	  repeat detection a little more

2007-08-28 15:01  rmeden

	* choose/tv_check/tv_check: Deal with repeats after tv_grab_na_dd
	  changes

2007-08-26 05:28  rmeden

	* grab/na_dd/tv_grab_na_dd.in: force usernames to lower case

2007-08-22 17:04  rmeden

	* grab/na_dd/tv_grab_na_dd.in: set previously-shown for "not new"
	  if the type is an EPisode

2007-08-22 16:30  rmeden

	* grab/na_dd/tv_grab_na_dd.in: DD "Original-Air-Date" was setting
	  {Date}.  Should have set {previously-shown}.	Now setting both
	  for compatability.  In addition DD {repeat} was been replaced
	  with {new}

2007-08-22 06:55  knowledgejunkie

	* grab/uk_rt/channel_ids: Removes a channel no longer carried by
	  Radio Times

2007-08-22 02:43  knowledgejunkie

	* grab/uk_rt/channel_ids: Updates a couple of channel icons

2007-08-22 01:18  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds Channel 4 +1 to available listings

2007-08-20 22:51  rmeden

	* README, doc/README.win32, lib/XMLTV.pm.in, lib/exe_wrap.pl:
	  prepare for 0.5.48 release

2007-08-20 22:32  rmeden

	* MANIFEST, Makefile.PL: remove tv_grab_na_sd  now tv_grab_na_dd

2007-08-20 21:35  rmeden

	* grab/na_dd/tv_grab_na_dd.in: replace _na_dd with _na_sd
	  (overwrite old na_dd)

2007-08-11 17:39  rmeden

	* MANIFEST, Makefile.PL: add tv_grab_na_sd -- US/Canada grabber for
	  Schedules Direct

2007-08-04 23:47  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Fixes i) XML output containing
	  copyright/stauts information when piping output, and ii) a bad
	  update causing crash in Term::ProgressBar when not run from a
	  terminal. Many thanks to Niel Markwick for providing a patch.

2007-08-03 06:45  knowledgejunkie

	* grab/uk_rt/channel_ids: Update 2 XMLTV IDs (Sky Movies Premiere
	  +1 and Travel Channel +1) for more consistent +1 channel
	  identification. If you use these channels you will need to update
	  your configuration file

2007-08-03 06:24  knowledgejunkie

	* grab/uk_rt/channel_ids: Cartoon Network Too channel now fixed
	  properly on RT site

2007-08-02 00:20  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.47 release

2007-07-30 15:45  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Capitalise and also stop the
	  duplication of film category element in XML output

2007-07-30 15:40  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Revert an unused ProgressBar
	  parameter included in previous commit

2007-07-29 09:27  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Improves progress bars for channel
	  and listings downloads in non-quiet mode.

2007-07-28 08:12  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Removes STDOUT/STDERR output when
	  [--quiet] option is used, updates program/usage information,
	  improves some warning messages

2007-07-27 02:11  knowledgejunkie

	* grab/uk_rt/tv_grab_uk_rt.in: Provides a workaround for duplicate
	  channel names on Radio Times site

2007-07-26 23:14  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt channel_ids update for several new
	  channels

2007-07-23 12:56  gawen

	* grab/pt/tv_grab_pt: bugfixing

2007-07-23 09:57  gawen

	* grab/pt/tv_grab_pt: p+a working and some more meta info.

2007-07-17 11:17  ngarratt

	* grab/za/tv_grab_za: More channel fixups Get channel lists from
	  main page instead of listing page Remove [Dolby 5.1] tag now that
	  MythTV reads audio attributes

2007-07-16 05:55  rmeden

	* grab/na_dd/tv_grab_na_dd.in: progress bar getting picky about
	  setting same limit twice.. let's avoid the issue

2007-07-13 11:36  ngarratt

	* grab/za/tv_grab_za: Discovery channel renamed Cleaned up
	  subtitles regular expressions

2007-07-13 09:59  ngarratt

	* grab/za/test.conf: Update test configuration for channel changes

2007-07-11 22:30  rmeden

	* lib/exe_wrap.pl: tv_grab_ch_search needs a --share directory..
	  let's give it one.

2007-07-10 20:05  rmeden

	* README: keep trying to put out a fix release!

2007-07-10 20:03  rmeden

	* MANIFEST: Fix MANIFEST ( make manifest caused probems!)

2007-07-10 14:52  rmeden

	* grab/na_dd/tv_grab_na_dd.in: fix case where "progress bar already
	  finished" shows up in some data sets

2007-07-10 14:18  rmeden

	* Makefile.PL: remove tv_grab_ch_bluewin  (ident blocked)

2007-07-10 10:22  ngarratt

	* grab/za/tv_grab_za: Handle missing listing data better GO channel
	  fixup Fix silent output

2007-07-10 04:36  rmeden

	* MANIFEST, Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.46 release

2007-07-09 21:44  rmeden

	* grab/na_dd/tv_grab_na_dd.in: more taking advantage of zap2it
	  outage to improve error handling

2007-07-09 19:56  rmeden

	* grab/na_dd/tv_grab_na_dd.in: improve transport error messaging

2007-07-06 02:02  rmeden

	* grab/na_dd/tv_grab_na_dd.in: make dropbadchars plural so it works
	  both singular nad plural.

2007-07-05 09:47  gawen

	* grab/pt/tv_grab_pt: full description

2007-07-04 23:17  rmeden

	* grab/na_dd/tv_grab_na_dd.in: combine error, reference data, and
	  schedule pass.  20% faster!

2007-07-04 19:57  reudeudeu

	* grab/fr/tv_grab_fr: - Improve parsing of genre, subgenre and date
	  fields - autocorrect option is now ON by default, deactivate it
	  with --noautocorrect

2007-07-04 06:35  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: updated to reflect source
	  site update

2007-07-03 21:58  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt channels update for Discovery
	  Channel +1.5 from Nick Morrott

2007-07-03 17:53  va1210

	* grab/fi/tv_grab_fi: Added changes to grabber required by recent
	  changes to the telkku.com site

2007-07-02 15:06  gawen

	* grab/pt/tv_grab_pt: bugfixing

2007-07-02 14:31  gawen

	* grab/pt/tv_grab_pt: bugfix

2007-07-02 14:12  gawen

	* grab/pt/tv_grab_pt: bugfixes and categories

2007-07-02 13:13  gawen

	* grab/pt/tv_grab_pt: icons work again

2007-07-02 09:43  gawen

	* grab/pt/tv_grab_pt: turn script compliant with latest tvcabo site
	  changes

2007-07-01 07:48  reudeudeu

	* grab/fr/tv_grab_fr: Creation	- Check if the presenter element is
	  not empty  - Add the autocorrect option, thanks to tigerlol for
	  that

2007-06-28 22:21  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add --dropbadchar option to drop bad
	  non UTF-8 characters from data direct

2007-06-28 20:54  mattiasholmlund

	* tools/tv_validate_file.in: Better error-messages in
	  tv_validate_file. Patch by Chris Butler.

2007-06-28 20:46  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb.in: Use more verbose errormessages
	  to help troubleshooting.

2007-06-28 19:51  car_unlp

	* MANIFEST, Makefile.PL, grab/dtv_la/test.conf,
	  grab/dtv_la/tv_grab_dtv_la: Added Latin American grabber

2007-06-27 02:18  rmeden

	* MANIFEST, Makefile.PL: remove de_tvtoday and _de due to strict
	  German copyright laws

2007-06-26 20:28  reudeudeu

	* grab/fr/tv_grab_fr:  - Better parsing for actorname

2007-06-21 08:07  ngarratt

	* grab/za/tv_grab_za: Minor fix for incomplete titles

2007-06-21 01:06  knowledgejunkie

	* grab/uk_rt/channel_ids: Adds 3 new channels and removes 1 old
	  channel for tv_grab_uk_rt grabber

2007-06-15 10:32  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt channel icon updates

2007-06-11 13:58  ngarratt

	* grab/za/tv_grab_za: Remove OpenTime options (defunct service)
	  Move event post-processing to separate sub Fix incomplete title
	  processing Handle subtitles and dolby digital tags

2007-05-31 22:29  car_unlp

	* grab/ar/tv_grab_ar: Disable random delay from get_nice_tree

2007-05-27 10:02  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: boingtv,it fixed (thanks
	  Paolo Asioli)

2007-05-22 16:33  car_unlp

	* grab/ar/tv_grab_ar: Correct stoptime issue

2007-05-11 16:55  betlit

	* grab/ch_search/tv_grab_ch_search.in: added a line to strip
	  illegal characters from description.

2007-05-10 19:53  reudeudeu

	* grab/fr/tv_grab_fr: Add nouveau canal sat channels in the grabber
	  option

2007-05-09 21:52  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Leftover JavaScript method (putbox)
	  is filtered from the description

2007-05-02 05:51  car_unlp

	* grab/ar/tv_grab_ar: Disable winter/summer mode for utc_offset

2007-04-30 10:41  gawen

	* grab/pt/tv_grab_pt: bugfixes

2007-04-28 01:21  knowledgejunkie

	* grab/uk_rt/channel_ids: tv_grab_uk_rt channel name/icon updates
	  (Sky Movies channels and others) from Nick Morrott

2007-04-26 19:57  rmeden

	* Makefile.PL, grab/na_icons/tv_grab_na_icons.in: add XML::Twig
	  version dependancy

2007-04-26 17:12  nielm

	* grab/be/channel_ids_nl: fixed duplicate tv5 channel

2007-04-26 08:51  nielm

	* grab/be/tv_grab_be.in: Improved configuration questions for TK
	  mode. Now uses ask_many_boolean

2007-04-26 08:50  nielm

	* grab/be/channel_ids_nl: Added new channel IDs and logo URLs

2007-04-25 18:17  mattiasholmlund

	* grab/: hr/test.conf, no_gfeed/test.conf, se_swedb/test.conf:
	  Change cache location again to make it universally available.

2007-04-25 06:08  rmeden

	* grab/na_icons/tv_grab_na_icons.in: fixes in response to data
	  source changes

2007-04-24 20:43  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb.in: Die if the configuration
	  hasn't been completed before grabbing data.

2007-04-24 20:38  mattiasholmlund

	* grab/: hr/test.conf, no_gfeed/test.conf, se_swedb/test.conf: Use
	  paths that will work for more users.

2007-04-24 17:44  mattiasholmlund

	* MANIFEST, Makefile.PL: Add tv_grab_no_gfeed

2007-04-21 12:03  christianw

	* grab/no_gfeed/tv_grab_no_gfeed.PL: Accidentally left in some
	  debug stuff.

2007-04-20 08:51  christianw

	* grab/no_gfeed/tv_grab_no_gfeed: I accidentally submitted the
	  compiled version of the grabber... The grabber is autogenerated
	  from the .PL file.

2007-04-20 08:50  christianw

	* grab/no_gfeed/: test.conf, tv_grab_no_gfeed, tv_grab_no_gfeed.PL:
	  First commit of the new BETA grabber for Norway.

2007-04-15 16:19  va1210

	* grab/fi/: test.conf, tv_grab_fi: Added new feature for
	  semi-automatic retrieval of episode names from title/description
	  (Check the code and/or the test.conf-file for examples).

2007-04-15 13:56  ecastelnau

	* grab/nc/tv_grab_nc:
	  Update to reflect website latest changes

2007-04-15 13:32  ecastelnau

	* grab/re/tv_grab_re:
	  Update tv_grab_re to reflect website latest changes

2007-04-13 06:36  ngarratt

	* grab/za/tv_grab_za: Fix GO channel mapping on mnet.co.za

2007-03-30 20:29  ma_begaj

	* Makefile.PL: Removed Time::Local dependency for tv_today

2007-03-30 13:42  rmeden

	* Makefile.PL: bring tv_grab_de_tvtoday back to life with patch by
	  "Ma Begaj" <derliebegott@gmail.com>

2007-03-30 10:05  ngarratt

	* grab/za/tv_grab_za: Fix new channel mappings on mnet.co.za

2007-03-29 17:44  mnbjhguyt

	* grab/it/tv_grab_it.in: removed useless XML::Simple dependency

2007-03-29 17:23  rmeden

	* Makefile.PL: require XML::Simple for tv_grab_it

2007-03-28 11:13  mnbjhguyt

	* grab/it/tv_grab_it.in: minor but important update for skylife

2007-03-27 03:02  knowledgejunkie

	* doc/QuickStart: Add tv_grab_uk_bleb, tv_grab_ar details

2007-03-27 03:01  knowledgejunkie

	* Makefile.PL: Update tv_grab_uk_rt entry

2007-03-25 14:51  rmeden

	* MANIFEST, Makefile.PL: remove broken tv_grab_de_tvtoday

2007-03-19 21:29  attila_nagy

	* grab/huro/tv_grab_huro.in:  - Added fix for converting the new
	  time format (H:MM) to the old (HH:MM),
	  this fixes the program sorting. (Could be a problem for different
	  clients)  - Added the adverticum.net to the blacklist

2007-03-12 04:58  rmeden

	* Makefile.PL: fix typo when tv_grab_nc was added.

2007-03-11 06:52  ecastelnau

	* Makefile.PL, grab/nc/test.conf, grab/nc/tv_grab_nc:
	  Initial load of tv_grab_nc. Grabber for Nouvelle Caledonie
	  (France)

2007-03-10 05:19  knowledgejunkie

	* grab/uk_rt/: channel_ids, test.conf: uk_rt channels update from
	  Nick Morrott. Some IDs and/or channel names have changed, so
	  please check your grabber configuration after installation.

2007-03-07 12:31  mattiasholmlund

	* grab/za/: test.conf, tv_grab_za: Make tv_grab_za baseline
	  compliant. Patch from Neil Garratt

2007-03-05 22:05  gawen

	* grab/pt/tv_grab_pt: there is a channel with ':' on the identifier

2007-03-01 10:58  gawen

	* grab/pt/tv_grab_pt: Adapted to the latest TVCabo site.

2007-02-23 00:56  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt Film4 +1 update from Nick Morrott

2007-02-23 00:53  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt Film4 +1 update from Nick Morrott

2007-02-20 21:00  va1210

	* grab/fi/tv_grab_fi: Added fix to ensure compatibility with
	  TreeBuilder v. 3.22 and above.

2007-02-20 15:10  nielm

	* grab/be/: channel_ids_fr, channel_ids_nl, tv_grab_be.in:
	  Implemented patch 1643461 to fix channel_ids_fr fixed french mode
	  grabber -- changed to grab from www.telemoustique.be Fixed
	  channel_ids_nl to use lyngsat-logo.com

2007-02-20 08:26  betlit

	* grab/ch_search/tv_grab_ch_search.in: the start-date of shows
	  starting after midnight was not adjusted.

2007-02-18 15:36  rmeden

	* README: add note about new windows build instructions

2007-02-18 15:26  rmeden

	* MANIFEST, doc/exe_build.html: add Richard Turnbull's xmltv.exe
	  instructions

2007-02-17 13:22  mnbjhguyt

	* grab/it/tv_grab_it.in: new backends added: - skylife (soon to
	  replace skytv, site is changing) - sitcom1 (1 channel grabber)

2007-02-17 13:21  mnbjhguyt

	* grab/it/tv_grab_it.PL: updated pod

2007-02-17 13:21  mnbjhguyt

	* grab/it/channel_ids: new channels and new backends

2007-02-14 11:54  b4max

	* grab/br_net/test.conf: added new channel TV5 (french)

2007-02-11 22:14  mbdev

	* grab/huro/tv_grab_huro.in: timeformat changes in site: 09:50 ->
	  9:50, patch of users trondmm and vnicolici applied

2007-02-09 01:41  knowledgejunkie

	* grab/uk_rt/channel_ids: uk_rt channels update from Nick Morrott

2007-02-05 16:26  betlit

	* grab/ch_search/: tv_grab_ch_search.in, channel_ids, test.conf,
	  tv_grab_ch_search.PL: new grabber tv_grab_ch_search

2007-02-05 11:06  betlit

	* Makefile.PL: new grabber tv_grab_ch_search

2007-01-23 22:21  mbdev

	* grab/huro/tv_grab_huro.in: Applied patch made by Attila Nagy:
	  design of port.hu/port.ro site was changed, the detailed grabing
	  works again (long desc, duration, actors ...)

2007-01-13 18:06  car_unlp

	* grab/ar/tv_grab_ar: Improve performance for:	  - Adjusting
	  stoptime of overlapped programs when a threshold value is not
	  exceded    - Trim white spaces from channel names    - Notify
	  overlapping programs to stderr    - Notify corrected stoptime
	  when possible

2007-01-13 17:56  car_unlp

	* grab/ar/test.conf: Test configuration files for each grabber.

2007-01-13 13:57  mnbjhguyt

	* grab/it/tv_grab_it.in: new backend boingtv.it added new option
	  --cache-slow added

2007-01-13 13:56  mnbjhguyt

	* grab/it/tv_grab_it.PL: updated pod

2007-01-13 13:56  mnbjhguyt

	* grab/it/channel_ids: new channels added

2007-01-12 20:08  jveldhuis

	* lib/IMDB.pm: fixed size estimates to work with .gz list files,
	  updated estimate calcs

2007-01-12 08:22  knowledgejunkie

	* grab/uk_rt/channel_ids: Channel update from Nick Morrott

2007-01-05 06:02  rmeden

	* MANIFEST, Makefile.PL, grab/ar/tv_grab_ar: initial load,
	  tv_grab_ar

2006-12-29 13:43  mattiasholmlund

	* grab/es_laguiatv/tv_grab_es_laguiatv: Fix description to use the
	  same format as the other grabbers.

2006-12-29 13:41  mattiasholmlund

	* grab/combiner/tv_grab_combiner: If there are several grabbers
	  with the same description, use the one that comes first in PATH.
	  Cosmetic fixes.

2006-12-29 13:04  mattiasholmlund

	* MANIFEST, Makefile.PL, grab/combiner/tv_grab_combiner: New
	  grabber tv_grab_combiner.

2006-12-20 15:31  rmeden

	* grab/na_dd/tv_grab_na_dd.in: display a better error message on
	  password failures

2006-12-17 08:34  rmeden

	* choose/tv_check/tv_check: fix dupe handling to prevent false
	  positives. now print a show even if shows.xml has a bad {day}
	  entry.

2006-12-04 21:51  mnbjhguyt

	* grab/it/channel_ids: new channels

2006-12-03 19:22  rmeden

	* grab/na_dd/tv_grab_na_dd.in: exit data loading subroutine
	  properly when there's an early date

2006-12-03 02:02  rmeden

	* grab/na_dd/tv_grab_na_dd.in: do a better job of preventing the
	  register_ns redefinition warning

2006-12-03 00:52  mattiasholmlund

	* grab/test_grabbers: Remove failed attempt at threading. Threads
	  and alarm() don't work together.

2006-12-02 17:11  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: prepare for 0.5.45 release

2006-12-01 22:22  mattiasholmlund

	* grab/test_grabbers: Remove debug output.

2006-12-01 21:02  mattiasholmlund

	* lib/ValidateFile.pm: Test for invalid episode-numbers

2006-12-01 20:59  mattiasholmlund

	* grab/test_grabbers: Use several threads to speed up testing

2006-12-01 20:50  mattiasholmlund

	* grab/hr/test.conf: Use a more reliable set of channels

2006-12-01 00:23  betlit

	* grab/ch_bluewin/test.conf: [no log message]

2006-12-01 00:15  christianw

	* grab/no/tv_grab_no: Added new IDs. Should work now.

2006-11-30 21:44  zcougar

	* grab/ee/test.conf: ! config file update. cachedir missing before
	  and test failed because of this

2006-11-30 21:36  zcougar

	* grab/ee/tv_grab_ee: ! keep tab indent instead of spaces (need to
	  add some emacs/vim code probably)

2006-11-30 19:36  mattiasholmlund

	* MANIFEST, Makefile.PL, grab/ee/tv_grab_ee,
	  grab/uk_rt/tv_grab_uk_rt.in, lib/Options.pm,
	  lib/PreferredMethod.pm: Implement support for the
	  --preferredmethod capability and add it to ee and uk_rt

2006-11-30 19:13  mattiasholmlund

	* lib/Version.pm: Add documentation.

2006-11-30 09:02  betlit

	* grab/ch_bluewin/tv_grab_ch_bluewin.in: fixed a bug which ignored
	  some shows.

2006-11-29 17:06  rmeden

	* grab/na_dd/tv_grab_na_dd.in: trim programs that begin before
	  start_time to avoid splitting issues

2006-11-29 12:55  betlit

	* grab/ch_bluewin/: channel_ids, tv_grab_ch_bluewin.in: new version
	  of tv_grab_ch_bluewin. adapted to the new design of the
	  bluewin-page.  thanks to rené bühlmann wo did most of the
	  adaption for the new design!

2006-11-20 13:38  zcougar

	* grab/ee/: test.conf, tv_grab_ee: + use transparentcache if
	  available (not required) + XMLTV postprocessing with following
	  features (needs reconfiguration):   * strips genrenames from
	  title   * extracts country and year information from movies
	  titles   * splits titles with series names to title and subtitle
	  * extracts episode numbers from series titles and subtitles	 *
	  detects previously shown shows   * extracts stereo, teletext and
	  aspect ratios from descriptions   * changes category names so
	  that only first char is uppercase

2006-11-20 06:36  rmeden

	* grab/na_dd/tv_grab_na_dd.in: Hack to shorten SOAP request going
	  to DD servers by restricting schemas listed in the request.  This
	  will hopefully get around a DD server bug causing "Invalid Time"
	  errors when a request spans packets.

2006-11-19 07:53  jveldhuis

	* lib/IMDB.pm: fixed sanity check failure due to imdb refining year
	  of Army of Darkness, thx Dan Hopper

2006-11-15 14:00  dubman

	* grab/il/tv_grab_il: adopt changes from yes-ru grabber site

2006-11-09 21:04  va1210

	* grab/fi/tv_grab_fi: Increased default --days option from 10 to
	  14, i.e. all available data.

2006-11-06 17:13  va1210

	* grab/fi/tv_grab_fi: telkku.com changed time delimiter from colon
	  to period

2006-11-05 09:22  dubman

	* grab/il/tv_grab_il: channelnoprogramme: resolve validate errors

2006-10-27 20:34  reudeudeu

	* grab/fr/tv_grab_fr: Creation	- Add patch for wron showview
	  fields  - --perdays mode is now default mode

2006-10-13 22:25  knowledgejunkie

	* grab/uk_rt/channel_ids: Channel updates from Nick Morrott

2006-10-11 18:31  rmeden

	* grab/na_dd/tv_grab_na_dd.in: fix DD soap call syntax ( been wrong
	  all this time! )

2006-10-04 09:04  zcougar

	* grab/ee/tv_grab_ee: Remove default days hack plus some comments

2006-09-30 08:06  mattiasholmlund

	* grab/se_swedb/test.conf: Remove channel that is no longer
	  available.

2006-09-26 20:24  zcougar

	* grab/ee/test.conf, grab/ee/tv_grab_ee, lib/Configure.pm,
	  lib/Options.pm: Sourceforge patch #1560348: * Added new grabber
	  for Estonian tv stations (and other channels visible	 in
	  Estonia) based on www.kava.ee listings. Old grabber is not
	  working any	more.  * use UTF-8 for STDERR terminal output if
	  UTF-8 encoding configured * when writing channel config keep
	  original encoding * make it possible for external modules to get
	  output file handle   (XML::Writer uses STDIO instead of default
	  output if not specified)

2006-09-25 05:12  rmeden

	* choose/tv_check/tv_check: fix feature (it was intentional) that
	  would prevent a moved MyReplayTV show from showing up.  Don't
	  remember why this was done, but not a good idea!

	  Add dupe check for same show on multiple MyReplayTV units.

2006-09-24 18:44  reudeudeu

	* grab/fr/tv_grab_fr: Now manage properly --perdays, --offset and
	  --days options together

2006-09-22 11:49  b4max

	* grab/br_net/tv_grab_br_net: syntax error

2006-09-20 13:29  rmeden

	* grab/uk_rt/channel_ids: submit update from nick

2006-09-19 20:17  reudeudeu

	* grab/fr/tv_grab_fr: Argh

2006-09-19 05:47  reudeudeu

	* grab/fr/tv_grab_fr: ake care of --days and --ofset in --perdays
	  mode

2006-09-18 17:05  b4max

	* grab/br_net/tv_grab_br_net: fixed crash when there is no data
	  available

2006-09-17 20:19  reudeudeu

	* grab/fr/tv_grab_fr: Oopps... Thanks to Jhereg, a quick patch that
	  now grab correctly many days and not only one.

2006-09-15 20:01  reudeudeu

	* grab/fr/tv_grab_fr: Add a mode to grab data on a day by day basis
	  with the --perdays option. The default mode is still the week
	  mode.

2006-09-12 12:17  b4max

	* grab/br_net/tv_grab_br_net: added error for empty configfile

2006-09-12 00:16  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add --padd option to deal with bad
	  startTime warnings from DD

2006-09-03 11:49  b4max

	* grab/br_net/tv_grab_br_net: improved error handling

2006-08-31 21:16  betlit

	* grab/ch_bluewin/channel_ids: argh... the channel is named 3+ not
	  S3... sorry.

2006-08-31 21:02  betlit

	* grab/ch_bluewin/: channel_ids, tv_grab_ch_bluewin.in: - bluewin
	  sometimes includes has some strange non standard (control)
	  characters int he description which xmltv can't handle.  added a
	  regexp to remove those chars - new channel 'S3' added

2006-08-20 12:27  ecastelnau

	* grab/re/tv_grab_re: Fixe a bug when no data is available for a
	  particular channel from canalsat-reunion.com

2006-08-17 21:50  axis3x3

	* grab/uk_rt/: channel_ids, tv_grab_uk_rt.in: Added channel icon
	  URLs to tv_grab_uk_rt.

2006-08-16 20:59  mnbjhguyt

	* grab/it/tv_grab_it.in: fixes to skytv skytv now handles
	  categories when using --slow

2006-08-15 12:21  ecastelnau

	* grab/re/: test.conf, tv_grab_re: --slow option did not work due
	  to site changes. Now it's fixed.

2006-07-27 11:32  mattiasholmlund

	* MANIFEST, Makefile.PL, grab/hr/test.conf, grab/hr/tv_grab_hr.PL:
	  Add new grabber for Croatia.

2006-07-23 19:14  betlit

	* grab/ch_bluewin/tv_grab_ch_bluewin.in: bluewin.ch made some
	  changes on the details page (javascript script-related) which
	  caused the grabber to be unable to separate titles and (optional)
	  subtitle of the show

2006-07-20 19:56  stesie

	* lib/exe_wrap.pl: adjusted for new tv_grab_ch_bluewin.

2006-07-20 19:54  stesie

	* doc/QuickStart: updated list of available grabbers.

2006-07-20 19:28  stesie

	* grab/ch_bluewin/test.conf: added test.conf file for automatic
	  grabber checking

2006-07-20 15:51  stesie

	* grab/ch_bluewin/channel_ids,
	  grab/ch_bluewin/tv_grab_ch_bluewin.PL,
	  grab/ch_bluewin/tv_grab_ch_bluewin.in, MANIFEST, Makefile.PL:
	  adding Daniel Bittel's <daniel.bittel@solnet.ch>
	  tv_grab_ch_bluewin grabber for Switzerland

2006-07-18 21:50  mbdev

	* grab/huro/tv_grab_huro.in: fix of "Cant use an undefinied value
	  as a HASH reference at tv_grab_huro line 1522/1525": if the
	  channel (coming from the config file) does not exists on the
	  port.hu/ro site, display WARNING message, so do not die so ugly.

2006-07-12 12:58  jtoft

	* grab/dk/tv_grab_dk: Only critical warnings when running with
	  --quiet.  Patch by Michael Andersen.

	  ----------------------------------------------------------------------

2006-07-09 17:08  rmeden

	* Makefile.PL: require SOAP::Lite version 0.67

2006-07-05 13:20  rmeden

	* grab/na_icons/tv_grab_na_icons.in: zap2it sometimes gives all
	  channels by default... let's deal with it

2006-07-02 19:36  mattiasholmlund

	* lib/ProgressBar/None.pm: Support old interface in the same way
	  that the other progressbars do. Patch from Chris Butler.

2006-07-02 02:43  rmeden

	* grab/uk_rt/channel_ids: commit update from
	  knowledgejunkie@gmail.com

2006-06-20 05:54  rmeden

	* mkdist: set new CVS hostname

2006-06-20 05:31  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Prepare for 0.5.44 release

2006-06-15 04:34  mattiasholmlund

	* lib/ValidateFile.pm: Make it possible to validate xmltv snippets
	  without channel-entries.

2006-06-14 20:56  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: minor updates

2006-06-14 20:12  mnbjhguyt

	* grab/it/channel_ids: new channels added

2006-06-11 15:10  mtoledo

	* grab/br/tv_grab_br: Corrections to make it work with the new
	  website structure.

2006-06-10 00:26  b4max

	* grab/br_net/tv_grab_br_net: bugfix

2006-06-09 23:22  axis3x3

	* grab/uk_rt/tv_grab_uk_rt.in: Applied 'Make tv_grab_uk_rt quieter'
	  - only warn on unknown channels or channels missing from the site
	  when we are not in quiet mode.

2006-06-09 15:21  b4max

	* grab/br_net/tv_grab_br_net: lots of updates (channel-handling,
	  config, episodes, bugs, site-changes, ...)

2006-06-09 15:19  b4max

	* grab/br_net/test.conf: NET updated their channels

2006-06-04 10:52  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Tom Hughes to fish out
	  episode number from title.

2006-06-04 04:56  rmeden

	* lib/exe_opt.pl: prevent message about a missing module

2006-06-04 04:54  rmeden

	* Makefile.PL, grab/na_icons/tv_grab_na_icons.in: change _na_icons
	  to reflect zap2it.com changes

2006-06-03 21:06  epaepa

	* grab/za/tv_grab_za: Call $ua->env_proxy to use http proxy if
	  available.  Fixes
	  <https://sourceforge.net/tracker/index.php?func=detail&aid=1458244&group_id=39046&atid=424135>.

2006-06-03 21:02  epaepa

	* grab/za/tv_grab_za: Fixed behaviour when number of days isn't
	  specified in the config file or command line.  It defaults to 14.

	  Fixed warnings when for some reason a channel name is in the
	  config file but not known on the site.  Now that channel will be
	  skipped with a (more readable) warning.  Still need to
	  investigate the root cause though.

2006-06-03 19:42  epaepa

	* Makefile.PL, lib/XMLTV.pm.in, lib/Configure/Writer.pm: Require
	  XML::Writer 0.600.  Earlier versions have bugs; see
	  <https://sourceforge.net/tracker/?func=detail&atid=424135&aid=1485844&group_id=39046>.

2006-06-03 19:36  epaepa

	* lib/Options.pm: If a bad capability is requested list the known
	  ones in the error message.

2006-06-03 19:31  epaepa

	* grab/au/tv_grab_au.PL, grab/uk_rt/tv_grab_uk_rt.PL,
	  grab/se_swedb/tv_grab_se_swedb.PL, grab/ch/tv_grab_ch.PL,
	  grab/uk_bleb/tv_grab_uk_bleb.PL, grab/na_dd/tv_grab_na_dd.PL,
	  filter/tv_grep.PL: Don't open output file until at least we know
	  we can read the input.  It's still possible for things to go
	  wrong and an incomplete output file to be created.

2006-06-03 19:27  epaepa

	* tools/tv_validate_file.PL, tools/tv_validate_grabber.PL,
	  grab/be/tv_grab_be.PL, grab/huro/tv_grab_huro.PL,
	  grab/it/tv_grab_it.PL, grab/na_icons/tv_grab_na_icons.PL: Don't
	  open output file until at least we know we can read the input.
	  It's still possible for things to go wrong and an incomplete
	  output file to be created.

2006-06-03 19:26  epaepa

	* lib/XMLTV.pm.PL: Mostly fixed annoyance where a failure of this
	  program (for example, a missing dependency required in
	  XMLTV.pm.in) would cause an empty output file to be created.

2006-06-03 18:49  epaepa

	* lib/Options.pm: Whitespace.

2006-05-27 14:30  candu_sf

	* grab/es_laguiatv/: test.conf, tv_grab_es_laguiatv: New channel
	  ids with - instead of . fixed author info to point to me

2006-05-24 13:10  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb.in: Move all references to
	  tv.swedb.se and Sweden to tv_grab_se_swedb.PL

2006-05-24 13:08  mattiasholmlund

	* MANIFEST: Update for tv_grab_se_swedb.

2006-05-24 12:47  mattiasholmlund

	* Makefile.PL, grab/se_swedb/tv_grab_se_swedb,
	  grab/se_swedb/tv_grab_se_swedb.PL,
	  grab/se_swedb/tv_grab_se_swedb.in: Generate tv_grab_se_swedb from
	  .in and .PL

2006-05-24 12:43  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Documention polish.

2006-05-24 12:21  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Remove more obsolete options from
	  documentation.

2006-05-20 15:59  candu_sf

	* Makefile.PL: Added es_laguiatv guide to Makefile.PL

2006-05-20 15:51  candu_sf

	* grab/es_laguiatv/: test.conf, tv_grab_es_laguiatv: Added config
	  file option to get descriptions. Also added test config file.

2006-05-19 21:26  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: Fixed an issue where some
	  channels schedules got missed.

2006-05-19 15:12  fgouget

	* grab/fr/tv_grab_fr: Add support for the 'Coul. et sepia' color
	  indicator (avoids a warning).

2006-05-18 21:39  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: Changed tv_grab_es_laguiatv
	  to have conformant channel IDs (not sure this is the best way).

2006-05-18 20:24  candu_sf

	* grab/es_laguiatv/tv_grab_es_laguiatv: Added first version of
	  tv_grab_es_laguiatv.

2006-05-17 17:40  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Remove obsolete --root-url option

2006-05-17 17:39  mattiasholmlund

	* lib/Options.pm: Fix --version printout.

2006-05-14 19:01  stesie

	* Makefile.PL: disabled tv_grab_ch since it got blocked by
	  www.fernsehen.ch

2006-05-14 16:46  epaepa

	* Makefile.PL: Fixed backslash bug in munging of 'realclean'
	  target.

2006-05-06 18:20  reudeudeu

	* grab/fr/tv_grab_fr: Revert to getstore api instad of get_nice to
	  manage error 500 sent by the server

2006-05-01 19:15  reudeudeu

	* grab/fr/tv_grab_fr: Update reference URL for getting channels

2006-04-29 15:00  rmeden

	* grab/na_dd/tv_grab_na_dd.in: make sure colour is  boolean.

2006-04-27 19:08  mattiasholmlund

	* grab/nl/tv_grab_nl: Fix credits-tag. Patch from David Frankland

2006-04-25 11:27  b4max

	* grab/br_net/tv_grab_br_net: suppress warning if --quiet is in use

2006-04-23 16:34  rmeden

	* README: fix date

2006-04-23 16:31  rmeden

	* MANIFEST: Add test config files

2006-04-23 16:26  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: bump versions to prepare for 0.5.43 release

2006-04-19 07:44  cpicton

	* grab/za/tv_grab_za:	- fix for mnet.co.za changing channel names
	    - fix for mnet.co.za changing class paramater
	    - fix for empty descriptions
	    - fix command-line override for number of days to download
	    - added timeout option to config file (long delays for 30-day
	  schedules)

2006-04-18 02:54  b4max

	* grab/br_net/tv_grab_br_net: bugfix

2006-04-18 02:47  b4max

	* grab/br_net/tv_grab_br_net: changed relax-option to randomize
	  amount of seconds to pause between page-fetches

2006-04-18 02:39  b4max

	* Makefile.PL: removed obsolete requirement for HTML::Entities for
	  tv_grab_br_net

2006-04-16 08:37  mattiasholmlund

	* grab/uk_rt/tv_grab_uk_rt.in: Suppress copyright message when
	  --quiet is used

2006-04-15 21:20  b4max

	* grab/br_net/tv_grab_br_net: fixed inconsistency in channel-names

2006-04-15 17:04  b4max

	* grab/br_net/tv_grab_br_net: removed unused HTML::Entities,
	  cosmetics

2006-04-15 15:03  b4max

	* grab/br_net/tv_grab_br_net: added CVS-headers and set version via
	  CVS-revision

2006-04-15 13:20  dubman

	* grab/il/tv_grab_il: encoding fix

2006-04-15 12:06  dubman

	* grab/il/tv_grab_il: minor fixes

2006-04-15 07:32  dubman

	* grab/il/test.conf: updated

2006-04-14 19:35  mbdev

	* grab/huro/tv_grab_huro.in: Do not 'die' on webpage grabbing
	  error: use Get_nice.pm's FailOnError flag to ignore non-important
	  "page not found" errors in --slow mode

2006-04-13 18:07  dubman

	* grab/il/tv_grab_il: configure fix

2006-04-13 17:24  dubman

	* grab/il/tv_grab_il: get() replaced with get_nice()

2006-04-13 05:47  mattiasholmlund

	* Makefile.PL: Enable _uk_bleb again on popular demand.

2006-04-12 22:38  b4max

	* grab/br_net/tv_grab_br_net: added some more comments

2006-04-12 21:58  b4max

	* README: added name of cable-provider for better distiction with
	  tv_grab_br

2006-04-12 21:51  b4max

	* README: added requirements for tv_grab_br_net

2006-04-12 21:32  mattiasholmlund

	* Makefile.PL, README: Reenable _br.

2006-04-12 21:31  mattiasholmlund

	* grab/br/: test.conf, tv_grab_br: Make _br work again. Patch from
	  Marcos Paulo Serafim.

2006-04-12 20:36  mattiasholmlund

	* README: Add release notes for upcoming 0.5.43

2006-04-12 17:01  mattiasholmlund

	* Makefile.PL: Disable _au and _br

2006-04-12 16:59  mattiasholmlund

	* grab/be/tv_grab_be.in: video->colour should be 0 not 'no'.

2006-04-12 16:58  mattiasholmlund

	* grab/: za/tv_grab_za, nl_wolf/tv_grab_nl_wolf: The grabber is not
	  baseline compliant.

2006-04-12 16:57  mattiasholmlund

	* grab/uk_rt/channel_ids: Add more channels

2006-04-12 13:27  rmeden

	* Makefile.PL: Disable _uk_bleb at the request of the
	  author/maintainer (didn't work, won't be fixed) replced by _uk_rt

2006-04-12 10:45  fgouget

	* grab/fr/tv_grab_fr: Update the todo list.

2006-04-12 10:31  fgouget

	* grab/fr/tv_grab_fr: Set the show's 'icon' if we find one.  Grab
	  the show's rating and corresponding icon if any.

2006-04-12 10:03  fgouget

	* grab/fr/tv_grab_fr: Re-added code to grab the actors and director
	  lists for the new site.  Also grab the presenter and writer
	  information.

2006-04-12 08:19  fgouget

	* grab/: au/tv_grab_au.in, be/tv_grab_be.in, br/tv_grab_br,
	  br_net/tv_grab_br_net, ch/tv_grab_ch.in, cz/tv_grab_cz,
	  de/tv_grab_de, dk/tv_grab_dk, ee/tv_grab_ee, es/tv_grab_es,
	  fi/tv_grab_fi, fr/tv_grab_fr, huro/tv_grab_huro.in,
	  il/tv_grab_il, is/tv_grab_is, it/tv_grab_it.PL, jp/tv_grab_jp,
	  na_dd/tv_grab_na_dd.in, na_icons/tv_grab_na_icons.in,
	  nl/tv_grab_nl, nl_wolf/tv_grab_nl_wolf, no/tv_grab_no,
	  pt/tv_grab_pt, re/tv_grab_re, se_swedb/tv_grab_se_swedb,
	  uk_bleb/tv_grab_uk_bleb.in, uk_rt/tv_grab_uk_rt.in,
	  za/tv_grab_za: Consistently use an uppercase after the option
	  name in the documentation.  Add --version and --help
	  documentation where missing.

2006-04-12 08:09  fgouget

	* grab/fr/tv_grab_fr: - Use 'class=prog' to identify cells
	  containing program information.  - Use 'onmouseover=showmenu' to
	  identify links containing program information since this is the
	  information we are using to analyse the show. Also,
	  'onmouseout=hidemenu' is also used on a few other links which
	  caused some false positives.	- Each show contains one or more
	  links with show information. Use 'class=fiche' to identify those
	  containing a pointer to detailed show information and use those
	  if available.  - This fixes problems with 'meta-shows' like 'La
	  trilogie du samedi'.

2006-04-12 07:52  fgouget

	* grab/fr/tv_grab_fr: Fix the values of the colour and aspect
	  fields.  Remove duplicated and redundant code for the audio/video
	  fields.  Fix the indentation.

2006-04-12 07:41  fgouget

	* grab/fr/tv_grab_fr: Remove unused variables.

2006-04-12 07:27  fgouget

	* grab/fr/tv_grab_fr: Remove a redundant call to
	  Memoize::check_argv which breaks the --cache option.

2006-04-12 04:31  mattiasholmlund

	* grab/nl/tv_grab_nl: Patch from David Frankland. Fixes the
	  following: "unknown programme info key Regie", "unknown
	  'Bijzonderheden' bit Zwart-Wit", multiple actors now handled
	  correctly.

2006-04-10 16:15  mattiasholmlund

	* grab/dk/tv_grab_dk: colour should be 1 not 'yes'

2006-04-09 19:58  b4max

	* grab/br_net/tv_grab_br_net: added basic support for grabbing
	  episode-numbers

2006-04-09 14:59  va1210

	* grab/fi/tv_grab_fi: Fixed ProgressBar initialization for channel
	  retriever

2006-04-09 14:34  va1210

	* grab/fi/tv_grab_fi: Fixed ProgressBar initialization

2006-04-08 18:44  epaepa

	* lib/XMLTV.pm.in: Added a warning for the correct way to pass
	  booleans in the programme data: see
	  <http://article.gmane.org/gmane.comp.tv.xmltv.devel/6372>.

2006-04-08 18:37  epaepa

	* lib/XMLTV.pm.in: write_channels(): better error if channels hash
	  passed isn't a hash.

2006-04-08 15:14  stesie

	* grab/Get_nice.pm: Since CVS rev. 1.19 we don't rely on
	  LWP::Simple anymore, as a matter of that we're responsible for
	  calling `$ua->env_proxy' ourselves, in order to treat http_proxy
	  environment variable correctly.

2006-04-08 11:14  christianw

	* grab/no/tv_grab_no: accidentally commented out the
	  Term::ProgressBar import

2006-04-08 10:11  christianw

	* grab/no/tv_grab_no: Fixed the channel selection to include all
	  channels.  Fixed real (sort of) xmltvid values for all current
	  channels.

2006-04-06 17:57  mattiasholmlund

	* grab/pt/: test.conf, tv_grab_pt: Ignore channels with invalid
	  xmltv ids.

2006-04-06 13:58  va1210

	* grab/fi/tv_grab_fi: HTML::Entities included twice by mistake

2006-04-06 13:51  va1210

	* grab/fi/: test.conf, tv_grab_fi: Replaced katso.fi-based
	  tv_grab_fi with new telkku.com-based grabber

2006-04-05 18:26  mnbjhguyt

	* grab/it/tv_grab_it.in: changed default backend to skytv, as
	  wfactory seems to have outdated data

2006-04-05 12:40  ecastelnau

	* grab/re/: test.conf, tv_grab_re:
	  - update channels icons url for CANALSAT and PARABOLE - change
	  `get_canalsat_programmes_list' behavior - change HTTP header
	  (referer tag) to make canalsat-reunion.com happy

2006-04-05 01:15  b4max

	* grab/br_net/: test.conf, tv_grab_br_net: added support for
	  apiconfig use XMLTV::Options added retry-mechanism for
	  page-fetching changed configfile format changed channelIDs added
	  silent removal of channels without data bugfixes more ...

2006-03-29 22:28  mbdev

	* grab/huro/tv_grab_huro.in: try to guess category between
	  parentheses, if it is longer as 6: skip (.ism) text

2006-03-26 20:16  mnbjhguyt

	* grab/it/tv_grab_it.PL: updated contact info

2006-03-26 19:35  reudeudeu

	* grab/fr/tv_grab_fr: Add patch from Francois Gouget Add patch to
	  get ' car Add patch to make configure mode working with CANAL SAT

2006-03-24 20:10  mbdev

	* grab/huro/catmap.ro: New regexp improvements, thanks to Noemi
	  Sandor and Jozsef Kercso

2006-03-23 04:04  rmeden

	* grab/na_dd/tv_grab_na_dd.in: document support for "fake" postel
	  codes (non US/Canada locations)

2006-03-22 18:17  mattiasholmlund

	* Makefile.PL: Remove tv_grab_cz from distribution. The site that
	  it grabbed data from has closed.

2006-03-21 15:34  b4max

	* grab/br_net/tv_grab_br_net: fixed bug with actors. It tried to
	  write an empty list.

2006-03-20 21:16  b4max

	* Makefile.PL, MANIFEST: added Grabber for Brazil's NET cable
	  provider

2006-03-20 20:55  b4max

	* grab/br_net/: test.conf, tv_grab_br_net: added Grabber for
	  Brazil's NET cable provider

2006-03-17 23:07  eborn

	* grab/nl/tv_grab_nl: Bugfix: TVGids.nl now shows monthnames with
	  the first letter uppercased. Replacement regexes are now
	  case-insensitive

2006-03-17 05:32  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Handle empty configuration files.

2006-03-16 17:48  mattiasholmlund

	* lib/: Configure.pm, Options.pm: Call XMLTV::Ask::init at the
	  right place.

2006-03-16 05:12  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Use NoUpdate feature in
	  HTTP::Cache::Transparent if available. Make --debug more verbose.

2006-03-16 05:09  mattiasholmlund

	* lib/ProgressBar/None.pm: Print something sensible when
	  Term::Progressbar is not installed.

2006-03-13 22:04  mbdev

	* grab/huro/tv_grab_huro.in: add space between description
	  sentences change of main programtable processing: use one loop
	  over the <TD>s eliminate strong/span/font handling (changes on
	  the port.hu site) use TreeBuilder->new_from_content finalise
	  Romanian language support (category, long description parsing)
	  fix: get the correct page if client running in non CET timezone
	  (e.g. AEST: +10) change spaces to tabs by indentation (add vi
	  options) for development: more trace

2006-03-13 21:44  mbdev

	* grab/huro/catmap.ro: category mapping created for the Romanian
	  language, thx for Lucian Muresan

2006-03-12 17:18  reudeudeu

	* grab/fr/tv_grab_fr:  slow mode is working again, only actors and
	  director are missing now

2006-03-11 17:56  reudeudeu

	* grab/fr/tv_grab_fr: Solve issues when loading more than 1 day

2006-03-10 22:31  reudeudeu

	* grab/fr/tv_grab_fr:  - Primary attempt to deal with latest change
	  on the website
	   - Patches from Francois Gouget

2006-03-09 19:52  mattiasholmlund

	* grab/fr/tv_grab_fr: Patch from Francois Gouget <fgouget@free.fr>.
	  Fix a couple of comments

2006-03-09 19:48  mattiasholmlund

	* grab/fr/tv_grab_fr: Patch from Francois Gouget <fgouget@free.fr>.
	  Fix the get() prototype.

2006-03-09 19:40  mattiasholmlund

	* grab/fr/tv_grab_fr: Patch from Francois Gouget <fgouget@free.fr>
	  Use 'class=fiche' to identify links pointing to the show
	  description, rather than 'onMouseout=hidemenu()'. This fixes
	  problems with 'meta-shows' like 'La trilogie du samedi'.

2006-03-08 18:13  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb, lib/Configure.pm, lib/Options.pm,
	  grab/cz/tv_grab_cz: Add support for --gui tk

2006-03-08 18:06  mattiasholmlund

	* lib/ValidateGrabber.pm: Explain why a grabber is not additive

2006-03-08 18:06  mattiasholmlund

	* lib/ValidateFile.pm: Detect empty descriptions

2006-03-07 17:08  mattiasholmlund

	* grab/dk/tv_grab_dk: Fix the --cache option.

2006-03-06 18:40  mattiasholmlund

	* grab/cz/tv_grab_cz: Fix error-message

2006-03-06 04:59  mattiasholmlund

	* lib/XMLTV.pm.in, grab/ch/tv_grab_ch.in, grab/fr/tv_grab_fr,
	  grab/uk_rt/tv_grab_uk_rt.in: Filter data to match --days and
	  --offset

2006-03-04 22:39  rmeden

	* grab/na_dd/tv_grab_na_dd.in: use numeric time offset for UTC.
	  Don't print password in config file warning

2006-03-04 09:27  mattiasholmlund

	* lib/ValidateFile.pm: Remove check for starttime inside an
	  interval. This check has been superceded by a check in
	  ValidateGrabber.

2006-03-04 08:50  mattiasholmlund

	* lib/ValidateGrabber.pm: Fix a filename

2006-03-02 19:19  mattiasholmlund

	* README: Remove obsolete text about caching

2006-03-02 19:18  mattiasholmlund

	* grab/Get_nice.pm: Fix error message

2006-03-02 19:16  mattiasholmlund

	* grab/test_grabbers, lib/ValidateGrabber.pm: Check if different
	  days overlap. Various cleanups

2006-03-02 19:16  mattiasholmlund

	* filter/tv_sort: Add new parameter --duplicate-error

2006-03-02 05:30  rmeden

	* grab/uk_rt/channel_ids: channel additions form Nick
	  knowledgejunkie@gmail.com

2006-03-01 18:06  mattiasholmlund

	* lib/ValidateFile.pm: Fix spelling

2006-03-01 04:21  rmeden

	* lib/exe_opt.pl: make perlapp work with my latest build setup

2006-03-01 03:59  rmeden

	* grab/uk_rt/tv_grab_uk_rt.in: undef no longer supported by
	  Getopt::Long

2006-02-28 16:05  mnbjhguyt

	* grab/it/: channel_ids, test.conf, tv_grab_it.in: now validates
	  with test_grabbers

2006-02-27 21:28  reudeudeu

	* grab/fr/tv_grab_fr: Apply patches from Francois Gouget

2006-02-22 16:12  mbdev

	* grab/huro/tv_grab_huro.in: bugfix of site changes: <strong>,
	  <font> no more used reworking of non-slow (default) grabbing
	  functions added category/episode/year/length parsing in non-slow
	  mode grabbing clarifing the use of global variables added
	  function header comments bugfix of date calculation by more days
	  in one shot grabbing add time measuring for detecting possible
	  performance holes fix indentation misstakes bugfix of --cache
	  usage and what i forgot...

2006-02-22 16:01  mbdev

	* grab/huro/tv_grab_huro.PL: keep indentation when changing
	  SHARE_DIR

2006-02-22 15:20  mbdev

	* grab/huro/catmap.hu: improvements for category guessing

2006-02-22 00:33  rmeden

	* Makefile.PL: New versions of MakeMaker produce action lines that
	  start with blanks instead of tabs

2006-02-21 19:02  mattiasholmlund

	* lib/ValidateFile.pm: Add call to Date_Init

2006-02-19 19:31  mattiasholmlund

	* grab/re/tv_grab_re: Updates from Eric Castelnau. Length-tag
	  removed. Remove bogus end-of-day programmes. Clearer questions
	  during configure.

2006-02-15 19:59  mattiasholmlund

	* grab/cz/tv_grab_cz: Remove unnecessary use.

2006-02-15 19:54  mattiasholmlund

	* grab/DST.pm, grab/il/tv_grab_il, lib/ValidateFile.pm: Use time
	  offset instead of timezones. Add check for this to ValidateFile.
	  Use Date::Manip instead of DateTime.

2006-02-13 07:38  rmeden

	* grab/na_dd/tv_grab_na_dd.in: better identify messages from DD.
	  update schedule timing in docs

2006-02-12 18:49  epaepa

	* grab/au/tv_grab_au.in: Spelling.

2006-02-12 18:45  epaepa

	* grab/test_grabbers: Print a bit more information as we go along
	  so you don't have to wait until the end to see what problems a
	  grabber had.

2006-02-12 18:42  epaepa

	* grab/pt/tv_grab_pt: Factored out domain name into $DOMAIN.

2006-02-12 18:34  epaepa

	* grab/test_grabbers: print_summary(): new routine refactoring out
	  some repeated prints.

2006-02-12 18:28  epaepa

	* grab/test_grabbers: Added error checking to some I/O operations.

2006-02-10 19:24  jtoft

	* grab/dk/tv_grab_dk: Make sure cookies are send when fetching.

2006-02-09 19:14  mattiasholmlund

	* grab/se_swedb/: test.conf, tv_grab_se_swedb: Polish.

2006-02-09 19:12  mattiasholmlund

	* lib/Options.pm: Update documentation.

2006-02-08 19:26  mattiasholmlund

	* grab/test_grabbers: Store the result from the validation in
	  t_summary.log. Patch from Kurt V. Hindenburg

2006-02-08 18:55  mattiasholmlund

	* lib/ValidateGrabber.pm: Fix the check for errorcode from grabber
	  during configure.

2006-02-08 11:38  jtoft

	* grab/dk/tv_grab_dk: URL parameter instead of cookies.

2006-02-07 20:12  stesie

	* grab/huro/tv_grab_huro.in: fixed indentation (unfortunately
	  fucked it up last time around)

2006-02-04 21:50  jveldhuis

	* lib/IMDB.pm:
	  Big thanks to Eric (moorse@someren.nl.eu.org) for his help fixing
	  some bugs and special language character conversion.

	  Entry estimates are now computed by examining the size of the
	  input file instead of hardcoded constants.

	  Dealt with new IMDB changes in movies.list format.

2006-02-04 21:33  mattiasholmlund

	* grab/re/: test.conf, tv_grab_re: Implement proper channel ids.
	  Patch by Eric Castelnau.

2006-02-04 08:26  mattiasholmlund

	* lib/ValidateFile.pm: Loosen up the starttime test a bit.

2006-02-03 21:15  mattiasholmlund

	* grab/test_grabbers, lib/ValidateGrabber.pm,
	  tools/tv_validate_grabber.in: Rearrange and simplify validation
	  output.

2006-02-03 19:45  mattiasholmlund

	* xmltv.dtd: Allow a quality-element inside a video element

2006-02-02 20:59  mattiasholmlund

	* grab/no/tv_grab_no: Add capabilities and description

2006-02-02 15:18  dubman

	* grab/il/tv_grab_il: overlapping fixed

2006-02-02 15:17  dubman

	* grab/Get_nice.pm: error handling update

2006-02-02 05:20  mattiasholmlund

	* lib/ValidateFile.pm: Updated documentation

2006-02-01 18:54  mattiasholmlund

	* lib/ValidateGrabber.pm: Fix typo

2006-02-01 18:48  mattiasholmlund

	* grab/pt/tv_grab_pt: Fix typo

2006-02-01 18:46  mattiasholmlund

	* grab/test_grabbers, lib/ValidateFile.pm, lib/ValidateGrabber.pm:
	  Print a summary at the end of test_grabbers. Check that the
	  --days and --offset options are honoured. Document error-codes.

2006-02-01 05:04  mattiasholmlund

	* filter/tv_sort: Documentation clarification from Kurt V.
	  Hindenburg

2006-01-31 20:24  reudeudeu

	* grab/fr/tv_grab_fr: Better management when loading channel
	  definition pages

2006-01-30 20:43  mattiasholmlund

	* MANIFEST, Makefile.PL, tools/tv_validate_file,
	  tools/tv_validate_file.PL, tools/tv_validate_file.in,
	  tools/tv_validate_grabber, tools/tv_validate_grabber.PL,
	  tools/tv_validate_grabber.in: Use the dtd in the share/-directory
	  by default. Fix formatting.

2006-01-30 10:12  reudeudeu

	* grab/fr/tv_grab_fr: configure mode is working again

2006-01-30 07:16  dubman

	* grab/il/tv_grab_il: check var on undef

2006-01-30 06:53  dubman

	* grab/il/tv_grab_il: --xmltv_tmpl changed to GNU style
	  --xmltvid-template

2006-01-29 18:36  epaepa

	* Makefile.PL: Install the DTD in share/.

2006-01-28 16:23  mattiasholmlund

	* lib/Options.pm: Add --description to Options.pm

2006-01-28 16:21  mattiasholmlund

	* MANIFEST, Makefile.PL, tools/tv_find_grabbers: New tool
	  tv_find_grabbers

2006-01-28 16:17  mattiasholmlund

	* grab/au/tv_grab_au.in, grab/be/tv_grab_be.in, grab/br/tv_grab_br,
	  lib/Description.pm, lib/ValidateGrabber.pm,
	  grab/ch/tv_grab_ch.in, grab/cz/tv_grab_cz, grab/dk/tv_grab_dk,
	  grab/ee/tv_grab_ee, grab/es/tv_grab_es, grab/fi/tv_grab_fi,
	  grab/fr/tv_grab_fr, grab/huro/tv_grab_huro.in,
	  grab/il/tv_grab_il, grab/is/tv_grab_is, grab/it/tv_grab_it.in,
	  grab/jp/tv_grab_jp, grab/na_dd/tv_grab_na_dd.in,
	  grab/nl/tv_grab_nl, grab/nl_wolf/tv_grab_nl_wolf,
	  grab/pt/tv_grab_pt, grab/re/tv_grab_re,
	  grab/se_swedb/tv_grab_se_swedb, grab/uk_bleb/tv_grab_uk_bleb.in,
	  grab/uk_rt/tv_grab_uk_rt.in, grab/za/tv_grab_za: Add a
	  --description parameter to all grabbers.

2006-01-27 21:16  dubman

	* grab/il/test.conf: test for il grabber. vpassed validate.

2006-01-27 19:24  mattiasholmlund

	* lib/ValidateGrabber.pm: Fix bug when external command returns
	  with an error.

2006-01-27 08:40  jtoft

	* grab/dk/: test.conf, tv_grab_dk: Fixed warning about actors that
	  caused test_grabbers to fail.  Other test channels.

2006-01-27 06:06  rmeden

	* Makefile.PL: create --default option to take the defaults and not
	  ask

2006-01-26 19:34  mattiasholmlund

	* grab/es/tv_grab_es: Bugfix from  Carlos Nieves Onega

2006-01-26 19:23  mattiasholmlund

	* MANIFEST: Update MANIFEST

2006-01-26 19:18  mattiasholmlund

	* Makefile.PL: Remove tv_grab_se. It has been replaced by
	  tv_grab_se_swedb a long time ago and has suffered from serious
	  bitrot.

2006-01-26 19:11  mattiasholmlund

	* grab/: pt/tv_grab_pt, re/tv_grab_re, uk_bleb/tv_grab_uk_bleb.in,
	  uk_rt/tv_grab_uk_rt.in, za/tv_grab_za: Add cache and share
	  capabilities where appropriate.

2006-01-26 19:07  mattiasholmlund

	* tools/tv_validate_grabber: Better command-line parsing.

2006-01-26 19:06  mattiasholmlund

	* lib/: ValidateFile.pm, ValidateGrabber.pm: Check for more
	  capabilities. Add documentation

2006-01-26 18:46  stesie

	* MANIFEST, Makefile.PL: install new catmap.{hu,ro} files

2006-01-26 18:43  mattiasholmlund

	* grab/test_grabbers: Add new capabilities cache and share and test
	  for them in ValidateGrabber

2006-01-26 18:42  mattiasholmlund

	* grab/se_swedb/test.conf: Put cache in /tmp

2006-01-26 18:41  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Fix bug introduced in last
	  checkin

2006-01-26 18:39  stesie

	* grab/huro/: catmap.hu, catmap.ro, tv_grab_huro.in: applying patch
	  by Molnar Balazs <moba@t-online.hu> (after some slight changes)

	   - % - % -

	  $Log: tv_grab_huro,v $ Revision 1.11	2006/01/23 09:43:33
	  molnarb added url tags to channel and to program

	  Revision 1.10  2006/01/22 23:15:51  molnarb parse_desc:
	  date(year) parsing bugfix: added (); get category only from () if
	  it is longer as 8.  get_info_url: in subtitle section if a whole
	  line is in (), add this as english title.  added new catgoty
	  patterns: krimi, venezuela, wildwest new anchor selection for
	  credits new anchor and contents selection to long desc
	  episode/minutes bugfix

	  Revision 1.9	2006/01/20 10:53:54  molnarb seems to be complete?
	  everything works?

	  Revision 1.8	2006/01/19 23:24:59  molnarb added
	  --max-desc-length option, sub-title parsing, improved credits
	  parsing

	  Revision 1.7	2006/01/19 20:44:06  molnarb array reference bug
	  solved, but not all actors will be collected (the last failed),
	  and "vágó:", "operatör:" will be not detected as jobs -> should
	  be corrected

	  Revision 1.6	2006/01/19 19:14:39  molnarb credits grabing
	  updated, support of 'actor (role in film)' formats, but credits
	  array buggy

	  Revision 1.5	2006/01/17 23:57:57  molnarb improvements

	  Revision 1.4	2006/01/17 23:42:10  molnarb misspelling: add $ to
	  mode processing

	  Revision 1.3	2006/01/17 23:29:45  molnarb added --icon,
	  debugging, cvs headers, improved catmap

	  Revision 1.2	2006/01/17 19:29:29  molnarb added keyword, the
	  first working version with debugging to stderr

2006-01-26 17:47  stesie

	* grab/huro/jobmap: new entry (from Molnar Balazs,
	  <moba@t-online.hu>)

2006-01-26 09:11  dubman

	* grab/: Get_nice.pm, il/tv_grab_il: add FailOnError flag to
	  XMLTV::Get_nice()

2006-01-25 19:31  mattiasholmlund

	* lib/Options.pm, lib/ValidateGrabber.pm, grab/au/tv_grab_au.in,
	  grab/be/tv_grab_be.in, grab/br/tv_grab_br, grab/ch/tv_grab_ch.in,
	  grab/cz/tv_grab_cz, grab/dk/tv_grab_dk, grab/ee/tv_grab_ee,
	  grab/es/tv_grab_es, grab/fi/tv_grab_fi, grab/fr/tv_grab_fr,
	  grab/huro/tv_grab_huro.in, grab/is/tv_grab_is,
	  grab/it/tv_grab_it.in, grab/jp/tv_grab_jp,
	  grab/na_dd/tv_grab_na_dd.in, grab/nl/tv_grab_nl: Add new
	  capabilities cache and share and test for them in ValidateGrabber

2006-01-25 19:26  mattiasholmlund

	* Makefile.PL: Small bugfix.

2006-01-25 11:13  dubman

	* Makefile.PL: added tv_grab_il

2006-01-25 10:13  dubman

	* grab/il/tv_grab_il: initial release

2006-01-24 20:45  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Switch se_swedb over to using
	  XMLTV::Options

2006-01-24 20:45  mattiasholmlund

	* grab/cz/tv_grab_cz, lib/Options.pm: Update the XMLTV::Options api
	  slightly.

2006-01-24 19:59  mattiasholmlund

	* grab/test_grabbers: Use XMLTV::ValidateGrabber in test_grabbers.

2006-01-24 19:56  mattiasholmlund

	* lib/ValidateGrabber.pm: Call all grabbers with --cache if caching
	  is enabled until we have resolved what to do with the --cache
	  option

2006-01-24 19:55  mattiasholmlund

	* tools/: tv_validate_file, tv_validate_grabber: Implement
	  --version option

2006-01-23 20:40  mattiasholmlund

	* Makefile.PL, lib/ValidateFile.pm, lib/ValidateGrabber.pm,
	  tools/tv_validate_file, tools/tv_validate_grabber: Break out the
	  grabber validation to a library. Add new tools tv_validate_file
	  and tv_validate_grabber. Work in progress.

2006-01-22 17:44  mattiasholmlund

	* Makefile.PL, grab/cz/test.conf, grab/cz/tv_grab_cz: Add
	  tv_grab_cz

2006-01-22 09:44  mattiasholmlund

	* Makefile.PL, grab/test_grabbers, lib/ValidateFile.pm: Move
	  validation to a separate library to prepare for tv_validate_file.

2006-01-20 22:23  mattiasholmlund

	* grab/test_grabbers: Check that the grabber exits with an error if
	  it is called with an unknown option.

2006-01-20 22:13  mattiasholmlund

	* grab/: it/tv_grab_it.in, na_dd/tv_grab_na_dd.in, nl/tv_grab_nl:
	  Support --capabilities

2006-01-20 15:09  cpicton

	* grab/za/tv_grab_za: 1.14 (chris) - Fix for mnet.co.za changing
	  channel name of e-TV

	  1.13 (neil) - HTML::TreeBuilder improved error handling and
	  memory leak

2006-01-19 20:09  mattiasholmlund

	* grab/test_grabbers: Abort grabbers that take too long to finish.
	  Check that grabber exists. Check that --version and
	  --capabilities is supported. Remove empty log-files. Check that
	  there is exactly one channel-entry for each channel.

2006-01-19 20:05  mattiasholmlund

	* lib/: Configure.pm, Options.pm, Configure/Writer.pm: Slight
	  API-changes to pass an options-hash to list_channels

2006-01-18 18:28  mattiasholmlund

	* MANIFEST, Makefile.PL, lib/Configure.pm, lib/Options.pm,
	  lib/Configure/Writer.pm: New support modules.

2006-01-15 17:05  mattiasholmlund

	* grab/: huro/tv_grab_huro.in, is/tv_grab_is: Add --capabilities
	  option and documentation.

2006-01-15 16:59  mattiasholmlund

	* grab/: fi/tv_grab_fi, fr/tv_grab_fr: Add --capabilities option
	  and documentation.

2006-01-15 09:08  mattiasholmlund

	* grab/dk/tv_grab_dk: Add --capabilities option and documentation.

2006-01-15 09:05  mattiasholmlund

	* grab/ch/tv_grab_ch.in: Add --capabilities option and
	  documentation.

2006-01-15 09:00  mattiasholmlund

	* grab/es/tv_grab_es: Add --capabilities option and documentation.

2006-01-15 08:58  mattiasholmlund

	* grab/ee/tv_grab_ee: Add --capabilities and --version options and
	  documentation.

2006-01-15 07:57  mattiasholmlund

	* grab/br/tv_grab_br: Add --capabilities and --version options and
	  documentation.

2006-01-15 07:45  mattiasholmlund

	* grab/be/tv_grab_be.in: Add --capabilities option and
	  documentation.

2006-01-15 07:43  mattiasholmlund

	* grab/au/tv_grab_au.in: More documentation.

2006-01-15 07:35  mattiasholmlund

	* grab/au/tv_grab_au.in: Fix --version. Add documentation.

2006-01-14 08:46  mattiasholmlund

	* grab/au/tv_grab_au.in: Implement --version and --capabilities.

2006-01-14 08:45  mattiasholmlund

	* lib/Capabilities.pm: Make module actually work.

2006-01-13 20:29  reudeudeu

	* grab/fr/tv_grab_fr: Various enhancments and updates regarding
	  character management

2006-01-13 19:13  mattiasholmlund

	* MANIFEST, Makefile.PL, lib/Capabilities.pm: Add
	  XMLTV::Capabilities module.

2006-01-13 19:12  mattiasholmlund

	* grab/test_grabbers: Whitespace fixes only.

2006-01-13 19:09  mattiasholmlund

	* grab/test_grabbers: Detect the xmltv root-dir automatically.

2006-01-13 05:55  mattiasholmlund

	* grab/test_grabbers: Describe options better. Validate files using
	  XML::LibXML. Add a --validate-file option. Cleanup output.

2006-01-12 14:17  rmeden

	* choose/tv_check/tv_check: in HTML format, highlight
	  non-repeat,bonus episodes with a different sub-title than the
	  master show.	Better detect new bonus episodes.

2006-01-11 18:06  mattiasholmlund

	* grab/test_grabbers: Use the perl-modules from the xmltv-tree
	  instead of the installed modules. Check that the --output and
	  --quiet options work. Make it possible to interrupt test_grabbers
	  with ctrl-c.

2006-01-11 18:01  mattiasholmlund

	* grab/Memoize.pm: Make --cache respect --quiet.

2006-01-09 21:35  reudeudeu

	* grab/fr/tv_grab_fr: Revert to ISO-8859-1 charset

2006-01-08 19:44  epaepa

	* grab/uk_bleb/tv_grab_uk_bleb.in: Whitespace.

2006-01-08 19:43  epaepa

	* grab/uk_bleb/tv_grab_uk_bleb.in: We no longer care about buggy
	  Archive::Zip, I hope.

2006-01-08 19:41  epaepa

	* grab/uk_bleb/tv_grab_uk_bleb.in: Quietened a couple of warnings.

2006-01-08 18:38  epaepa

	* grab/Grab_XML.pm: Added --list-channels mode.  It just works by
	  getting the most recent day of listings and then not writing any
	  of the programme details.

2006-01-08 18:15  epaepa

	* grab/it/tv_grab_it.in: Added --list-channels mode.

2006-01-08 17:42  epaepa

	* grab/it/tv_grab_it.in: Cleaned shebang stuff.

2006-01-08 17:40  epaepa

	* grab/is/tv_grab_is: Don't randomly print channel names in the
	  middle of the XML output!

2006-01-08 17:33  epaepa

	* grab/fr/tv_grab_fr: Fixed channel ids in --list-channels to be
	  the same as in normal grabbing, and don't output the same channel
	  twice.

2006-01-08 17:30  epaepa

	* grab/ch/tv_grab_ch.in: --list-channels doesn't require the config
	  file.

2006-01-08 17:24  epaepa

	* grab/test_grabbers: Duh, actually grok the --list-channels flag
	  on our command line.

2006-01-08 17:21  epaepa

	* grab/be/tv_grab_be.in: Added a --list-channels mode.
	  Unfortunately it needs you to configure the grabber first to
	  choose which language.

2006-01-08 17:17  epaepa

	* grab/test_grabbers: Added a mode to test --list-channels, at
	  least for grabbers that don't require a config file or other
	  funniness to use it.

2006-01-08 16:54  epaepa

	* grab/br/tv_grab_br: Avoid writing the same channel-id twice in
	  <channel> section.

2006-01-08 16:34  epaepa

	* grab/: Get_nice.pm, br/tv_grab_br, dk/tv_grab_dk, es/tv_grab_es,
	  fi/tv_grab_fi, huro/tv_grab_huro.in, is/tv_grab_is,
	  nl/tv_grab_nl, pt/tv_grab_pt, re/tv_grab_re: Refactored a lot of
	  HTML::TreeBuilder code into new routine get_nice_tree().

2006-01-08 12:56  epaepa

	* mkdist: Assume cvs2cl is installed as cvs2cl.

2006-01-08 12:53  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.42.

2006-01-08 12:51  epaepa

	* mkdist: Use File::Temp for making temporary directory.

2006-01-08 12:24  epaepa

	* grab/re/tv_grab_re: Added --offset and --cache.

2006-01-08 12:11  epaepa

	* grab/se_swedb/tv_grab_se_swedb: Errors go to stderr not stdout.
	  Changed whitespace in output XML to match other grabbers.

2006-01-08 12:04  epaepa

	* grab/test_grabbers: Added --only option to test just one grabber.

2006-01-08 10:55  epaepa

	* grab/: br/tv_grab_br, ch/tv_grab_ch.in, dk/tv_grab_dk,
	  es/tv_grab_es, fi/tv_grab_fi, huro/tv_grab_huro.in,
	  is/tv_grab_is, jp/tv_grab_jp, nl/tv_grab_nl, pt/tv_grab_pt,
	  re/tv_grab_re, uk_rt/tv_grab_uk_rt.in, za/tv_grab_za: With
	  HTML::TreeBuilder check the return value of parse() and remember
	  to call eof() afterwards.

2006-01-08 10:50  epaepa

	* grab/nl_wolf/tv_grab_nl_wolf: Skip empty <desc/> elements in the
	  upstream data.

2006-01-08 10:13  epaepa

	* grab/nl_wolf/tv_grab_nl_wolf: HTML::TreeBuilder is not used.

2006-01-08 09:54  epaepa

	* grab/fr/tv_grab_fr: Added --cache option.

2006-01-08 09:48  epaepa

	* grab/fr/tv_grab_fr: Fetch and process pages in memory instead of
	  using temporary files.

2006-01-08 09:05  reudeudeu

	* grab/fr/tv_grab_fr: Solve some issues with Frenc characters

2006-01-07 23:03  epaepa

	* grab/fr/tv_grab_fr: Set the User-Agent correctly when fetching
	  web pages.

2006-01-07 22:45  epaepa

	* grab/fr/tv_grab_fr: The --cache option was broken by the move
	  away from Get_nice so disable it for now.  Fixed a couple of
	  library and shebang things.

2006-01-07 21:59  epaepa

	* grab/ee/tv_grab_ee: The upstream data source sometimes has
	  programmes with stop time before the start time.  In such cases
	  one or the other must be wrong, so omit the stop time in output.

2006-01-06 21:22  reudeudeu

	* grab/fr/tv_grab_fr: Integrate patch to remove trailing spaces
	  properley

2006-01-05 20:32  reudeudeu

	* grab/fr/tv_grab_fr: Remove additionnal trailing and leading
	  spaces in commens

2006-01-05 20:18  reudeudeu

	* grab/fr/tv_grab_fr: Remove /tmp access and use File::Temp, as
	  requested by Ed Avis

2006-01-05 14:29  cpicton

	* grab/za/tv_grab_za: Add custom url_get function.  This allows it
	  to be memoized and avoids the use of temporary cache files.

	  Add a backup URL for full channel list in case the master site is
	  down.

	  Default to mnet.co.za site instead of dstv.com site if no
	  preference selected.

2006-01-03 20:07  reudeudeu

	* grab/fr/tv_grab_fr: Oops !

2006-01-03 19:40  reudeudeu

	* grab/fr/tv_grab_fr: Solve issues with description datasheet

2006-01-01 20:50  reudeudeu

	* grab/fr/tv_grab_fr:  Get rid of numerous errors by using directly
	  the LWP::Simple API and using temporary files in the /tmp folder

2005-12-27 20:09  gawen

	* grab/pt/tv_grab_pt: Documentation. Fixed memory leak with
	  HTML::TreeBuilder

2005-12-27 13:27  epaepa

	* filter/tv_sort: Added examples and removed 'see also' as
	  suggested by Kurt V. Hindenburg.

2005-12-27 12:44  epaepa

	* grab/: au/test.conf, be/test.conf, br/test.conf, ch/test.conf,
	  dk/test.conf, ee/test.conf, es/test.conf, fi/test.conf,
	  fr/test.conf, huro/test.conf, is/test.conf, it/test.conf,
	  jp/test.conf, nl/test.conf, nl_wolf/test.conf, no/test.conf,
	  pt/test.conf, re/test.conf, se_swedb/test.conf,
	  uk_bleb/test.conf, uk_rt/test.conf, za/test.conf: Test
	  configuration files for each grabber.

2005-12-27 11:48  epaepa

	* grab/test_grabbers: Added --configure flag to attempt to create
	  test.conf file if it's not there.  Make sure the output XML is
	  nonempty; if not try to run the grabber.

2005-12-27 10:42  epaepa

	* README: Removed special note about Archive::Zip versions now
	  tv_grab_uk_bleb has a workaround for the bug.  I have
	  Archive::Zip 1.16 and it's still broken, but now we don't care.

2005-12-27 10:40  epaepa

	* grab/uk_bleb/tv_grab_uk_bleb.in: Deal with the longstanding
	  Archive::Zip bug (eg
	  <http://article.gmane.org/gmane.comp.tv.freeguide-tv.user/565>)
	  using the workaround suggested in
	  <http://rt.cpan.org/NoAuth/Bug.html?id=7855>.

2005-12-27 00:03  epaepa

	* grab/se_swedb/tv_grab_se_swedb: Cosmetic change to XML output.

2005-12-26 21:54  epaepa

	* grab/ee/tv_grab_ee: Added a --cache option like the other
	  grabbers.

	  Correct an occasional error (empty <desc>) in the upstream XML.

2005-12-26 17:55  epaepa

	* grab/za/tv_grab_za: Fixed for site changes.  Previously I think
	  the site wrote programme times as images, but now they're just
	  bold text.  (The output was giving every programme time as
	  January 1st 1970.)

	  Added --offset option.  It was included in the usage message but
	  not accepted.  However, because the site doesn't allow grabbing
	  with an offset, the option just extends the range of days
	  grabbed.  So if you ask for 'two days starting tomorrow' you will
	  in fact get the next week, since that's the shortest range
	  including what you requested.  Also reworked the number of days
	  code a little bit in general, so that a --days flag on the
	  command line overrides any config file setting.

	  The grabber has its own simple --cache mechanism but this was
	  never used since XMLTV::Memoize::check_argv() gobbles any --cache
	  flag given on the command line.  And the function memoized wasn't
	  ever called.	I have removed the check_argv() call so now caching
	  does something; however it needs to be revisited because writing
	  known filenames in /tmp/ is a security hole.

	  Added a little more error checking, and try to include the URI in
	  some error messages.

	  New dependency: List::Util.  I'll check on the mailing list about
	  this.

2005-12-26 11:03  epaepa

	* MANIFEST: Removing tv_grab_es_digital.  It had already been
	  removed in Makefile.PL.

2005-12-23 17:07  rmeden

	* grab/uk_rt/channel_ids: another update from Nick

2005-12-22 15:12  rmeden

	* lib/exe_wrap.pl: auto-generate --share for tv_grab_huro

2005-12-08 01:22  rmeden

	* grab/uk_rt/channel_ids: apply updates submitted by "Nick"
	  <knowledgejunkie@gmail.com>

2005-12-05 10:50  cpicton

	* grab/za/tv_grab_za: Remove some debugging code

2005-12-03 19:52  cpicton

	* grab/za/tv_grab_za:
	  --------------------------------------------------------------------------------
	    v1.8.5
	  --------------------------------------------------------------------------------

	    - Use Digest::MD5 in place of String::CRC32

	  --------------------------------------------------------------------------------
	    v1.8.4
	  --------------------------------------------------------------------------------

	    - requires String::CRC32 package
	    - support image-based times on dstv.com (via crc32 of image
	  files)
	    - fix some tree memory leaks

	  --------------------------------------------------------------------------------
	    v1.8.3
	  --------------------------------------------------------------------------------

	    - longer timeout required for mnet.co.za when retrieving 30 day
	  schedules.
	    - remove whitespace from mnet.co.za names before translating

	  --------------------------------------------------------------------------------
	    v1.8.2
	  --------------------------------------------------------------------------------

	    - allow selection of mnet.co.za as primary source, with
	  fallback to dstv.com.

	  --------------------------------------------------------------------------------
	    v1.8.1
	  --------------------------------------------------------------------------------

	    - a few channels are missing data on the dstv site, so fallback
	  support (to
	      mnet.co.za) has been added.
	      re-run tv_grab_za --configure to enable this option

2005-11-29 04:54  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Fix bug introduced in previous
	  checkin.

2005-11-27 11:43  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Implement --list-channels option.
	  Make cache-configuration optional.

2005-11-26 12:22  reudeudeu

	* grab/fr/tv_grab_fr: Sync with website latest modifications

2005-11-26 07:17  reudeudeu

	* grab/fr/tv_grab_fr: Upadtes

2005-11-17 22:47  pronovic

	* grab/: au/tv_grab_au.in, re/tv_grab_re: Add missing =pod lines to
	  top of tv_grab_au and tv_grab_re

2005-11-16 20:03  cpicton

	* grab/za/tv_grab_za:	- Changes kindly submitted by Neil G
	    - support new dstv.com layout (once again)
	    - support random channel ID changes on DSTV's site
	    - add referer support required to get listings
	    - moved configuration options to config file
	    - added support for opentime-combined mode in addition to the
	  existing
	      opentime mode. 3-o.dstv.com is created as a virtual channel
	  listing only
	      OpenTime events, with 3.dstv.com listing all M-Net events
	    - added retry support for downloads, skipping channels that
	  fail

2005-11-14 03:23  rmeden

	* Makefile.PL, lib/XMLTV.pm.in, lib/exe_wrap.pl: bump some more
	  files to 0.5.40

2005-11-14 03:17  rmeden

	* MANIFEST, README, doc/README.win32: add notes for 0.5.41

2005-11-06 04:53  rmeden

	* xmltv.dtd, lib/XMLTV.pm.in: allow "dolby digital" as a value for
	  "stereo"

2005-11-04 19:48  rmeden

	* lib/XMLTV.pm.in: don't warn on trimming whitespace.  Doing so
	  causes the record to be dropped.

2005-11-01 04:47  rmeden

	* MANIFEST, Makefile.PL, grab/re/tv_grab_re: initial load of
	  tv_grab_re.  Grabber for Reunion Island (France)

2005-10-30 22:37  rmeden

	* Makefile.PL: tv_grab_es_digital no longer works due to source
	  site changes

2005-10-28 21:12  stesie

	* grab/huro/jobmap: new jobmap entry, not translated yet though

2005-10-25 04:23  jveldhuis

	* lib/IMDB.pm: updated estimates minor adjustment to error message
	  accounted for "{{SUSPENDED}}" occurences in movie titles sanity
	  case for Army of Darkness failed because order of genres changed

2005-10-21 06:01  rmeden

	* MANIFEST, Makefile.PL, grab/ee/tv_grab_ee: Inital load of Estonia
	  grabber, by	Cougar < cougar at random.ee >

2005-10-19 14:36  cpicton

	* grab/za/tv_grab_za: Strip leading and trailing whitespace from
	  title, subtitle and description elements.

2005-10-19 14:16  cpicton

	* grab/za/tv_grab_za: Minor fix for when show title has whitespace
	  at beginning or end of name.

2005-10-19 11:27  cpicton

	* grab/za/tv_grab_za: Fix for -configure mode, as website changed
	  once again.

2005-10-16 06:33  rmeden

	* choose/tv_check/tv_check: fix bug that prevented show bumped
	  forward a slow from being found

2005-10-11 06:04  rmeden

	* lib/exe_wrap.pl: add undocumented "exec" function to execute
	  arbitrary script

2005-10-07 12:50  cpicton

	* grab/za/tv_grab_za: Updated grabber for the new layout of the
	  dstv.com website

2005-09-26 12:55  gawen

	* grab/pt/tv_grab_pt: Bug fix. When it was unable to retrieve
	  programs for one day, the whole channel returned empty.

2005-09-22 21:38  nielm

	* grab/be/tv_grab_be.in: work around telemoustique site changes by
	  using telepocket

2005-09-11 18:08  gawen

	* grab/pt/tv_grab_pt: Updated the "help" information

2005-09-11 18:07  gawen

	* grab/pt/tv_grab_pt: it can now handle icons

2005-09-02 16:44  rmeden

	* grab/na_dd/tv_grab_na_dd.in: deal with only a single mapped
	  station

2005-09-02 15:16  rmeden

	* MANIFEST, Makefile.PL, grab/br/tv_grab_br: tv_grab_br (Brazil)
	  initial check-in

2005-08-27 18:27  epaepa

	* grab/nl/tv_grab_nl: Another progress message fix.

2005-08-27 18:22  epaepa

	* grab/Config_file.pm: Don't warn about overwriting an empty file.

2005-08-27 17:56  epaepa

	* Makefile.PL, README: tv_grab_pt needs Unicode::UTF8simple.

2005-08-27 17:13  epaepa

	* grab/au/tv_grab_au.in: Trim leading and trailing whitespace from
	  some fields.

2005-08-27 17:11  epaepa

	* grab/nl/tv_grab_nl: Write progress messages to stderr - not in
	  the middle of the XML output!

2005-08-27 16:58  epaepa

	* grab/nl/tv_grab_nl: Fixed detection of Log::TraceMessages.  (A
	  'use' statement is done at compile time, so it doesn't help to
	  put it inside an 'if' block.)

2005-08-25 12:16  mnbjhguyt

	* grab/it/tv_grab_it.PL: [no log message]

2005-08-25 12:08  mnbjhguyt

	* Makefile.PL: update needed for tv_grab_it

2005-08-25 12:07  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.PL, tv_grab_it.in: new version
	  to reflect site changes and test 2-language messages

2005-08-21 19:08  reudeudeu

	* grab/fr/tv_grab_fr: Update the default URL for the grabber

2005-08-20 20:29  epaepa

	* grab/test_grabbers: A tool to automate running each grabber in
	  turn.  It then does some checks on the output (valid, sortable
	  etc).

2005-08-15 20:27  stesie

	* grab/ch/: channel_ids, tv_grab_ch.in: fixing bug (read: rfe)
	  1259098; allow the user to specify whether to write out the first
	  or the last show provided by the grabbed webpages

2005-08-15 02:08  rmeden

	* choose/tv_check/tv_check: allow multiple --myreplaytv entries.
	  Pretty-up myreplaytv deleted report

2005-08-15 00:02  gawen

	* grab/pt/tv_grab_pt: some optimizations

2005-08-14 23:52  gawen

	* grab/pt/tv_grab_pt: adjusting some site changes

2005-08-09 04:08  rmeden

	* grab/ch/tv_grab_ch: tv_grab_ch is now generated from
	  tv_grab_ch.in

2005-08-09 04:06  rmeden

	* lib/exe_opt.pl: add encodings data files for XML::Parser

2005-08-04 04:30  rmeden

	* xmltv.dtd, grab/na_dd/tv_grab_na_dd.in, lib/XMLTV.pm.in: add
	  {video}{quality} tag.  modify tv_grab_na_dd to set {quality} and
	  {aspect} on dd {hdtv} parameter

2005-08-03 11:43  eborn

	* grab/nl/tv_grab_nl: Fixes for the changed behaviour of tvgids.nl
	  when trying to look ahead more then 3 days.

2005-07-27 16:26  gawen

	* grab/pt/tv_grab_pt: corrected encoding, now is fully utf8

2005-07-27 00:59  gawen

	* grab/pt/tv_grab_pt: typo

2005-07-26 20:47  gawen

	* grab/pt/tv_grab_pt: more debug

2005-07-26 12:24  gawen

	* grab/pt/tv_grab_pt: let's do the checks easier.

2005-07-26 12:20  gawen

	* grab/pt/tv_grab_pt: little tweak to really allow the grabber to
	  get the 7 days of lists

2005-07-26 10:53  gawen

	* grab/pt/tv_grab_pt: encoding fix

2005-07-26 00:30  gawen

	* grab/pt/tv_grab_pt: usage message was wrong

2005-07-25 16:14  gawen

	* grab/pt/tv_grab_pt: fixes for the site layout changes

2005-07-13 14:16  mnbjhguyt

	* grab/it/: channel_ids, tv_grab_it.in: one, backend removed, one
	  switched; still no i18n (no time yet)

2005-07-05 08:05  cpicton

	* grab/za/tv_grab_za: Ensure that POSIX qw(strftime) is included or
	  the grabber would fail on some perl distributions.

2005-07-04 15:56  rmeden

	* xmltv.dtd, grab/na_dd/tv_grab_na_dd.in, lib/XMLTV.pm.in: allow
	  "dolby" as a valid "stereo" value.

2005-07-04 15:33  mnbjhguyt

	* grab/it/channel_ids: new channels

2005-06-17 22:34  rmeden

	* Makefile.PL, grab/ch/channel_ids, grab/ch/tv_grab_ch,
	  grab/ch/tv_grab_ch.PL, grab/ch/tv_grab_ch.in, lib/exe_wrap.pl:
	  Initial load of tv_grab_ch (Switzerland)

2005-06-17 17:14  rmeden

	* MANIFEST, Makefile.PL, grab/au/channel_ids,
	  grab/au/tv_grab_au.PL, grab/au/tv_grab_au.in, lib/exe_wrap.pl:
	  add tv_grab_au grabber

2005-06-17 14:05  stesie

	* MANIFEST, Makefile.PL: Added --slow mode to tv_grab_huro

2005-06-17 14:00  stesie

	* grab/huro/: jobmap, tv_grab_huro, tv_grab_huro.PL,
	  tv_grab_huro.in: Added --slow mode to tv_grab_huro

2005-06-16 05:53  rmeden

	* MANIFEST, Makefile.PL, grab/is/tv_grab_is: Initial load of
	  tv_grab_is (Iceland)

2005-06-14 07:49  cpicton

	* grab/za/tv_grab_za: Fix tab/space indentation Get shows which run
	  from over days (before 24:00 to after 24:00) correctly.

2005-06-11 19:40  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Set useragent correctly.

2005-06-09 18:31  mattiasholmlund

	* grab/: Get_nice.pm, se_swedb/tv_grab_se_swedb: Moved
	  cache-configuration to tv_grab_se_swedb.conf to keep all
	  configuration in a single file.

2005-06-04 05:40  rmeden

	* README: forgot to change date in readme

2005-06-04 05:38  rmeden

	* README, doc/README.win32: add warning about new grabbers

2005-06-04 05:36  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: bump version to 0.5.40

2005-05-31 14:51  rmeden

	* lib/exe_opt.pl: found a DB_FILE module for windows, so can now
	  include it in the EXE

2005-05-31 07:41  mnbjhguyt

	* grab/it/tv_grab_it.in: now writes <channels> section couple bugs
	  fixed

2005-05-31 03:45  rmeden

	* grab/uk_rt/tv_grab_uk_rt.in: correct documentation.  --days and
	  --offset switches are not supported

2005-05-30 10:38  mnbjhguyt

	* grab/it/tv_grab_it.in: [no log message]

2005-05-30 10:37  mnbjhguyt

	* grab/it/channel_ids: updated and fixed error

2005-05-29 17:57  epaepa

	* doc/QuickStart, grab/uk_rt/tv_grab_uk_rt.in: Note that in fact
	  tv_grab_uk_rt has Irish listings too.

2005-05-28 23:12  rmeden

	* MANIFEST, Makefile.PL, grab/za/tv_grab_za: initial load of
	  tv_grab_za (South Africa).  Uncommented _it in Makefile.PL

2005-05-24 12:49  mnbjhguyt

	* grab/it/tv_grab_it.in: brand new grabber

2005-05-24 12:48  mnbjhguyt

	* grab/it/channel_ids: brand new file for the new grabbe

2005-05-24 12:32  mnbjhguyt

	* lib/exe_wrap.pl: removed tv_grab_it_lt

2005-05-24 10:17  mnbjhguyt

	* MANIFEST, Makefile.PL: removed tv_grab_it_lt (will be substituted
	  by a new grabber)

2005-05-24 03:56  rmeden

	* MANIFEST, Makefile.PL, grab/be/channel_ids_fr,
	  grab/be/channel_ids_nl, grab/be/tv_grab_be.PL,
	  grab/be/tv_grab_be.in, lib/exe_wrap.pl: initial load of Niel
	  Markwick's tv_grab_be grebber for Belgum and Luxemburg

2005-05-23 04:56  rmeden

	* lib/exe_wrap.pl: tv_grab_nl no longer needs --share

2005-05-16 19:58  axis3x3

	* grab/uk_rt/tv_grab_uk_rt.in: Added a list of choices to
	  configuration, rather than guessing channel names.

2005-05-10 14:46  eborn

	* grab/nl/tv_grab_nl: This is the corrected version of the
	  tv_grab_nl script. The script was no longer working because of a
	  restyle of the site tvgids.nl

	  The new site contains a list of channels, so the seperate
	  channels file is no longer required.

2005-05-10 14:45  eborn

	* grab/nl/: channels, tv_grab_nl.PL, tv_grab_nl.in: These files are
	  no longer required, because we don't need a seperate 'channels'
	  file.

2005-05-10 14:42  eborn

	* Makefile.PL: We no longer need the Makefile to add the share
	  directory to the tv_grab_nl.in file.

2005-04-30 16:51  rmeden

	* grab/na_dd/tv_grab_na_dd.in: move timezone change information
	  from a "say" to the "ask" question so it stays on the screen for
	  GUI users.

2005-04-20 13:55  rmeden

	* grab/na_dd/tv_grab_na_dd.in: report more friendly DataDirect
	  server errors

2005-04-13 19:37  reudeudeu

	* grab/fr/tv_grab_fr:  - Remove the 'use threads' modules as they
	  are unused right now

2005-04-10 19:36  reudeudeu

	* grab/fr/tv_grab_fr:  - Now accpet the 'oe' caracter
	   - Remove the newline in the description when adding comments
	   - Remove infamous tab chars

2005-04-10 00:44  rmeden

	* choose/tv_check/tv_check: compute local date/time for "skip
	  episode if before today". (title scan) allow "--notruncate" to
	  include episodes before today (title scan)

2005-04-06 16:11  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Move debug-message to silence
	  warning.

2005-04-02 16:24  reudeudeu

	* grab/fr/tv_grab_fr: Add Freebox channels Add TNT channels

2005-03-30 00:58  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add POD documentation for
	  --list-times

2005-03-30 00:40  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add --list-times switch to support
	  DD suggestedTimes fix --beta-data URL allow new DD userLineupName
	  to be used as orig-id add support for DD <dolby> attribute

2005-03-23 09:56  komoriya

	* grab/jp/tv_grab_jp: Adapt to new format of the site for Japanese.
	  Add support for multiple region.

2005-03-23 07:39  rmeden

	* choose/tv_check/tv_check: print message when myreplay show is
	  deleted

2005-03-22 17:28  axis3x3

	* grab/Grab_XML.pm: Fixed a missing "if not $opt_quiet" to prevent
	  error messages when --quiet is used.

2005-03-19 16:37  pronovic

	* Makefile.PL: Rework Makefile.PL to offer --strict-deps rather
	  than --nodeps

2005-03-19 16:09  jtoft

	* grab/dk/tv_grab_dk: Fixed #1166495, --days >7 results in wrong
	  data, as its not available.

2005-03-18 00:43  pronovic

	* README: Fix documented external dependencies

2005-03-17 23:38  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Fish out explicit timezone given in
	  programme title.  See
	  <http://article.gmane.org/gmane.comp.tv.xmltv.devel/4890>.  In
	  fact, the timezone was already being guessed correctly but it
	  doesn't hurt to use it as an additional hint.

2005-03-17 23:09  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Whitespace.

2005-03-16 17:03  axis3x3

	* grab/uk_bleb/: icon_urls, tv_grab_uk_bleb.in: Added a new list of
	  icons and credited its author.

2005-03-14 20:16  stesie

	* Makefile.PL, MANIFEST, filter/tv_to_potatoe: adding
	  tv_to_potatoe.

2005-03-13 21:17  epaepa

	* lib/exe_wrap.pl: Version 0.5.39.

2005-03-13 21:13  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.39.

2005-03-13 20:49  epaepa

	* Makefile.PL: Disabled tv_grab_it_lt.

2005-03-13 20:46  epaepa

	* grab/uk_rt/channel_ids: Added a couple of channels.

2005-03-12 21:29  epaepa

	* grab/es/tv_grab_es: Trim whitespace from programme title.

2005-03-12 17:34  jveldhuis

	* lib/IMDB.pm: place warning about failing to decode year in log

2005-03-12 16:33  jveldhuis

	* lib/IMDB.pm: change case where no year could be decoded as a
	  warning, updated countEstimates

2005-03-01 08:56  axis3x3

	* grab/uk_rt/tv_grab_uk_rt.in: Fix for problems with uninitialised
	  bar being used reported by Roger James.

2005-02-27 18:46  reudeudeu

	* grab/fr/tv_grab_fr: Add actor/director/date/length fields

2005-02-25 18:19  axis3x3

	* grab/uk_bleb/icon_urls: Added an alternate name for itv3.

2005-02-25 18:17  axis3x3

	* grab/uk_bleb/icon_urls: Fixed another bad URL.

2005-02-25 18:10  axis3x3

	* grab/uk_bleb/icon_urls: Fixed a bad URL I had introduced.

2005-02-25 17:55  axis3x3

	* grab/uk_bleb/icon_urls: Changed to some better icons, mostly from
	  freeview.co.uk.

2005-02-21 19:55  stesie

	* grab/huro/tv_grab_huro: port.hu unfortunately doesn't show
	  <blockquote> below <body> but embedded in <font>. Didn't test
	  enough last night; Sorry for the inconvenience.

2005-02-20 21:42  epaepa

	* grab/fr/tv_grab_fr: Cleaned up another couple of bad characters
	  which make the output badly formed.

	  Fixed another reason for the output being badly formed: if you
	  must print a success message at the end at least put it to stderr
	  not the end of the XML file!

2005-02-20 21:35  epaepa

	* grab/fr/tv_grab_fr: Go back to always calling get_page_aux() in
	  scalar context, this makes memoizing it work properly.

2005-02-20 19:40  stesie

	* grab/huro/tv_grab_huro: Don't try to parse any information before
	  closing </blockquote>.

2005-02-13 22:32  epaepa

	* grab/fr/tv_grab_fr: Patch from Sylvain:

	  - Deal properly with UTF8 and ISO-8859-1 charsets, everything
	  should   be fine now - Solve the --slow problem (ie empty
	  description fields), thanks to   Bertrand from the Biboobox forum
	  - Reduce the delay of the get_nice.pm : it brings a HUGE
	  acceleration	 of the whole grabbing process.  - Display the
	  script duration

2005-02-06 20:18  epaepa

	* grab/Memoize.pm: use strict;

2005-02-06 20:15  epaepa

	* grab/Memoize.pm: Removed support for ancient versions of Memoize.

2005-01-30 15:36  axis3x3

	* grab/uk_rt/tv_grab_uk_rt.in, lib/Ask.pm: Added --gui option to
	  tv_grab_uk_rt and fixed a missing import in Ask.pm.

2005-01-24 05:09  rmeden

	* Makefile.PL: add ChangeLog to Windows_Dist

2005-01-23 22:38  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.38.  Noted reduced dependencies for
	  tv_grab_no.

2005-01-23 22:21  epaepa

	* grab/de/tv_grab_de: Switched to the 'backup server' which briefly
	  started serving files again; unfortunately, it has now stopped
	  once more.

2005-01-23 22:19  epaepa

	* grab/fr/tv_grab_fr: Patch from the author for site changes.

2005-01-23 21:39  epaepa

	* Makefile.PL, grab/pt/tv_grab_pt: Bruno's new tv_grab_pt fetching
	  from a different website.  This is based on the version he sent
	  me, plus the diff I cc'd to the mailing list, then a few changes
	  to put back --gui and for detecting old config files.

2005-01-23 20:09  epaepa

	* grab/uk_rt/channel_ids: Update for site changes.

2005-01-23 20:05  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Added some de-HTML-crufting to bad
	  characters filter.

2005-01-23 19:39  epaepa

	* grab/fr/tv_grab_fr: Output appears to be UTF-8 so mark it as
	  such.  Now it validates.

	  Added some checks to date/time manipulations.

2005-01-17 02:05  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add a special SOAP debug mode to
	  display a SOAP trace.

2005-01-14 07:12  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Handle missing channels
	  gracefully

2005-01-13 17:03  stesie

	* grab/huro/tv_grab_huro: Allow the first programme in the lower
	  part of the homepage to start at midnight or even later.
	  Furthermore allow '24:00' to be shown in the starttime cell,
	  meaning 0:00 actually.

2005-01-13 04:46  rmeden

	* grab/na_dd/tv_grab_na_dd.in: set default --days to match docs
	  (this may change before release) fix OriginalAirDate to confirm
	  to DTD date format.

2005-01-09 22:17  epaepa

	* grab/fi/tv_grab_fi: Factored out the website address a bit.

2005-01-09 21:24  epaepa

	* Makefile.PL: Disabled tv_grab_it.

2005-01-09 16:14  epaepa

	* grab/it/tv_grab_it.in: Tried to improve robustness by checking
	  regexp matches rather than assuming they succeeded.  But this
	  only highlighted the fact that the site is currently unavailable;
	  added a check for that.

2005-01-08 20:21  epaepa

	* grab/it/tv_grab_it.in: Whitespace.

2005-01-08 17:53  epaepa

	* grab/se_swedb/tv_grab_se_swedb: Added support for --cache option
	  (yea, even though it already uses HTTP::Cache::Transparent).
	  Create directory for config file if needed in --configure.

2004-12-26 15:32  rmeden

	* grab/na_dd/tv_grab_na_dd.in: Fix problem with producer. Minor
	  performance tweak

2004-12-22 08:27  christianw

	* grab/no/tv_grab_no: Fixed so that Eurosport and SVT1 also gets
	  grabbed.. Glitch in the source site.

2004-12-19 03:29  rmeden

	* README, doc/README.win32: add a note about using proxy servers

2004-12-16 14:37  christianw

	* grab/no/tv_grab_no: NOW I have fixed descriptions. At least it
	  works for me now... Sorry bout that ;)

2004-12-16 12:57  christianw

	* grab/no/tv_grab_no: Fixed grabbing of descriptions.

2004-12-15 17:05  stesie

	* grab/huro/tv_grab_huro: adding support for clumpidx attribute

2004-12-15 17:04  stesie

	* grab/huro/tv_grab_huro: Make sure that <td> in starttime column
	  always contains a valid timespec, discard other cells.

2004-12-15 17:01  stesie

	* grab/huro/tv_grab_huro: Data tables of port.{hu,ro} aren't always
	  broken at 8 pm. exactly, i.e. the break may occur a little bit
	  earlier.

	  Fixing the grabber to not expect 8 o'clock break.

2004-12-14 14:41  christianw

	* grab/no/tv_grab_no: Rewrote some of the grabbing routine. No
	  longer relies on HTML::LinkExtractor or HTML::TableExtract. Grabs
	  from text-only resource. Should be a tad quicker.

2004-12-13 19:26  mnbjhguyt

	* lib/exe_wrap.pl: add tv_grab_it_lt to grabbers needing share dir

2004-12-05 19:50  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Store the root-url in the
	  configuration file. Patch by Björn Torkelsson.

2004-12-05 10:47  epaepa

	* Makefile.PL, README: Make it clear that HTTP::Cache::Transparent
	  is needed for tv_grab_se_swedb.

2004-12-05 10:01  epaepa

	* grab/Get_nice.pm: init_cache() now returns a boolean saying
	  whether the config file was found.

2004-12-05 09:58  epaepa

	* grab/Get_nice.pm: Use die() rather than print STDERR then
	  exit(1).

2004-12-04 23:58  stesie

	* grab/huro/tv_grab_huro: Check the whole content_list of a table
	  when trying to figure out whether to skip it or not, instead of
	  checking the first element (which may be whitespace and 'cause
	  things to crash) only.

2004-12-04 21:45  epaepa

	* grab/se_swedb/tv_grab_se_swedb: Usage error goes to stderr not
	  stdout.

2004-12-03 21:57  rmeden

	* grab/dk/tv_grab_dk: ensure a normal exit status has a value of 0

2004-12-03 14:40  stesie

	* grab/huro/tv_grab_huro: Specify how many days we'd like to have
	  returned on one grabbed webpage, through the i_xday flag. Thus
	  speed up grabbing by far (four times faster for the default eight
	  days period).

2004-12-03 14:31  stesie

	* grab/huro/tv_grab_huro: Adjust for changes to the scraped web
	  pages (advertisement banner added).

2004-12-02 20:18  mattiasholmlund

	* grab/: Get_nice.pm, se_swedb/tv_grab_se_swedb: Silence warnings
	  when HOME and HOMEDRIVE is undefined. Preserve channel meta-data
	  from channels.xml

2004-11-29 08:05  rmeden

	* doc/README.win32: missed one version change

2004-11-29 08:00  rmeden

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: changes for 0.5.37 release

2004-11-29 07:15  rmeden

	* grab/fr/tv_grab_fr: rewrite of tv_grab_fr to better deal with
	  data source changes

2004-11-28 22:31  epaepa

	* grab/nl/tv_grab_nl.in: When downloading a page fails, skip it and
	  continue running.

	  Fixed the clump handling for odd start times seen on the site...
	  it's still a bit buggy though and gives complaints from tv_sort.

2004-11-28 21:19  epaepa

	* grab/uk_rt/channel_ids: Added some more channels.

2004-11-28 10:35  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Document the HOME environment
	  variable.

2004-11-27 15:36  mattiasholmlund

	* README: Added Known issues section with info on tv_grab_se_swedb

2004-11-27 10:25  mattiasholmlund

	* Makefile.PL: Enable tv_grab_se_swedb

2004-11-21 20:03  epaepa

	* grab/es/tv_grab_es: Fixed undef bug that caused an occasional
	  programme to be skipped.

2004-11-17 22:19  rmeden

	* grab/no/tv_grab_no: applied patch from Petter Gundersen to relect
	  source site changes

2004-11-16 18:29  mattiasholmlund

	* grab/: Get_nice.pm, se_swedb/tv_grab_se_swedb: Make location of
	  cache.conf a bit more flexible.

2004-11-16 18:19  mattiasholmlund

	* MANIFEST: Add tv_grab_se_swedb, lib/GUI.pm and tv_grab_uk_bleb to
	  MANIFEST

2004-11-16 03:31  rmeden

	* choose/tv_check/tv_check: oops.. typo

2004-11-16 03:30  rmeden

	* choose/tv_check/tv_check: try and get the day of a  myreplaytv
	  show whoose start time has shifted across midnight

2004-11-15 17:22  mattiasholmlund

	* Makefile.PL: Add disabled support for tv_grab_se_swedb. Make
	  error messages from missing Term::ReadKey a bit more obvious.

2004-11-12 14:34  rmeden

	* choose/tv_check/tv_check: fix/improve ReplayTV time slot
	  detection

2004-11-12 06:28  rmeden

	* choose/tv_check/tv_check: exclude episodes already displayed from
	  recording dupe check and start-time scan

2004-11-12 06:09  rmeden

	* choose/tv_check/tv_check: fixed bug that prevented near-time
	  shows as being flagged as bad start time

2004-11-11 19:32  mattiasholmlund

	* grab/se_swedb/tv_grab_se_swedb: Added new grabber for Sweden

2004-11-11 05:03  rmeden

	* Makefile.PL: added GUI to the list of manpages to "fix" (Kenneth
	  Pronovici)

2004-11-11 04:55  rmeden

	* grab/uk_rt/tv_grab_uk_rt.in: added POD Documentation by Kenneth
	  Pronovici

2004-11-10 19:38  jtoft

	* grab/dk/tv_grab_dk: - Added icon support.  - Include the show
	  currently on, when grabbing for today.  - Use login and password
	  instead of userid - Workaround for "day off by one" error, found
	  by Anders Smith.

2004-11-10 15:02  rmeden

	* grab/uk_rt/channel_ids: apply Ed Wildgoose's change to include
	  ITV3

2004-11-08 23:39  mnbjhguyt

	* Makefile.PL, MANIFEST: uncommented tv_grab_it_lt and added files
	  in MANIFEST

2004-11-08 15:48  stesie

	* grab/: fr/tv_grab_fr, jp/tv_grab_jp, nl/tv_grab_nl.in: don't call
	  $bar->finish() in --quiet mode

2004-11-08 01:29  rmeden

	* grab/na_dd/tv_grab_na_dd.in: fixed problem preventing "UTC" time
	  from working in grab mode.

2004-11-07 20:18  rmeden

	* grab/na_dd/tv_grab_na_dd.in: allow UTC in config file

2004-11-07 20:06  rmeden

	* grab/na_dd/tv_grab_na_dd.in: make sure --quite included progress
	  bar.. (I'm not sure why Andy added a progress bar to the download
	  since we don't get intermediate status, but at least it can be
	  --quite now)

2004-11-03 06:22  rmeden

	* grab/na_dd/tv_grab_na_dd.in: don't write out config file until
	  all questions answered. Prevent corrupt config file on aborted
	  config

2004-11-03 06:12  rmeden

	* choose/tv_check/tv_check: add --notruncate option back for those
	  we want additional coverage only in the extra episode scan

2004-11-01 03:14  rmeden

	* choose/tv_check/tv_check: use UTC dates internally, fix DST
	  issues drop --notruncate switch add --days switch. 7 day
	  limitation removed

2004-10-27 02:13  rmeden

	* lib/exe_wrap.pl: attempt to return non-zero ERRORLEVEL if a
	  script stopped with an error

2004-10-25 01:35  rmeden

	* README: sign readme!

2004-10-25 01:33  rmeden

	* Makefile.PL, lib/XMLTV.pm.in, lib/exe_wrap.pl: bump version to
	  0.5.36

2004-10-25 01:24  rmeden

	* doc/README.win32: mkdist failed because 0.5.35 mentioned as
	  previous version

2004-10-25 01:21  rmeden

	* doc/README.win32: add notes for 0.5.36 from logs

2004-10-25 01:17  rmeden

	* README: add notes for 0.5.36 from logs

2004-10-24 15:07  mattiasholmlund

	* README, grab/Get_nice.pm: HTTP::TransparentCache renamed to
	  HTTP::Cache::Transparent on CPAN.

2004-10-21 21:03  mnbjhguyt

	* grab/it/tv_grab_it.in: Updated after changes in the scraped site

2004-10-14 03:58  mattiasholmlund

	* README, grab/Get_nice.pm: Add support for HTTP::TransparentCache

2004-10-09 13:41  rmeden

	* lib/exe_wrap.pl: remove code designed to prevent running from
	  command prompt.  It also prevents some regular expressions.

2004-10-08 19:07  jskov

	* grab/dk/tv_grab_dk: http:cookies warning fixed, changed to
	  xmltv_ns episode format

2004-10-06 11:04  axis3x3

	* grab/uk_bleb/tv_grab_uk_bleb.in: Added a warning when the wrong
	  version of Archive::Zip is installed.

2004-10-05 18:55  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Try to remove HTML cruft from
	  descriptions and to clean up more bad characters - but the
	  character set handling is still all wrong.

2004-10-01 17:53  axis3x3

	* lib/Ask/Term.pm: Added a use Term::ReadKey statement as suggested
	  by Robert.

2004-09-28 20:31  epaepa

	* grab/uk_rt/channel_ids: A couple more channels.

2004-09-28 20:18  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Fixed configuration.

2004-09-27 21:15  epaepa

	* README: Fixed date.

2004-09-27 21:10  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.35.

2004-09-27 20:33  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Fixed formatting of stop time, I
	  hope.

2004-09-27 20:02  epaepa

	* Makefile.PL: Don't set a default PREFIX if none is given.  (SF
	  #977269)

2004-09-27 19:58  epaepa

	* grab/fr/tv_grab_fr: Patch from
	  <http://thread.gmane.org/gmane.comp.tv.xmltv.devel/3845>

2004-09-27 19:55  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Fixed askQuestion() etc - somehow
	  got carried over from old code.  When the channel name ends in
	  '(CET)' use that for the base timezone on this channel.

2004-09-27 19:43  epaepa

	* lib/Ask.pm: Whitespace.

2004-09-27 19:40  epaepa

	* grab/uk_rt/channel_ids: Added a few channels.

2004-09-27 19:34  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Shortened error message.

2004-09-27 19:33  epaepa

	* grab/uk_rt/channel_ids: Removed radio channels and a few others
	  that are not provided by the new feed.

2004-09-27 19:18  epaepa

	* Makefile.PL: Disabled tv_grab_pt since the website seems to have
	  gone.  It redirects to another site which also has listings but
	  not in the same format.

2004-09-27 18:56  epaepa

	* Makefile.PL: Disabled tv_grab_it_lt
	  (<http://article.gmane.org/gmane.comp.tv.xmltv.devel/3966>).

2004-09-21 20:48  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: New implementation grabbing from the
	  machine-readable data files.

2004-09-21 20:33  epaepa

	* grab/DST.pm: Comment.

2004-09-21 20:32  epaepa

	* lib/XMLTV.pm.in: Additional usage check.

2004-09-19 14:16  rmeden

	* grab/huro/tv_grab_huro: add config-file option back (reported by
	  Christian Vandendorpe)

2004-09-14 03:05  rmeden

	* choose/tv_check/tv_check: titles now case insensitive in guide
	  lookups

2004-09-13 20:32  axis3x3

	* grab/na_dd/tv_grab_na_dd.in: Fixed a bug in the auto-config
	  behaviour: na_dd now leaves current settings the same and only
	  uses the default value for new channels.  This was the previous
	  behaviour, but was disrupted in the conversion to gui
	  configuration.

2004-09-09 08:25  axis3x3

	* grab/na_dd/tv_grab_na_dd.in, lib/Ask/Tk.pm: Attempt to fix a
	  problem with the Tk display on Win32, and a fix for na_dd so that
	  it hides your password during configuration.

2004-09-09 07:28  axis3x3

	* grab/na_dd/tv_grab_na_dd.in: Fixed the "Channel no longer exists"
	  bug and another bug in na_dd that showed ARRAY instead of the
	  question when you chose specific channels within a lineup.

2004-09-07 18:41  axis3x3

	* MANIFEST, Makefile.PL, grab/Grab_XML.pm, grab/dk/tv_grab_dk,
	  grab/es/tv_grab_es, grab/fi/tv_grab_fi, grab/fr/tv_grab_fr,
	  grab/huro/tv_grab_huro, grab/it/tv_grab_it.in,
	  grab/jp/tv_grab_jp, grab/na_dd/tv_grab_na_dd.in,
	  grab/nl/tv_grab_nl.in, grab/no/tv_grab_no, grab/pt/tv_grab_pt,
	  grab/uk_bleb/tv_grab_uk_bleb.in, grab/uk_rt/tv_grab_uk_rt.in,
	  lib/Ask.pm, lib/GUI.pm, lib/ProgressBar.pm, lib/exe_opt.pl,
	  lib/Ask/Tk.pm, lib/ProgressBar/None.pm, lib/ProgressBar/Term.pm,
	  lib/ProgressBar/Tk.pm: Committed the patch "add GUI progress
	  bars" which displays a Tk progress bar when the --gui option
	  specifies a Tk GUI.  It also rationalises the use of progress
	  bars in XMLTV generally by abstracting the details into a class
	  XMLTV::ProgressBar.

2004-09-05 21:35  jveldhuis

	* lib/IMDB.pm: updated estimates

2004-09-04 12:40  jskov

	* grab/dk/tv_grab_dk: Fix for recent site change (Jesper Toft) Scan
	  for categories if the user has an account allowing this (Jesper
	  Toft)

2004-09-02 16:30  axis3x3

	* Makefile.PL, grab/Config_file.pm, grab/Grab_XML.pm,
	  grab/dk/tv_grab_dk, grab/es/tv_grab_es, grab/fi/tv_grab_fi,
	  grab/fr/tv_grab_fr, grab/huro/tv_grab_huro,
	  grab/it/tv_grab_it.in, grab/jp/tv_grab_jp,
	  grab/na_dd/tv_grab_na_dd.in, grab/na_icons/tv_grab_na_icons.in,
	  grab/nl/tv_grab_nl.in, grab/no/tv_grab_no, grab/pt/tv_grab_pt,
	  grab/uk_bleb/tv_grab_uk_bleb.in, grab/uk_rt/tv_grab_uk_rt.in,
	  lib/Ask.pm, lib/GUI.pm, lib/Ask/Term.pm, lib/Ask/Tk.pm: Merged
	  the patch "adding a --gui option to the grabbers" (Andy Balaam).

2004-08-12 23:24  mnbjhguyt

	* Makefile.PL: added tv_grab_it_lt

2004-08-11 12:39  axis3x3

	* lib/exe_wrap.pl: Fixed share dir handling for tv_grab_uk_bleb.

2004-08-11 12:29  axis3x3

	* grab/uk_bleb/tv_grab_uk_bleb.in: Fixed incorrect references to
	  Europe_TZ and a renamed method.

2004-08-11 11:59  axis3x3

	* grab/uk_bleb/tv_grab_uk_bleb.in: Fixed a bug where I'd used code
	  that isn't yet in the CVS HEAD.

2004-08-11 11:22  axis3x3

	* Makefile.PL, grab/Grab_XML.pm, grab/uk_bleb/icon_urls,
	  grab/uk_bleb/tv_grab_uk_bleb, grab/uk_bleb/tv_grab_uk_bleb.PL,
	  grab/uk_bleb/tv_grab_uk_bleb.in: Added icons to the uk_bleb
	  grabber's output.

2004-08-01 23:34  rmeden

	* grab/na_dd/tv_grab_na_dd.in: detect, warn and ignore some bad DD
	  data values

2004-07-24 11:25  axis3x3

	* lib/exe_opt.pl: Fixed XMLTV::Ask::Tk not being included in exe.

2004-07-24 10:20  axis3x3

	* grab/nl_wolf/tv_grab_nl_wolf: Fixed a typo - a missing $.

2004-07-24 03:09  rmeden

	* lib/exe_wrap.pl: honor the common --quiet command line option

2004-07-24 02:49  rmeden

	* grab/na_dd/tv_grab_na_dd.in: use consistent text for errors and
	  warnings

2004-07-22 09:21  axis3x3

	* MANIFEST, Makefile.PL, lib/Ask.pm, lib/AskTerm.pm, lib/AskTk.pm,
	  lib/Ask/Term.pm, lib/Ask/Tk.pm: Moved the files lib/AskTk.pm and
	  lib/AskTerm.pm to their own directory lib/Ask/.

2004-07-20 08:04  axis3x3

	* Makefile.PL, grab/Grab_XML.pm, grab/nl_wolf/tv_grab_nl_wolf,
	  grab/uk_bleb/tv_grab_uk_bleb: Added new UK grabber
	  tv_grab_uk_bleb.

2004-07-07 16:30  rmeden

	* grab/na_dd/tv_grab_na_dd.in: ommit additional messages in --quiet
	  mode

2004-07-01 05:41  rmeden

	* grab/na_icons/tv_grab_na_icons.in: set user agent to identify
	  client to server

2004-06-25 12:07  axis3x3

	* lib/AskTk.pm: Updated the XMLTV_TK code to work with Tk804
	  (breaks compatibility with Tk800).

2004-06-11 22:51  rmeden

	* grab/: na_dd/tv_grab_na_dd.in, na_icons/tv_grab_na_icons.in: set
	  user agent to identify client to server

2004-06-08 05:03  rmeden

	* grab/na_dd/tv_grab_na_dd.in: improve error message on DataDirect
	  error

2004-06-07 05:54  rmeden

	* grab/na_dd/tv_grab_na_dd.in: report DataDirect errors cleanly
	  even if XML is corrupt

2004-06-04 02:08  rmeden

	* doc/README.win32: update README with current supported apps and
	  warnings

2004-06-04 02:01  rmeden

	* grab/na_icons/tv_grab_na_icons.in: during debug, separate web
	  fetches into separate files

2004-06-04 01:56  rmeden

	* grab/na_dd/tv_grab_na_dd.in: detect stations w/o callsigns in DD
	  data (shouldn't happen)

2004-05-23 19:19  epaepa

	* mkdist: Increased cvs compression level to -z7.

2004-05-23 19:18  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.34.

2004-05-23 18:15  epaepa

	* MANIFEST: Fixed for earlier changes (tv_grab_it, tv_grab_nz).

2004-05-23 18:01  epaepa

	* MANIFEST, Makefile.PL: Removing tv_grab_nz as threatened.

2004-05-23 17:45  epaepa

	* lib/XMLTV.pm.in: Handle reading bad files better: when a handler
	  returns undef (for error) then ignore that subelement.

2004-05-23 17:38  rmeden

	* grab/na_icons/tv_grab_na_icons.in: add messages to help with
	  --debug

2004-05-23 16:30  epaepa

	* lib/AskTerm.pm: ask_question(): warn rather than die on duplicate
	  choices.

2004-05-23 16:23  epaepa

	* grab/: dk/tv_grab_dk, fi/tv_grab_fi, fr/tv_grab_fr,
	  it/tv_grab_it.in, nl/tv_grab_nl.in, no/tv_grab_no, pt/tv_grab_pt,
	  uk_rt/tv_grab_uk_rt.in: Take a more sensible approach to cleaning
	  up bad characters - if there are any left outside the legal
	  ISO-8859-1 range give a warning.

2004-05-23 16:20  epaepa

	* grab/uk_rt/channel_ids: A couple more channels.

2004-05-23 16:16  epaepa

	* grab/uk_rt/channel_ids: There is no Ananova grabber now, so
	  removed FIXME.

2004-05-23 14:16  epaepa

	* grab/fi/tv_grab_fi: get_desc_scr(): trim whitespace.

2004-05-23 14:03  epaepa

	* grab/uk_rt/channel_ids: Two new channels (patch from Ryan
	  Dalzell).

2004-05-23 08:51  epaepa

	* MANIFEST, README.cygwin: Niel Markwick's howto on running xmltv
	  under Cygwin.

2004-05-22 20:22  epaepa

	* grab/na_dd/tv_grab_na_dd.in: Corrected usage message.

2004-05-21 01:36  rmeden

	* grab/na_dd/tv_grab_na_dd.in: add support for closed captions

2004-05-20 19:31  epaepa

	* Makefile.PL, grab/it/channel_ids, grab/it/dud_channels,
	  grab/it/tv_grab_it.in: Changes to tv_grab_it by its author Davide
	  Chiarini.  It now uses a channel_ids file and the dud_channels
	  file is no longer needed.

2004-05-15 02:39  jveldhuis

	* lib/IMDB.pm: updated estimates to progress bars are accurate

2004-05-15 01:52  jveldhuis

	* lib/IMDB.pm: use lc instead of requiring names/categories to be
	  proper regexp

2004-05-14 22:21  rmeden

	* lib/exe_opt.pl, lib/exe_wrap.pl, doc/README.win32: add EXE
	  support for tv_grab_se

2004-05-14 21:21  rmeden

	* grab/na_dd/tv_grab_na_dd.in: improve handling of c-band listings

2004-05-13 19:32  epaepa

	* grab/Config_file.pm: check_no_overwrite(): reformatted message
	  string to allow for long filename.

2004-05-13 19:30  epaepa

	* lib/AskTerm.pm: ask(): Patch suggested by Niel Markwick to handle
	  backspace ourselves, since the terminal may have screwed up
	  somehow.

2004-05-13 18:52  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Require at least one channel to be
	  entered in configuration (Sourceforge bug #951849).

2004-05-10 15:22  rmeden

	* grab/na_dd/tv_grab_na_dd.in: remind folks to add a lineup!

2004-05-09 18:32  epaepa

	* MANIFEST, Makefile.PL, grab/na_dd/tv_grab_na_dd.IN,
	  grab/na_dd/tv_grab_na_dd.PL, grab/na_dd/tv_grab_na_dd.in,
	  grab/na_icons/tv_grab_na_icons.IN,
	  grab/na_icons/tv_grab_na_icons.PL,
	  grab/na_icons/tv_grab_na_icons.in: Renamed
	  tv_grab_na_{dd,icons}.IN to .in.

2004-05-09 17:56  epaepa

	* Makefile.PL: Work around MakeMaker bug by adding PREFIX argument
	  when one not given.

2004-05-09 17:49  epaepa

	* grab/: de/tv_grab_de, dk/tv_grab_dk, es/tv_grab_es,
	  fi/tv_grab_fi, fr/tv_grab_fr, huro/tv_grab_huro,
	  it/tv_grab_it.in, jp/tv_grab_jp, na_dd/tv_grab_na_dd.IN,
	  nl/tv_grab_nl.in, nl_wolf/tv_grab_nl_wolf, no/tv_grab_no,
	  pt/tv_grab_pt, uk_rt/tv_grab_uk_rt.in: Mention --help in pod
	  documentation.

2004-05-09 02:53  rmeden

	* grab/: na_dd/tv_grab_na_dd.IN, na_icons/tv_grab_na_icons.IN:
	  document --share switch

2004-05-09 02:40  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: replace --dd-file with --dd-data in
	  docs.  removed Ed's "too short" patch, can generate false errors.
	  SOAP problems now better detected.  die with error when --dd-data
	  temp file cannot be opened.

2004-05-08 20:07  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Niel Markwick fixing the
	  bugs in category grabbing and enabling it with --get-categories.

2004-05-08 19:42  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Notice bits of text telling you when
	  the next episode is on.  Later we might handle these more
	  cleverly.

2004-05-08 19:29  epaepa

	* Makefile.PL: Fixed typo in last change.

2004-05-08 18:54  epaepa

	* README: Mention Term::ReadKey.

2004-05-08 18:53  epaepa

	* Makefile.PL: tv_grab_na_dd requires Term::ReadKey.

2004-05-08 18:52  epaepa

	* Makefile.PL: Removed tv_grab_na remnants.

2004-05-08 18:51  epaepa

	* grab/na_dd/tv_grab_na_dd.IN: Use ask_password().

2004-05-08 18:44  epaepa

	* lib/: AskTerm.pm, AskTk.pm: ask_password(): new function like
	  ask() but without echoing.

2004-05-08 18:36  epaepa

	* lib/: AskTerm.pm, AskTk.pm: Start migrating from names like
	  askManyBooleanQuestions to something_more_readable.

2004-05-08 18:34  epaepa

	* lib/AskTk.pm: Changed width to -width, padx to -padx and pady to
	  -pady in attempt to make it work with current Tk versions.  It
	  still doesn't though :-(.

2004-05-08 16:38  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: work around SOAP error handling not
	  kicking off.	Properly detect soap errors.

2004-05-08 15:40  epaepa

	* grab/na_dd/tv_grab_na_dd.IN: As well as checking for completely
	  empty SOAP result, check for a result which is much too small -
	  it could be some error message struggling to get out.

2004-05-08 14:34  epaepa

	* MANIFEST, Makefile.PL, doc/QuickStart: Replaced tv_grab_hu with
	  tv_grab_huro.

2004-05-08 14:30  epaepa

	* README: Removed 0.5.33 list of changes.

2004-05-08 14:26  epaepa

	* grab/huro/tv_grab_huro: Renamed to tv_grab_huro.

2004-05-08 14:24  epaepa

	* grab/Config_file.pm: filename(): removed migration of foo ->
	  foo.conf, users have had enough time to do that.  Added an
	  optional fourth argument so one can specify a migration from one
	  program name to another.

2004-05-08 14:16  epaepa

	* grab/huro/tv_grab_huro: tv_grab_hu renamed to tv_grab_huro -
	  committing for the record before I change the name in the code.

2004-05-08 10:19  epaepa

	* mkdist: Updated for new CVS hostname.

2004-05-08 10:17  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.33.

2004-05-08 10:04  epaepa

	* grab/no/tv_grab_no: Fixed occasional intrusion of HTML into
	  title.

2004-05-08 09:24  epaepa

	* grab/no/tv_grab_no: Fixed episode number handling, I hope.

2004-05-08 09:15  epaepa

	* grab/na_dd/tv_grab_na_dd.IN: Don't write 'duplicate' channel
	  elements for two channels that have the same id.  However, we
	  still have a problem deciding what to do when zap2it gives this
	  data.

2004-05-07 18:33  epaepa

	* grab/no/tv_grab_no: Filter out bad character 25.

2004-05-06 20:16  epaepa

	* grab/no/tv_grab_no: Fixed for more site changes.

2004-05-05 22:24  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: exit before doing any listings if
	  --list-channels add documentation for DD account expirations

2004-05-05 19:15  epaepa

	* Makefile.PL: Added --components option to let you choose what to
	  install on the command line rather than interactively.  As
	  requested by Sagar Shah.

2004-05-05 18:59  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: warn users about wasted bandwidth
	  downloading ignored channels and suggest updating lineup at
	  datadirect.

2004-05-05 14:18  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: doc changes to mention new icon
	  handling

2004-05-04 19:50  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Work around malformed title
	  attribute in source HTML.

2004-05-03 20:47  epaepa

	* grab/jp/tv_grab_jp: Check that the euc-jp encoding is available
	  and that Encode::JP could be loaded - on my box that module seems
	  to silently fail to load.

2004-05-02 16:32  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: don't use backslash on windows, not
	  valid XML

2004-05-01 23:07  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: add file:: to icon URI when needed.
	  Also use backslash on windows path.

2004-05-01 16:28  rmeden

	* MANIFEST, Makefile.PL, README, doc/README.win32: remove
	  tv_grab_na from distribution

2004-04-30 01:14  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: minor bug fix

2004-04-30 01:13  rmeden

	* grab/na_icons/tv_grab_na_icons.IN: remove debug code..

2004-04-28 22:53  rmeden

	* MANIFEST: fix filenames to match case fo _na_icon, _na_dd changes

2004-04-28 22:50  rmeden

	* grab/na_dd/tv_grab_na_dd.PL: add proxy support

2004-04-28 19:57  epaepa

	* lib/XMLTV.pm.in: When stripping whitespace from with-lang
	  strings, print the original string for easier debugging.

2004-04-28 19:18  epaepa

	* grab/no/tv_grab_no: Fixed for minor changes on the site.  Try to
	  vaguely work with the old format as well, just in case.

2004-04-28 18:45  epaepa

	* grab/pt/tv_grab_pt: Fail cleanly on 'temporarily unavailable'
	  error.

2004-04-27 15:13  rmeden

	* grab/na_dd/tv_grab_na_dd.IN: stupid!	I could have sword I tested
	  the code before checking in!

2004-04-27 01:27  rmeden

	* README, doc/README.win32: include info on tv_grab_na_icons

2004-04-27 01:16  rmeden

	* grab/: na_dd/tv_grab_na_dd.IN, na_icons/tv_grab_na_icons.IN: add
	  proxy support

2004-04-25 22:13  rmeden

	* MANIFEST: change tv_grab_na_dd to use --share add
	  tv_grab_na_icons

2004-04-25 22:11  rmeden

	* Makefile.PL, grab/na_dd/tv_grab_na_dd.IN: change tv_grab_na_dd to
	  use --share, and include icons

2004-04-25 22:10  rmeden

	* grab/na_dd/tv_grab_na_dd: tv_grab_na_dd is now tv_grab_na_dd.in
	  (for --share processing)

2004-04-25 22:02  rmeden

	* grab/na_icons/tv_grab_na_icons.IN: simplify --share handling

2004-04-25 22:01  rmeden

	* lib/exe_wrap.pl: tv_grab_na_dd and na_icon --share support

2004-04-25 05:17  rmeden

	* Makefile.PL, grab/na_icons/tv_grab_na_icons.IN,
	  grab/na_icons/tv_grab_na_icons.PL: initial load of
	  tv_grab_na_icons

2004-04-23 17:52  rmeden

	* choose/tv_check/tv_check: use  <originalAirDate> to mark as
	  repeats episodes > 30 days old improved myreplaytv debug handling

2004-04-23 17:50  rmeden

	* grab/na_dd/tv_grab_na_dd: add <originalAirDate> to --low-mem

2004-04-22 21:29  rmeden

	* grab/na_dd/tv_grab_na_dd: don't use <OriginalAirDate> for <date>
	  when Episode info not known

2004-04-21 14:36  rmeden

	* grab/na_dd/tv_grab_na_dd: ignore empty config file during
	  --configure

2004-04-21 06:35  rmeden

	* grab/na_dd/tv_grab_na_dd: add extra --configure question trying
	  to talk someone out of local channel filtering

2004-04-21 06:11  rmeden

	* grab/na_dd/tv_grab_na_dd: don't give line number if number of
	  days is negative

2004-04-21 06:04  rmeden

	* lib/exe_wrap.pl: put error messages back after change to use "do"

2004-04-20 05:32  rmeden

	* grab/na_dd/tv_grab_na_dd: doc fix to resolve equal sign separator

2004-04-18 09:55  epaepa

	* Makefile.PL: Whoops, forgot to re-add tv_grab_fr to Makefile.PL.

2004-04-16 19:21  epaepa

	* grab/na_dd/tv_grab_na_dd: Bail out early if SOAP download gives
	  empty result (part of fixing warnings seen in Sourceforge bug
	  #935843).

2004-04-16 19:19  epaepa

	* grab/na_dd/tv_grab_na_dd: Check that we get the schema version
	  (part of fixing warnings seen in Sourceforge bug #935843).

2004-04-16 19:13  epaepa

	* grab/na_dd/tv_grab_na_dd: Fixed uninitialized value warning (part
	  of Sourceforge bug #935843).

2004-04-16 18:50  epaepa

	* xmltv.dtd: Make it clear tat empty text elements are usually
	  meaningless.

2004-04-16 14:59  rmeden

	* grab/na_dd/tv_grab_na_dd: fix dd_progid to be consistent with
	  other episide-num formats

2004-04-14 22:11  rmeden

	* grab/na_dd/tv_grab_na_dd: use OriginalAirDate to populate <DATE>
	  unless copyright <YEAR> is specified.

2004-04-13 22:20  epaepa

	* Makefile.PL, README, doc/README.win32, grab/DST.pm,
	  lib/exe_wrap.pl: Version 0.5.32.

2004-04-13 22:06  epaepa

	* grab/pt/tv_grab_pt: Trim whitespace from channel display-names.

2004-04-11 04:35  rmeden

	* grab/na_dd/tv_grab_na_dd: oops.. fix timezone default

2004-04-11 04:27  rmeden

	* grab/na_dd/tv_grab_na_dd: move --tz-offset to the config file
	  (also don't stress UTC default)

2004-04-10 22:13  epaepa

	* grab/DST.pm: Support US and Canadian conventions by setting
	  $XMLTV::DST::Mode = 'na'.

2004-04-10 22:12  epaepa

	* grab/na_dd/tv_grab_na_dd: Undoing accidental checkin of this
	  file.

2004-04-10 22:09  epaepa

	* grab/DST.pm, grab/na_dd/tv_grab_na_dd, t/test_dst.t: Renamed
	  XMLTV::Europe_TZ to XMLTV::DST and made subroutine names less
	  Europe-specific.

2004-04-10 22:00  epaepa

	* MANIFEST, Makefile.PL, grab/Europe_TZ.pm, grab/de/tv_grab_de,
	  grab/dk/tv_grab_dk, grab/es/tv_grab_es, grab/fi/tv_grab_fi,
	  grab/fr/tv_grab_fr, grab/it/tv_grab_it.in, grab/nl/tv_grab_nl.in,
	  grab/no/tv_grab_no, grab/pt/tv_grab_pt,
	  grab/uk_rt/tv_grab_uk_rt.in, lib/TZ.pm, t/test_europe_tz.t:
	  Renamed XMLTV::Europe_TZ to XMLTV::DST and made subroutine names
	  less Europe-specific.

2004-04-09 16:26  rmeden

	* grab/na_dd/tv_grab_na_dd: fix typo in documentation

2004-04-08 01:25  rmeden

	* lib/exe_wrap.pl: use "do" instead of "require" so scripts don't
	  need to return true value.

2004-04-06 06:36  rmeden

	* lib/exe_wrap.pl: return a 0 ERRORLEVEL should the script return
	  control to exe_wrap. An error code is still reported should
	  something "DIE".

2004-04-05 19:36  epaepa

	* Makefile.PL: Continue even if prereqs missing so that CPAN shell
	  doesn't get upset.

2004-04-05 19:17  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Fixed timezone wobblies by always
	  converting with utc_offset() after a calculation.  Should
	  probably refactor this.

2004-04-05 17:47  epaepa

	* grab/Europe_TZ.pm: parse_eur_date(): allow UTC as the timezone
	  passed in.

2004-04-04 08:31  epaepa

	* lib/AskTerm.pm: askQuestion(): fixed default in long mode
	  (Sourceforge bug #924538).

2004-04-04 04:22  rmeden

	* lib/exe_wrap.pl: backing out change again.  Script files are not
	  available for normal reading, so you can't use open

2004-04-04 03:41  rmeden

	* grab/na_dd/tv_grab_na_dd: oops.. forgot to say version dd_schema
	  1.3 is ok

2004-04-04 03:39  rmeden

	* grab/na_dd/tv_grab_na_dd: add XMLTV module version check add
	  support for --beta-data add warning if dd schema is updated use
	  dd schema 1.3 channel Ids (with migration help) add dd schema 1.3
	  fields to --list-lineups add dd schema 1.3
	  syndicatedEpisodeNumber field as episode-number type "onscreen"
	  die if we don't have a valid lineup only process a single element
	  of a twig (performance?)

2004-04-04 01:20  rmeden

	* lib/XMLTV.pm.in: prematurely bump version due to <episode-number>
	  incompatability and module checking

2004-04-03 18:48  rmeden

	* lib/exe_wrap.pl: corrected version to avoid problems with scripts
	  not returning true

2004-04-03 17:45  epaepa

	* grab/es/tv_grab_es: Take care not to pass undef to
	  write_programme().

2004-04-03 17:41  epaepa

	* lib/XMLTV.pm.in: Better error when undef passed to
	  write_programme().

2004-04-03 17:07  rmeden

	* lib/exe_wrap.pl: backing out change... screws up configure mode

2004-04-03 16:56  rmeden

	* grab/na_dd/tv_grab_na_dd: correct xmltv-ns tag for episode num
	  take --tz-offset into consideration when calculating start time

2004-04-03 11:29  epaepa

	* grab/na_dd/tv_grab_na_dd: Catch bad XML from zap2it (at least for
	  the first part of configuration).

2004-04-03 11:01  epaepa

	* lib/exe_wrap.pl: Don't use require() to run the executable, since
	  that needs the last statement to give a true value.  Just load
	  the code and eval it.

	  Also fixed exit status of this script so it is true for success.

2004-04-03 10:05  epaepa

	* lib/XMLTV.pm.in: Strip leading/trailing whitespace when writing
	  with-lang content.

2004-04-01 23:33  rmeden

	* grab/na_dd/tv_grab_na_dd: die if config file doesn't have a
	  lineup (usually old config version)

2004-03-31 19:06  epaepa

	* MANIFEST, doc/QuickStart, grab/fr/tv_grab_fr: It turns out
	  tv_grab_fr was not blocked by the upstream site; there was just a
	  technical problem, so I'm putting it back.  Sylvain F. can use
	  the new Get_nice stuff to change the way tv_grab_fr does http
	  gets.

2004-03-31 19:05  epaepa

	* lib/AskTerm.pm: If there is only one choice, don't bother asking,
	  just say.

2004-03-31 18:22  epaepa

	* xmltv.dtd, choose/tv_check/tv_check, filter/tv_extractinfo_en,
	  grab/dk/tv_grab_dk, grab/na_dd/tv_grab_na_dd,
	  grab/nl/tv_grab_nl.in, grab/no/tv_grab_no, lib/XMLTV.pm.in:
	  <episode-num> can now be repeated.  This is a
	  backwards-incompatible change for users of XMLTV.pm (it's now a
	  list reference) and anyone reading xmltv files.  However the new
	  files are a superset of the old ones, so it does not break
	  existing data.

2004-03-31 07:07  rmeden

	* choose/tv_check/tv_check: improve handling of multi-part episodes

2004-03-31 07:04  rmeden

	* grab/na_dd/tv_grab_na_dd: added --version to docs added
	  --download-only option added warning if DD schema changes added
	  show-id, episode-id to <episode-num> added advisories to
	  <ratings> added showType to <category> corrected multipart
	  episode handling corrected <length> handling

2004-03-30 19:54  epaepa

	* grab/nl/tv_grab_nl.in: Fix from Bas Hulsken to avoid crash when
	  Term::ProgressBar not used.

2004-03-30 19:41  epaepa

	* grab/Get_nice.pm: You can change the function used to fetch pages
	  by setting $get.  The default is still LWP::Simple::get().

2004-03-30 03:54  rmeden

	* grab/na_dd/tv_grab_na_dd: output timezone is now UTC unless a
	  --tz-offset switch is used

2004-03-28 15:17  epaepa

	* MANIFEST, Makefile.PL, doc/QuickStart, grab/fr/tv_grab_fr: Sadly
	  tv_grab_fr has been blocked by the upstream site.

2004-03-28 15:12  epaepa

	* lib/AskTerm.pm: askQuestion(): Use default even in
	  numbered-multiple-choice mode.  This should fix Sourceforge bug
	  #924538 but I have not yet tested it.

2004-03-28 12:30  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Comment.

2004-03-27 22:10  rmeden

	* grab/na_dd/tv_grab_na_dd: better identify messsages received from
	  DD

2004-03-27 06:09  rmeden

	* README, doc/README.win32: add notes about tv_grab_na_dd

2004-03-26 21:34  rmeden

	* grab/na_dd/tv_grab_na_dd: add a orig_id field to --list-lineups

2004-03-26 06:04  rmeden

	* grab/na_dd/tv_grab_na_dd: changes to work with XML::Twig 3.14's
	  Simplify method

2004-03-26 00:28  rmeden

	* grab/na_dd/tv_grab_na_dd: Add example for handling multiple
	  lineups

2004-03-25 23:54  rmeden

	* grab/na_dd/tv_grab_na_dd: make channel IDs RFC complient.  Add
	  separators to --list-lineups to make it easier to parse.

2004-03-25 15:55  rmeden

	* grab/na_dd/tv_grab_na_dd: Provide --list-lineups and procedure to
	  automate configuration

2004-03-25 08:36  rmeden

	* choose/tv_check/tv_check: Date::Manip no longer likes "TODAY",
	  using "NOW"

2004-03-25 07:54  rmeden

	* grab/na_dd/tv_grab_na_dd: fix bad pointer when using -old-chan-id

2004-03-25 04:07  rmeden

	* grab/na_dd/tv_grab_na_dd: add --list-channels switch

2004-03-25 03:55  rmeden

	* grab/na_dd/tv_grab_na_dd: major change to add channels to config
	  file compromise on password security

2004-03-24 16:09  epaepa

	* MANIFEST, Makefile.PL, doc/QuickStart, grab/pt/tv_grab_pt: Adding
	  Bruno Tavares's tv_grab_pt grabber for Portugal.

2004-03-24 15:12  rmeden

	* grab/na_dd/tv_grab_na_dd: change TV rating to TVCHIP to match
	  tv_grab_na In COLOUR change B&W to 0 so it causes boolean
	  comparision to fail fix length calcuation when runtime is known.

2004-03-24 14:00  epaepa

	* lib/exe_wrap.pl: tv_grab_jp and tv_grab_se are not included.

2004-03-23 15:57  epaepa

	* grab/na_dd/tv_grab_na_dd: Fixed error report when no 'id' in
	  station element.

2004-03-22 22:29  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart,
	  grab/no/tv_grab_no: Adding Christian Wattengard's tv_grab_no for
	  Norway.

2004-03-22 22:23  epaepa

	* MANIFEST: Removed tv_check.bat.

2004-03-22 22:07  epaepa

	* choose/tv_check/tv_check_doc.html: Updated example grabber names.

2004-03-22 22:06  epaepa

	* choose/tv_check/tv_check.bat: Removed because out of date.

2004-03-22 22:04  epaepa

	* choose/tv_check/README.tv_check: Use tv_grab_fi as the example,
	  and --output rather than --listings.	(I would prefer
	  redirection, but there may still be some problem with it on
	  WinDOS.)

2004-03-22 22:01  epaepa

	* filter/tv_imdb: Don't mention tv_grab_na by name, since its
	  replacement has a different name.

2004-03-22 21:58  epaepa

	* doc/QuickStart: Mention tv_grab_na_dd.  Use tv_grab_fi in
	  examples, it's a bit easier that way.

2004-03-22 16:25  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Ryan Dalzell to remove
	  javascript gunk from URLs.

2004-03-22 16:06  epaepa

	* grab/na_dd/tv_grab_na_dd: Better error reporting when the
	  <station> element has no 'id' attribute.

2004-03-22 15:56  epaepa

	* grab/na_dd/tv_grab_na_dd: Don't write 'date' attribute in <tv>
	  element.  If present, it measn the date of the listings at the
	  source, not the time of the grab.

2004-03-22 15:44  epaepa

	* grab/nl/tv_grab_nl.in: Handle 'Kenmerken' descriptions and
	  'Website'.

2004-03-22 03:17  rmeden

	* doc/README.win32: add 0.5.31 notes

2004-03-21 14:51  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.31.

2004-03-19 21:15  epaepa

	* grab/uk_rt/channel_ids: Channel updates from Ryan Dalzell.

2004-03-19 21:12  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Ryan Dalzell to not add
	  'Remind me by text' to programme descriptions.

2004-03-19 13:14  epaepa

	* grab/Europe_TZ.pm: Convert DST start and end dates into local
	  winter time before comparing against the local time string.

2004-03-19 12:39  epaepa

	* grab/na_dd/tv_grab_na_dd: generator-info-name="XMLTV", like the
	  other grabbers.

2004-03-19 12:35  epaepa

	* grab/na_dd/tv_grab_na_dd: Added --password-file to read DD
	  password from a file.

2004-03-19 11:33  epaepa

	* grab/na_dd/tv_grab_na_dd: Accidentally turned off reading
	  password from config file in earlier change.	It will go away
	  eventually, though.

2004-03-19 11:26  epaepa

	* grab/Europe_TZ.pm: Cope with impossible dates (during the one
	  hour skip from winter to summer time).  Assume they are winter
	  time.

2004-03-18 19:24  epaepa

	* grab/na_dd/tv_grab_na_dd: Don't store the password in the config
	  file - prompt for it when grabbing.

2004-03-18 17:03  epaepa

	* grab/na_dd/tv_grab_na_dd: Use undef rather than the empty string
	  as the unset value for various options, and test definedness
	  rather than truth.  This fixes a few bugs with the filename '0'
	  and so on.

	  Refactored credits handling and fixed a spelling mistake, so it
	  now does more roles.	Added a check for unknown roles so that
	  similar mistakes will be caught.

	  Small change to progress bar message.

2004-03-18 16:06  epaepa

	* grab/na_dd/tv_grab_na_dd: Titles and descriptions are not
	  necessarily in English.

2004-03-18 15:45  epaepa

	* grab/na_dd/tv_grab_na_dd: Catch '401 Unauthorized' from site.

2004-03-18 15:37  epaepa

	* grab/na_dd/tv_grab_na_dd: Use GNU long option style with words
	  separated by hyphen not underscore.  The underscore format is
	  still accepted.

2004-03-17 21:10  epaepa

	* t/test_tv_split.t: Added explicit close() to make sure the temp
	  directory can be cleaned up at exit (bug on Cygwin spotted by
	  Niel Markwick).

2004-03-17 18:36  epaepa

	* MANIFEST: Corrected filename.

2004-03-17 06:00  rmeden

	* choose/tv_check/tv_check: fix problems with the on-exit handler

2004-03-16 22:43  rmeden

	* lib/exe_opt.pl: fix underf warning when storing version number in
	  windows

2004-03-16 22:39  rmeden

	* lib/exe_wrap.pl: make list of valid commands easier to read

2004-03-15 21:26  rmeden

	* grab/na_dd/tv_grab_na_dd: add --dd_data, and --reprocess options.
	  add code to allow debugging of SOAP fetch

2004-03-13 18:15  rmeden

	* grab/na_dd/tv_grab_na_dd: replace certificate code tvRating is in
	  <schedule> not <program>

2004-03-12 18:08  rmeden

	* grab/na_dd/tv_grab_na_dd: add workaround for non-unique lineup
	  names

2004-03-12 15:50  rmeden

	* Makefile.PL: fix tv_grab_na_dd name

2004-03-12 15:43  rmeden

	* README: mention tv_grab_na_dd and XML::Twig 3.10

2004-03-11 23:58  rmeden

	* MANIFEST, Makefile.PL: add tv_grab_na_dd

2004-03-11 01:13  rmeden

	* grab/na_dd/tv_grab_na_dd: add minor channel numbers for digital
	  tv

2004-03-10 23:17  rmeden

	* grab/na_dd/tv_grab_na_dd: Initial commit of grabber to use
	  Zap2IT's Data Direct service

2004-03-07 21:18  epaepa

	* doc/README.win32: Corrected release note for 0.5.30-win32-2
	  build.

2004-03-07 14:02  epaepa

	* filter/tv_imdb: Removed obsolete todo item.

2004-03-06 12:06  epaepa

	* README: Updated signature line.

2004-03-06 12:04  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.30.

2004-03-06 11:43  epaepa

	* Makefile.PL, README: XML::Writer 0.4.6 is now required.

2004-03-06 11:26  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Use get_url() for channels pages
	  instead of calling get_nice() directly.

2004-02-29 13:54  epaepa

	* grab/uk_rt/: channel_ids, tv_grab_uk_rt.in: Patch from Dan
	  Sheridan to add radio channels.

2004-02-26 04:28  komoriya

	* grab/jp/tv_grab_jp: fixed unexpected deletion of figures in wide
	  charactors.

2004-02-23 20:55  epaepa

	* MANIFEST, Makefile.PL, doc/QuickStart, grab/fr/tv_grab_fr: Adding
	  Sylvain Fabre's tv_grab_fr grabber for France.

2004-02-23 20:30  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart: Adding Mattias
	  Holmlund's tv_grab_se for Sweden.

2004-02-23 20:13  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart, lib/exe_wrap.pl:
	  Adding Stefan Siegl's tv_grab_de_tvtoday.

2004-02-23 19:58  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Comment.

2004-02-23 06:49  rmeden

	* choose/tv_check/tv_check: use parse_date in XMLTV::Date instead
	  of Date::Manip to improve error handling

2004-02-22 19:03  epaepa

	* lib/XMLTV.pm.in: The <language> contained inside <subtitles> is a
	  normal <language> element, so it can have a 'lang' attribute.
	  Call the with-lang handler to read and write it.

2004-02-22 18:59  epaepa

	* t/data/: test.xml, tv_cat_all_UTF8.expected,
	  tv_cat_test_xml.expected, tv_cat_test_xml_test_xml.expected,
	  tv_extractinfo_en_all_UTF8.expected,
	  tv_extractinfo_en_test_xml.expected,
	  tv_extractinfo_en_test_xml_test_xml.expected,
	  tv_grep_a_all_UTF8.expected, tv_grep_a_test_xml.expected,
	  tv_grep_a_test_xml_test_xml.expected,
	  tv_grep_category_g_or_title_h_all_UTF8.expected,
	  tv_grep_category_g_or_title_h_test_xml.expected,
	  tv_grep_category_g_or_title_h_test_xml_test_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_all_UTF8.expected,
	  tv_grep_channel_xyz_or_not_channel_b_test_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_test_xml_test_xml.expected,
	  tv_grep_eval_scalar_keys_5_all_UTF8.expected,
	  tv_grep_eval_scalar_keys_5_test_xml.expected,
	  tv_grep_eval_scalar_keys_5_test_xml_test_xml.expected,
	  tv_grep_not_channel_id_channel4_com_all_UTF8.expected,
	  tv_grep_not_channel_id_channel4_com_test_xml.expected,
	  tv_grep_not_channel_id_channel4_com_test_xml_test_xml.expected,
	  tv_grep_not_channel_name_d_all_UTF8.expected,
	  tv_grep_not_channel_name_d_test_xml.expected,
	  tv_grep_not_channel_name_d_test_xml_test_xml.expected,
	  tv_grep_on_before_200302161330_UTC_all_UTF8.expected,
	  tv_grep_on_before_200302161330_UTC_test_xml.expected,
	  tv_grep_on_before_200302161330_UTC_test_xml_test_xml.expected,
	  tv_remove_some_overlapping_all_UTF8.expected,
	  tv_remove_some_overlapping_test_xml.expected,
	  tv_remove_some_overlapping_test_xml_test_xml.expected,
	  tv_sort_all_UTF8.expected, tv_sort_by_channel_all_UTF8.expected,
	  tv_sort_by_channel_test_xml.expected,
	  tv_sort_by_channel_test_xml_test_xml.expected,
	  tv_sort_test_xml.expected, tv_sort_test_xml_test_xml.expected:
	  Test that <subtitles> can contain <language>.

2004-02-21 19:20  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart, doc/README.win32,
	  grab/jp/README.CATV, grab/jp/README.CATV.ja, grab/jp/tv_grab_jp:
	  Takeru Komoriya's tv_grab_jp for Japan.

2004-02-21 18:54  epaepa

	* MANIFEST: Added missing files.

2004-02-21 18:50  epaepa

	* t/test_europe_tz.t: Tiny test suite for XMLTV::Europe_TZ (one
	  person was having strange problems).

2004-02-21 18:47  epaepa

	* grab/Europe_TZ.pm: Comment.

2004-02-21 18:43  epaepa

	* choose/tv_check/.cvsignore: Removing .cvsignore file - not part
	  of the source code and not really needed.

2004-02-14 22:33  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.29.

2004-02-14 22:19  epaepa

	* grab/nl/channels: Changed names to match the site.

2004-02-14 22:10  epaepa

	* grab/nl_wolf/tv_grab_nl_wolf: Removed debugging print.

2004-02-14 17:53  ramonroca

	* Makefile.PL, README, doc/QuickStart, doc/README.win32,
	  grab/es/tv_grab_es: New grabber for D+ (Spain)

2004-02-14 11:53  ramonroca

	* grab/es/tv_grab_es, Makefile.PL: New grabber for D+ (Spain)

2004-02-12 22:56  rmeden

	* lib/exe_opt.pl: add some optional modules so the exe can find
	  them

2004-02-12 20:20  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Another patch from Niel Markwick:
	  fix the occasional title-parsing bug, and replace one while () {
	  shift; ... } with a foreach.	For the latter change I don't
	  understand why it worked at all before, but the new code seems
	  probably correct.

2004-02-11 21:04  epaepa

	* grab/nl_wolf/tv_grab_nl_wolf: Skip zero-length files on the site.

2004-02-11 20:40  epaepa

	* README: HTML::Entities needed by tv_grab_uk_rt.

2004-02-11 20:39  epaepa

	* Makefile.PL: tv_grab_uk_rt now needs HTML::Entities (part of the
	  HTML::Parser package).

2004-02-11 20:34  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch mostly by Neil Markwick to
	  reduce the number of page fetches by remembering the last
	  programme seen on a channel and skipping ahead some hours if
	  possible.  Also to give a --limit-details range for restricting
	  the download of programme details (not all or nothing like
	  --slow), and clean up some bad characters in grabbing, and handle
	  multi-paragraph descriptions as one <desc> element.

2004-02-07 18:02  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Charles Brej (with one
	  change) to not grab redundant pages - those where the times have
	  already been seen in an earlier fetch.

2004-02-05 23:47  epaepa

	* lib/exe_wrap.pl: Chatter goes to stderr not stdout.

2004-02-03 21:44  epaepa

	* README: Storable is needed.

2004-02-03 21:39  epaepa

	* mkdist: Upse -P flag in checkout to prune empty directories.

2004-02-01 21:47  epaepa

	* README: Fixed date.

2004-02-01 21:46  epaepa

	* mkdist: Updated VERSION check to handle exe_wrap.pl (it works
	  this time).

2004-02-01 21:45  epaepa

	* lib/exe_wrap.pl: Moved version number into a more obvious place
	  so mkdist can check it.

2004-02-01 21:42  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in,
	  lib/exe_wrap.pl: Version 0.5.28.

2004-02-01 21:40  epaepa

	* MANIFEST: Added missing file.

2004-02-01 21:26  epaepa

	* grab/uk_rt/channel_ids: Added some more channels.

2004-02-01 21:07  epaepa

	* grab/uk_rt/channel_ids: Removed tv_grab_uk.

2004-02-01 20:38  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart, doc/README.win32,
	  grab/fi/tv_grab_fi, grab/it/tv_grab_it.in,
	  grab/uk_rt/tv_grab_uk_rt.PL, lib/exe_wrap.pl: Removed tv_grab_uk.

2004-02-01 20:23  epaepa

	* Makefile.PL: Removed ' from regexp to avoid confusing Emacs
	  fontification.

2004-02-01 20:11  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Don't output duplicate programmes.

2004-02-01 20:07  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Made the previous-day check happen
	  for listings pages that aren't for midnight.	I don't fully
	  understand what is going on.

2004-02-01 19:06  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Correctly handle programmes on the
	  00:00 page which began late the previous day.

2004-02-01 17:49  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Changed domain name of source
	  website and made sure code uses $DOMAIN.

2004-02-01 11:46  epaepa

	* Makefile.PL: Skip over autosave and backup files in the
	  grab/uk/channel_pkgs/ directory.  This makes no difference to
	  users of the source tarball but avoids bizarre errors when
	  building from a working copy.

2004-01-30 21:16  rmeden

	* choose/tv_check/tv_check: fix new XML processing for LANG (which
	  no one really uses anyway)

2004-01-29 21:23  epaepa

	* lib/XMLTV.pm.in: Moved the <icon> handler into a new routine
	  read_icon(), which was being called to read icons inside ratings
	  even though it didn't exist.

2004-01-29 21:22  epaepa

	* t/data/: test.xml, tv_cat_all_UTF8.expected,
	  tv_cat_test_xml.expected, tv_cat_test_xml_test_xml.expected,
	  tv_extractinfo_en_all_UTF8.expected,
	  tv_extractinfo_en_test_xml.expected,
	  tv_extractinfo_en_test_xml_test_xml.expected,
	  tv_grep_a_all_UTF8.expected, tv_grep_a_test_xml.expected,
	  tv_grep_a_test_xml_test_xml.expected,
	  tv_grep_category_g_or_title_h_all_UTF8.expected,
	  tv_grep_category_g_or_title_h_test_xml.expected,
	  tv_grep_category_g_or_title_h_test_xml_test_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_all_UTF8.expected,
	  tv_grep_channel_xyz_or_not_channel_b_test_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_test_xml_test_xml.expected,
	  tv_grep_eval_scalar_keys_5_all_UTF8.expected,
	  tv_grep_eval_scalar_keys_5_test_xml.expected,
	  tv_grep_eval_scalar_keys_5_test_xml_test_xml.expected,
	  tv_grep_not_channel_id_channel4_com_all_UTF8.expected,
	  tv_grep_not_channel_id_channel4_com_test_xml.expected,
	  tv_grep_not_channel_id_channel4_com_test_xml_test_xml.expected,
	  tv_grep_not_channel_name_d_all_UTF8.expected,
	  tv_grep_not_channel_name_d_test_xml.expected,
	  tv_grep_not_channel_name_d_test_xml_test_xml.expected,
	  tv_grep_on_before_200302161330_UTC_all_UTF8.expected,
	  tv_grep_on_before_200302161330_UTC_test_xml.expected,
	  tv_grep_on_before_200302161330_UTC_test_xml_test_xml.expected,
	  tv_remove_some_overlapping_all_UTF8.expected,
	  tv_remove_some_overlapping_test_xml.expected,
	  tv_remove_some_overlapping_test_xml_test_xml.expected,
	  tv_sort_all_UTF8.expected, tv_sort_by_channel_all_UTF8.expected,
	  tv_sort_by_channel_test_xml.expected,
	  tv_sort_by_channel_test_xml_test_xml.expected,
	  tv_sort_test_xml.expected, tv_sort_test_xml_test_xml.expected:
	  Added icon to rating in test.xml example input.  This catches a
	  bug where rating icon support was not implemented in XMLTV.pm.

2004-01-29 21:05  epaepa

	* t/test_icon.t: Made into a proper test ('ok 1', at least when it
	  passes).  Fixed charset warning.

2004-01-26 15:25  rmeden

	* README: remove requirement for XML::Simple

2004-01-26 03:41  rmeden

	* Makefile.PL: TV_CHECK now uses XML::Twig and XML::Writer so
	  XML::Simple not needed

2004-01-26 03:41  rmeden

	* choose/tv_check/tv_check: replace XML::Simple with XML::Twig so
	  UTF-8 chacaters can be included in titles.  Also remove a
	  dependency.

2004-01-25 00:03  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Brown-paper-bag bug in previous
	  change.

2004-01-24 23:57  epaepa

	* t/test_icon.t: Test case for Sourceforge bug #876003.

2004-01-24 23:46  epaepa

	* lib/XMLTV.pm.in: Added missing write_icon(), fixing Sourceforge
	  bug #876003.

2004-01-24 23:43  epaepa

	* lib/AskTerm.pm: askQuestion(): recover properly when stdin cannot
	  be read, returning undef (in code for numbered list).

2004-01-24 23:40  epaepa

	* grab/Get_nice.pm: Applied Sourceforge patch #875950 from Niel
	  Markwick: have a delay between page fetches, but remember when
	  the last fetch was and sleep() only for the time necessary to
	  make up the delay.

2004-01-24 22:39  epaepa

	* grab/uk_rt/: channel_ids, tv_grab_uk_rt.in: Applied (with minor
	  tweaks) Sourceforge patch #877617 from Niel Markwick to get extra
	  channels from the site.  It turns out you only need supply a
	  couple of cookies, and the site doesn't care what their values
	  are.

	  Made the grabber fetch summary data by default, with a --slow
	  flag to enable the one-page-per-programme detailed grabbing.

	  Better behaviour if asking questions during configuration fails.

2004-01-20 20:57  epaepa

	* filter/tv_split, t/test_tv_split.t: If tv_split is splitting by
	  channel, then just one <channel> element should be written to
	  each output file.

2004-01-20 20:33  epaepa

	* t/test_tv_split.t: Fixed filename in error messages.

2004-01-20 20:06  epaepa

	* lib/IMDB.pm: closeMaybeGunzip(): even a plain close() segfaults
	  on some systems, so do nothing.

2004-01-13 03:38  jveldhuis

	* lib/IMDB.pm: updated estimates and now .info file is written in
	  sorted order

2004-01-10 10:47  jskov

	* grab/dk/tv_grab_dk: Lang is da for Danish

2004-01-07 20:07  epaepa

	* Makefile.PL: Avoid // at start of installation paths (Sourceforge
	  bug #872444).

2004-01-07 19:55  epaepa

	* grab/nl/tv_grab_nl.in: --share option takes a string, it is not a
	  flag.

2004-01-07 19:26  epaepa

	* Makefile.PL, lib/Date.pm: Patch from Debian (modified a bit) to
	  fix XMLTV::Date manual page.

2004-01-07 06:56  rmeden

	* lib/exe_opt.pl: add safe to ignore dependancy to  avoid warning
	  during PerlApp

2004-01-07 06:47  rmeden

	* choose/tv_check/tv_check: include year in date checks to avoid
	  end of year problems

2004-01-06 20:45  epaepa

	* filter/tv_sort, t/data/tv_sort_overlap_xml.expected_err: Made the
	  error output (overlap warning) repeatable by adding a 'sort' and
	  by removing a $Log::TraceMessages::On that caused warnings.

2004-01-06 20:42  epaepa

	* choose/tv_pick/tv_pick_cgi, lib/Clumps.pm: Commented out lone
	  mentions of $Log::TraceMessages::On which tend to cause warnings.

2004-01-06 20:15  epaepa

	* lib/exe_wrap.pl: Check for the mistake of running a command with
	  redirections from Windows's Run dialogue box instead of the
	  command prompt.

2004-01-06 19:53  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patch from Edward Wildgoose to
	  recognize the site's star ratings.

2004-01-05 21:52  epaepa

	* mkdist, lib/exe_wrap.pl: Support 'xmltv.exe --version'.  (mkdist
	  changes not yet tested.)

2004-01-04 18:04  epaepa

	* lib/XMLTV.pm.in: Moved the __WARN__ handler on writing down a
	  level to call_handlers_write() so that the warning message can
	  include the name of the subelement being written as well as the
	  big element ('programme' or whatever).  call_handlers_write() now
	  returns a success value which is checked before calling it again
	  with the real XML::Writer.

2004-01-04 13:17  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.27.

2004-01-04 12:14  epaepa

	* Makefile.PL: Discard stderr when trying to run python - it might
	  not be installed.

2004-01-04 11:48  epaepa

	* lib/XMLTV.pm.in: 'require' rather than 'use' XMLTV::Date because
	  XMLTV.pm is loaded at build time and XMLTV::Date is not available
	  then.  (Sourceforge bug #870171.)

2004-01-04 11:33  epaepa

	* Makefile.PL: Suppress 'isn't numeric' warnings from MakeMaker
	  (Sourceforge bug #870170, but has been an annoyance for a while).

2004-01-03 22:44  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.26.

2004-01-03 22:15  epaepa

	* MANIFEST: Added a missing file.

2004-01-03 21:55  epaepa

	* grab/it/tv_grab_it.in: Fixed --days and --offset.

2004-01-03 21:24  epaepa

	* grab/dk/tv_grab_dk: --offset was being counted twice.

2004-01-03 14:52  epaepa

	* Makefile.PL, Uninstall.pm, analyse_tvprefs/analyse_tvprefs,
	  choose/tv_pick/merge_tvprefs, filter/Grep.pm,
	  grab/Config_file.pm, grab/Europe_TZ.pm, grab/Get_nice.pm,
	  grab/Grab_XML.pm, grab/Memoize.pm, grab/Mode.pm,
	  grab/uk_rt/tv_grab_uk_rt.PL, lib/Ask.pm, lib/AskTerm.pm,
	  lib/AskTk.pm, lib/Clumps.pm, lib/Date.pm, lib/Gunzip.pm,
	  lib/Summarize.pm, lib/TZ.pm, lib/Usage.pm, lib/XMLTV.pm.in,
	  lib/set_share_dir.pl, t/add_time_info, t/test_filters.t,
	  t/test_library.t, t/test_tv_split.t: Made sure every Perl source
	  file has a CVS Id: thingy.

2004-01-03 14:35  epaepa

	* grab/nl/channels: Changed some channel names to match those on
	  the site.  I hope the rest are correct.

2004-01-03 12:14  epaepa

	* MANIFEST: Added a missing file.

2004-01-03 12:10  epaepa

	* t/test_filters.t: Comment.

2004-01-03 12:03  epaepa

	* doc/QuickStart: Updated the list of grabbers.

2004-01-03 11:57  epaepa

	* analyse_tvprefs/analyse_tvprefs: 'use warnings' instead of -w.

2004-01-03 11:52  epaepa

	* grab/Grab_XML.pm: Added __DIE__ handler to print URL.

2004-01-03 11:49  epaepa

	* grab/Get_nice.pm: Comment.

2004-01-03 11:46  epaepa

	* grab/Europe_TZ.pm: Improved error message.

2004-01-02 20:41  epaepa

	* grab/nl/tv_grab_nl.in: get_channels(): read the channel names
	  file.  The new boolean parameter says whether to read the site as
	  well and reconcile the two (more paranoia, but also more
	  downloading).

	  Call get_channels() to get channel details before grabbing as
	  well as for --configure and --list-channels.	--configure still
	  downloads the channel list from the site but --list-channels and
	  grabbing do not.  Changed the error about bad channel names to a
	  warning, since it can happen if the channels file has different
	  names from the site.

2004-01-02 20:07  epaepa

	* MANIFEST, Makefile.PL, grab/nl/channels, grab/nl/tv_grab_nl,
	  grab/nl/tv_grab_nl.PL, grab/nl/tv_grab_nl.in, lib/exe_wrap.pl:
	  Repackaged tv_grab_nl so it follows some of the other grabbers in
	  having a data file in share/ which it needs to load at run time.
	  tv_grab_nl is generated from tv_grab_nl.in by substituting in the
	  configured share/ path.

	  Now this new version doesn't _do_ anything different, and has no
	  code changes apart from setting the share/ directory and the
	  filename of the channels file, but because the source filename
	  has changed I'm committing now so that diffing will be simpler.

2004-01-02 19:34  epaepa

	* grab/nl/tv_grab_nl: Don't rely on channel names in the config
	  file: wait until we've read the listings pages (and so have got
	  channel names) before writing any <channel> elements.  The config
	  file no longer contains channel names, although old format files
	  are still accepted for now.

2004-01-02 19:27  epaepa

	* lib/XMLTV.pm.in: Made the writing handlers accept undef instead
	  of an XML::Writer, and take it as meaning don't write anything.
	  Then write_element_with_handlers() first calls all the handlers
	  with undef and makes sure there are no warnings before it writes
	  anything.  This makes it a bit harder to produce invalid output.

2004-01-02 18:59  epaepa

	* grab/nl/tv_grab_nl: Take note of the channel names on the site
	  and check them against what's in the config file.

2004-01-01 12:39  epaepa

	* grab/es/tv_grab_es: Include the channel number (the number from
	  the site, which is apparently the same as the button number on a
	  television) as an extra display-name.

2004-01-01 12:31  epaepa

	* mkdist, filter/tv_extractinfo_en, filter/tv_grep.in,
	  filter/tv_remove_some_overlapping, filter/tv_sort,
	  grab/Europe_TZ.pm, grab/Grab_XML.pm, grab/dk/tv_grab_dk,
	  grab/es/tv_grab_es, grab/fi/tv_grab_fi, grab/nl/tv_grab_nl,
	  grab/uk_rt/tv_grab_uk_rt.in, lib/Clumps.pm, lib/Date.pm,
	  lib/TZ.pm, lib/XMLTV.pm.in: Changed most ParseDate() calls to
	  parse_date() instead.  Then a manual check of the return value is
	  not needed (though in cases where a bad date is acceptable the
	  parse_date() call must be wrapped in eval {}).  Also changed
	  parse_eur_date() and tz_to_num() to throw exceptions on error.

	  Where ParseDate() is called, the recommended way in the
	  Date::Manip docs to check for errors is to test the truth value
	  of what's returned.

2003-12-31 21:54  epaepa

	* Makefile.PL, grab/Europe_TZ.pm, grab/nl/tv_grab_nl,
	  grab/uk_rt/tv_grab_uk_rt.in, lib/Date.pm: New library XMLTV::Date
	  with a parse_date() wrapper for ParseDate() that makes a more
	  intelligent choice of year.  ParseDate() assumes the current year
	  if it's not given, which obviously causes problems when grabbing
	  listings across a year boundary.  parse_date() picks the closest
	  possibility to the current time.  It also throws an exception on
	  failure rather than returning the empty string.

	  Eventually I hope to replace all ParseDate() calls with this
	  function, but for now I just fixed Europe_TZ.pm (which gets
	  tv_grab_nl working again) and tv_grab_uk_rt.

2003-12-31 21:51  epaepa

	* t/test_filters.t: Set LANG=C for running tests; we can do this
	  with the latest Lingua::Preferred.

2003-12-31 21:50  epaepa

	* lib/AskTerm.pm: When presenting a numbered list of options,
	  accept typing the option string instead of the number.  (And made
	  the prompt shorter.)

2003-12-31 19:28  epaepa

	* Makefile.PL: Lingua::Preferred 0.2.4 now recommended (it accepts
	  LANG=C).

2003-12-31 19:13  epaepa

	* lib/IMDB.pm: Added a missing /i to compare titles
	  case-insensitively; this fixes the bug found by Karen Etheridge
	  where duplicate (modulo case) titles would be added.

2003-12-30 21:51  epaepa

	* grab/fi/tv_grab_fi: Recognize class 'kanava-klo-nyt' (used for
	  current programme) as well as 'kanava-klo'.  Pointed out by Riku
	  Voipo.

2003-12-30 21:15  epaepa

	* MANIFEST: tv_grab_uk channel package for NTL analogue cable TV in
	  the Republic of Ireland.

2003-12-29 21:21  epaepa

	* MANIFEST: Fixed some errors and warnings in tv_grab_uk's channel
	  ids; the 'scotland' package has disappeared since it contained
	  only one channel and that is no longer on the site.

	  Implemented Sourceforge feature request #858792 by adding more
	  channels to the 'ireland' package.  I've also set xmltv ids for
	  those Irish channels that lacked them.

2003-12-19 06:09  rmeden

	* Makefile.PL: correct min version for HTML::Parser (got confused
	  with XML::Parser)

2003-12-19 06:01  rmeden

	* filter/tv_imdb: expand on memory requirments in man page

2003-12-18 20:48  epaepa

	* lib/AskTerm.pm: match(): new routine factoring out selecting an
	  exact or substring match.

2003-12-18 20:44  epaepa

	* lib/AskTerm.pm: askQuestion(): if going to numbered prompting,
	  and any of the options happen to themselves be numbers in the
	  range, make sure they are at that question number.  Too confusing
	  to type '5' to enter option '6'.  The list of options is now
	  required to have no duplicates.

2003-12-14 20:52  epaepa

	* filter/tv_sort, t/data/tv_sort_overlap_xml.expected_err: Changed
	  tv_sort to complain less about overlapping programmes.  In
	  particular if two programmes start at the same time and one of
	  them is zero length, assume it just squeezes in before the other.
	  As a side effect, fixed some other minor bugs in reporting of
	  overlaps (I hope that tv_sort will now not report an overlap
	  unless it's certain there is one).  But this whole exercise has
	  proven I don't really understand the intended meaning of
	  zero-length programmes and intervals (many listings sources
	  generate zero-length programmes, and they seem to be of some
	  vague practical use, but I haven't really thought out the
	  implications).  Hopefully the new DTD (with explicit timeslots
	  replacing clumpidxes) will be a bit saner.

2003-12-14 19:12  epaepa

	* t/data/tv_sort_overlap_xml.expected_err: Catch bug in tv_sort
	  where it incorrectly reports about overlapping programmes because
	  it doesn't treat (start, stop) as a half-closed interval.

2003-12-14 19:09  epaepa

	* t/test_filters.t: Include tv_to_text, and running commands on
	  just overlap.xml, in the standard set of tests.

2003-12-14 19:08  epaepa

	* t/data/: overlap.xml, tv_cat_all_UTF8.expected,
	  tv_cat_overlap_xml.expected, tv_extractinfo_en_all_UTF8.expected,
	  tv_extractinfo_en_overlap_xml.expected,
	  tv_grep_a_all_UTF8.expected, tv_grep_a_overlap_xml.expected,
	  tv_grep_category_g_or_title_h_all_UTF8.expected,
	  tv_grep_category_g_or_title_h_overlap_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_all_UTF8.expected,
	  tv_grep_channel_xyz_or_not_channel_b_overlap_xml.expected,
	  tv_grep_not_channel_id_channel4_com_all_UTF8.expected,
	  tv_grep_not_channel_id_channel4_com_overlap_xml.expected,
	  tv_grep_not_channel_name_d_all_UTF8.expected,
	  tv_grep_not_channel_name_d_overlap_xml.expected,
	  tv_grep_on_before_200302161330_UTC_all_UTF8.expected,
	  tv_grep_on_before_200302161330_UTC_overlap_xml.expected,
	  tv_remove_some_overlapping_all_UTF8.expected,
	  tv_remove_some_overlapping_overlap_xml.expected,
	  tv_sort_all_UTF8.expected, tv_sort_by_channel_all_UTF8.expected,
	  tv_sort_by_channel_overlap_xml.expected,
	  tv_sort_overlap_xml.expected, tv_to_latex_all_UTF8.expected,
	  tv_to_latex_overlap_xml.expected, tv_to_text_all_UTF8.expected,
	  tv_to_text_overlap_xml.expected: Additions to overlap.xml in aid
	  of catching a bug in tv_sort.

2003-12-14 18:56  epaepa

	* t/data/: tv_to_text_all_UTF8.expected,
	  tv_to_text_amp_xml.expected, tv_to_text_amp_xml_amp_xml.expected,
	  tv_to_text_amp_xml_clump_xml.expected,
	  tv_to_text_amp_xml_dups_xml.expected,
	  tv_to_text_amp_xml_empty_xml.expected,
	  tv_to_text_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_to_text_clump_xml_amp_xml.expected,
	  tv_to_text_dups_xml_amp_xml.expected,
	  tv_to_text_empty_xml_amp_xml.expected: Corrected expected output
	  for tv_to_text after previous 'TA' channel name change in an
	  input file.

2003-12-14 18:33  epaepa

	* filter/tv_remove_some_overlapping,
	  t/data/tv_remove_some_overlapping_all_UTF8.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_amp_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_clump_xml_amp_xml.expected,
	  t/data/tv_remove_some_overlapping_clump_xml_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_dups_xml_amp_xml.expected,
	  t/data/tv_remove_some_overlapping_dups_xml_clump_xml.expected,
	  t/data/tv_remove_some_overlapping_dups_xml_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_dups_xml_empty_xml.expected,
	  t/data/tv_remove_some_overlapping_empty_xml_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_intervals_xml.expected,
	  t/data/tv_remove_some_overlapping_sort1_xml.expected,
	  t/data/tv_remove_some_overlapping_sort2_xml.expected,
	  t/data/tv_remove_some_overlapping_sort_xml.expected:
	  tv_remove_some_overlapping: write output programmes in same order
	  as input, rather than writing uninteresting programmes as early
	  as possible.

2003-12-14 17:58  epaepa

	* filter/tv_remove_some_overlapping: Corrected manual page.

2003-12-14 17:45  epaepa

	* README, Makefile.PL: XML::Writer-0.4.1 is now required.  This
	  release can currently be found only in my CPAN author directory,
	  but I hope the same fix (for an annoying warning) can be included
	  in the official version eventually.

2003-12-14 11:11  epaepa

	* t/test_filters.t: If a 'foo.expected_err' file exists, check
	  stderr against it.

2003-12-14 10:50  epaepa

	* t/test_tv_split.t: Whitespace.

2003-12-14 10:48  epaepa

	* t/test_filters.t: Comment.

2003-12-14 09:44  epaepa

	* xmltv.dtd: ISO 3316 is 'assembly tools for screws and nuts'
	  apparently - no idea why I thought it specified language codes.
	  Anyway, we should use RFC 1766.

2003-12-10 21:37  epaepa

	* mkdist, grab/Get_nice.pm: Set User-Agent to
	  "xmltv/$XMLTV::VERSION".

2003-12-10 21:30  epaepa

	* grab/: Grab_XML.pm, Memoize.pm, de/tv_grab_de, dk/tv_grab_dk,
	  nl_wolf/tv_grab_nl_wolf, uk_rt/tv_grab_uk_rt.in: Refactoring: use
	  XMLTV::Get_nice instead of LWP::Simple, with $Delay = 0 where
	  appropriate.

2003-12-10 20:56  epaepa

	* grab/Get_nice.pm: Let the user change the default five seconds as
	  $Delay.

2003-12-09 06:46  rmeden

	* lib/exe_opt.pl: add perlio::gzip to trim list.  At least until we
	  upgrade EXE to Perl58

2003-12-09 06:45  rmeden

	* Makefile.PL: correct minimum version number of XML::Parser.  3.34
	  doesn't exist 2.34 is current.

2003-12-08 21:00  jskov

	* grab/dk/tv_grab_dk: subtitles fix (by Martin Moeller)

2003-12-07 22:28  epaepa

	* README, doc/README.win32, lib/XMLTV.pm.in, Makefile.PL: Version
	  0.5.25.

2003-12-07 22:08  epaepa

	* grab/dk/tv_grab_dk: Don't set sub-title to '1' on seeing (TH) in
	  listings.  But what does that flag mean?

2003-12-07 17:15  epaepa

	* Makefile.PL: HTML::Parser 3.34 is required for tv_grab_na because
	  it may fix the segfaults some people have seen.

2003-12-06 16:29  epaepa

	* filter/tv_grep.in: Spelling.

2003-12-06 11:54  epaepa

	* MANIFEST, Makefile.PL, README, doc/QuickStart: Removed
	  tv_grab_sn.

2003-11-30 18:40  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.24.

2003-11-29 23:17  epaepa

	* lib/IMDB.pm: Realized why getstore() appeared to succeed without
	  generating a file - I was checking the return status wrongly.  It
	  returns an http status, not true/false.

	  If --download is given (in other words, we are starting from
	  scratch with no data files), create the IMDB directory if needed.

	  Added some vertical space to warning messages.

2003-11-29 21:44  epaepa

	* lib/IMDB.pm: Catch the case when LWP::Simple::getstore() reports
	  success but did not create the output file.

2003-11-29 17:28  jveldhuis

	* lib/IMDB.pm: default for star-ratings is to not replace added
	  stubs to control if 'date' field will get updated or not fixed
	  url field so it properly identifies duplicates.  fixed categories
	  where if any categories exists, nothing was added.

2003-11-29 12:33  epaepa

	* grab/Europe_TZ.pm: parse_eur_date(): more robust handling of bad
	  date passed in.

	  dst_dates(): now private to this module (it was not used anywhere
	  else), so die() instead of croak() on error.

2003-11-29 12:31  epaepa

	* grab/dk/tv_grab_dk: get_courteous(): call get_courteous_aux()
	  with a single scalar argument, to make extra sure of scalar
	  context.

	  tidy(): new routine, similar to that in many other grabbers, to
	  clean up illegal characters in the site's HTML.

	  More robust handling of dates.

2003-11-29 11:37  epaepa

	* lib/Gunzip.pm: zlib_gunzip_open(): check return value from tie.

2003-11-29 11:26  epaepa

	* README, lib/Gunzip.pm: XMLTV::Gunzip uses PerlIO::gzip, if
	  available, for reading .gz files - much faster than making a tied
	  filehandle from Compress::Zlib.

2003-11-29 10:41  epaepa

	* lib/IMDB.pm: Comment.

2003-11-29 10:40  epaepa

	* Makefile.PL: Require XML::Parsser 2.34 - see
	  <http://rt.cpan.org/NoAuth/Bug.html?id=4501>.

2003-11-29 02:04  jveldhuis

	* filter/tv_imdb: fixed help/usage message

2003-11-29 02:03  jveldhuis

	* lib/IMDB.pm: cosmetic message changes, added note about errors in
	  stage 7 are normal and unlink .offline file before stage7 sanity
	  checks

2003-11-28 21:54  jveldhuis

	* lib/IMDB.pm: pretty things up and manually track linecounts since
	  Gunzip.pm does not set \$.

2003-11-26 15:53  jveldhuis

	* lib/IMDB.pm: Found genres fail to parse bug in 0.5.23.

	  Turns out I had the header string in a regular expression with
	  the o flag so it was only getting compiled twice. This would have
	  been okay if the subroutine wasn't being used for both the Movies
	  list and the Genres list.

2003-11-22 13:34  epaepa

	* Makefile.PL: Not all versions of pod2text take an input and
	  output filename, so use redirection.

2003-11-22 13:23  epaepa

	* Makefile.PL: Prompt about README.win32.

2003-11-22 13:22  epaepa

	* doc/README.win32: Updated release notes, mentioning tv_imdb
	  problems.

2003-11-19 22:40  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.23.

2003-11-19 22:28  epaepa

	* filter/tv_imdb: Respect --download flag no matter what
	  preparation stage is chosen.

2003-11-19 22:04  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Patches from Edward Wildgoose:
	  enable --output option (which seems to have worked all along);
	  more robust handling of categories; handle deaf-signed and
	  audio-described by adding to description; include URL in warning
	  message; deal more gracefully with pages that explicitly have no
	  programmes available.

2003-11-19 21:59  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Don't output (or warn about)
	  duplicate <sub-title>s.

2003-11-19 21:47  epaepa

	* Makefile.PL: Fixed to work with older Getopt::Long versions.

2003-11-19 03:47  jveldhuis

	* lib/IMDB.pm: moved come FUTURE/BUG comments local to
	  alternativeTitles subroutine

2003-11-18 16:28  jveldhuis

	* lib/IMDB.pm: added some version checking to fail nicer with
	  instructions

2003-11-18 07:14  jveldhuis

	* filter/tv_imdb: added star-ratings and genres to categories - now
	  has 7 stages

2003-11-18 07:13  jveldhuis

	* lib/IMDB.pm: added star-ratings and genres to the mix

2003-11-16 19:10  jveldhuis

	* lib/IMDB.pm: added bug description

2003-11-16 18:52  jveldhuis

	* lib/IMDB.pm: added more info to moviedb.info file - file
	  locations and sizes

2003-11-15 02:28  jveldhuis

	* lib/IMDB.pm: bug - directors and actors only updated if its
	  replacing or updating an existing list

2003-11-09 21:10  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.22.

2003-11-09 20:16  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: get_url(): throw an exception if the
	  page cannot be downloaded rather than returning undef.  This
	  interacts better with memoization.

2003-11-09 18:55  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Remove BS characters if they appear
	  in downloaded HTML (Brian Collins reported this can sometimes
	  happen).

2003-11-08 18:37  epaepa

	* Makefile.PL: windows_dist: ported to work on Windows (I hope).

2003-11-08 15:43  epaepa

	* Makefile.PL: windows_dist: generate documentation directly with
	  pod2text, rather than from the installed man pages.

2003-11-08 15:23  epaepa

	* Makefile.PL: Fixed rather dangerous bug (well, a bug in
	  MakeMaker, made dangerous by this code) of rm -rf'ing
	  $(INSTALLBIN) - that directory may not have the same PREFIX as
	  other stuff.

2003-11-08 13:57  epaepa

	* grab/: es/tv_grab_es, fi/tv_grab_fi, it/tv_grab_it.in: Give the
	  'base' timezone for Europe_TZ as a numeric not named timezone.
	  This is (hopefully) the last bit of work for Sourceforge
	  bug/feature #834143.

2003-11-08 13:55  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Use numeric timezones.  Handle a few
	  more bits of description.

2003-11-08 13:53  epaepa

	* grab/nl_wolf/tv_grab_nl_wolf: Fix timezones from the upstream
	  data with tz_to_num().

2003-11-08 13:51  epaepa

	* grab/Europe_TZ.pm: Comment.

2003-11-08 13:01  epaepa

	* lib/TZ.pm: Work around bug in ParseDate()'s handling of numeric
	  timezones.  Added some trace code.

2003-11-07 20:08  epaepa

	* filter/tv_remove_some_overlapping: When a programme could be
	  removed because of partitioning, but isn't because we don't want
	  to throw away information, print a warning.

	  <url> is a boring subelement of <programme> and shouldn't stop
	  one being discarded.

2003-11-03 20:50  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.21.

2003-11-03 20:35  epaepa

	* doc/README.win32: Release notes for 0.5.20 Windows binary
	  distribution.

2003-11-03 20:24  epaepa

	* t/test_tv_split.t: Fixed to work with tv_split in blib/script/
	  rather than expecting it to be in the PATH.

2003-11-02 22:43  epaepa

	* Makefile.PL, README, doc/README.win32, lib/XMLTV.pm.in: Version
	  0.5.20.

2003-11-02 22:38  epaepa

	* grab/uk_rt/tv_grab_uk_rt.in: Handle 'Deaf-signed' (well,
	  actually, discard it with a warning).

2003-11-02 22:17  epaepa

	* MANIFEST: Adding test_remove_some_overlapping test files which I
	  committed earlier.

2003-11-01 19:19  epaepa

	* t/data/: tv_to_latex_all_UTF8.expected,
	  tv_to_latex_amp_xml.expected,
	  tv_to_latex_amp_xml_amp_xml.expected,
	  tv_to_latex_amp_xml_clump_xml.expected,
	  tv_to_latex_amp_xml_dups_xml.expected,
	  tv_to_latex_amp_xml_empty_xml.expected,
	  tv_to_latex_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_to_latex_clump_xml_amp_xml.expected,
	  tv_to_latex_dups_xml_amp_xml.expected,
	  tv_to_latex_empty_xml_amp_xml.expected: Changed 'T & A' -> 'TA'
	  in LaTeX expected output.

2003-11-01 19:02  epaepa

	* MANIFEST, t/test_tv_split.t: Test suite for tv_split.

2003-11-01 18:41  epaepa

	* t/data/: amp.xml, tv_cat_all_UTF8.expected,
	  tv_cat_amp_xml.expected, tv_cat_amp_xml_amp_xml.expected,
	  tv_cat_amp_xml_clump_xml.expected,
	  tv_cat_amp_xml_dups_xml.expected,
	  tv_cat_amp_xml_empty_xml.expected,
	  tv_cat_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_cat_clump_xml_amp_xml.expected,
	  tv_cat_dups_xml_amp_xml.expected,
	  tv_cat_empty_xml_amp_xml.expected,
	  tv_extractinfo_en_all_UTF8.expected,
	  tv_extractinfo_en_amp_xml.expected,
	  tv_extractinfo_en_amp_xml_amp_xml.expected,
	  tv_extractinfo_en_amp_xml_clump_xml.expected,
	  tv_extractinfo_en_amp_xml_dups_xml.expected,
	  tv_extractinfo_en_amp_xml_empty_xml.expected,
	  tv_extractinfo_en_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_extractinfo_en_clump_xml_amp_xml.expected,
	  tv_extractinfo_en_dups_xml_amp_xml.expected,
	  tv_extractinfo_en_empty_xml_amp_xml.expected,
	  tv_grep_a_all_UTF8.expected, tv_grep_a_amp_xml.expected,
	  tv_grep_a_amp_xml_amp_xml.expected,
	  tv_grep_a_amp_xml_clump_xml.expected,
	  tv_grep_a_amp_xml_dups_xml.expected,
	  tv_grep_a_amp_xml_empty_xml.expected,
	  tv_grep_a_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_a_clump_xml_amp_xml.expected,
	  tv_grep_a_dups_xml_amp_xml.expected,
	  tv_grep_a_empty_xml_amp_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_all_UTF8.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml_amp_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml_clump_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml_dups_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml_empty_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_clump_xml_amp_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_dups_xml_amp_xml.expected,
	  tv_grep_channel_xyz_or_not_channel_b_empty_xml_amp_xml.expected,
	  tv_grep_not_channel_id_channel4_com_all_UTF8.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml_amp_xml.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml_clump_xml.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml_dups_xml.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml_empty_xml.expected,
	  tv_grep_not_channel_id_channel4_com_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_not_channel_id_channel4_com_clump_xml_amp_xml.expected,
	  tv_grep_not_channel_id_channel4_com_dups_xml_amp_xml.expected,
	  tv_grep_not_channel_id_channel4_com_empty_xml_amp_xml.expected,
	  tv_grep_not_channel_name_d_all_UTF8.expected,
	  tv_grep_not_channel_name_d_amp_xml.expected,
	  tv_grep_not_channel_name_d_amp_xml_amp_xml.expected,
	  tv_grep_not_channel_name_d_amp_xml_clump_xml.expected,
	  tv_grep_not_channel_name_d_amp_xml_dups_xml.expected,
	  tv_grep_not_channel_name_d_amp_xml_empty_xml.expected,
	  tv_grep_not_channel_name_d_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_not_channel_name_d_clump_xml_amp_xml.expected,
	  tv_grep_not_channel_name_d_dups_xml_amp_xml.expected,
	  tv_grep_not_channel_name_d_empty_xml_amp_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_all_UTF8.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml_amp_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml_clump_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml_dups_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml_empty_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_clump_xml_amp_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_dups_xml_amp_xml.expected,
	  tv_grep_on_after_2002_02_05_UTC_empty_xml_amp_xml.expected,
	  tv_grep_on_before_200302161330_UTC_all_UTF8.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml_amp_xml.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml_clump_xml.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml_dups_xml.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml_empty_xml.expected,
	  tv_grep_on_before_200302161330_UTC_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_grep_on_before_200302161330_UTC_clump_xml_amp_xml.expected,
	  tv_grep_on_before_200302161330_UTC_dups_xml_amp_xml.expected,
	  tv_grep_on_before_200302161330_UTC_empty_xml_amp_xml.expected,
	  tv_remove_some_overlapping_all_UTF8.expected,
	  tv_remove_some_overlapping_amp_xml.expected,
	  tv_remove_some_overlapping_amp_xml_amp_xml.expected,
	  tv_remove_some_overlapping_amp_xml_clump_xml.expected,
	  tv_remove_some_overlapping_amp_xml_dups_xml.expected,
	  tv_remove_some_overlapping_amp_xml_empty_xml.expected,
	  tv_remove_some_overlapping_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_remove_some_overlapping_clump_xml_amp_xml.expected,
	  tv_remove_some_overlapping_dups_xml_amp_xml.expected,
	  tv_remove_some_overlapping_empty_xml_amp_xml.expected,
	  tv_sort_all_UTF8.expected, tv_sort_amp_xml.expected,
	  tv_sort_amp_xml_amp_xml.expected,
	  tv_sort_amp_xml_clump_xml.expected,
	  tv_sort_amp_xml_dups_xml.expected,
	  tv_sort_amp_xml_empty_xml.expected,
	  tv_sort_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_sort_by_channel_all_UTF8.expected,
	  tv_sort_by_channel_amp_xml.expected,
	  tv_sort_by_channel_amp_xml_amp_xml.expected,
	  tv_sort_by_channel_amp_xml_clump_xml.expected,
	  tv_sort_by_channel_amp_xml_dups_xml.expected,
	  tv_sort_by_channel_amp_xml_empty_xml.expected,
	  tv_sort_by_channel_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  tv_sort_by_channel_clump_xml_amp_xml.expected,
	  tv_sort_by_channel_dups_xml_amp_xml.expected,
	  tv_sort_by_channel_empty_xml_amp_xml.expected,
	  tv_sort_clump_xml_amp_xml.expected,
	  tv_sort_dups_xml_amp_xml.expected,
	  tv_sort_empty_xml_amp_xml.expected: Changed channel name 'T & A'
	  to 'TA'.  The former is not a valid RFC2838 identifier and so I'm
	  not particularly concerned to test with it, but it does make
	  testing tv_split awkward.

2003-11-01 18:34  epaepa

	* t/data/test_remove_some_overlapping.xml: Adding this file - some
	  test cases for tv_remove_some_overlapping - which got
	  accidentally left out of CVS earlier.

2003-11-01 16:49  epaepa

	* Makefile.PL: Indentation.

2003-11-01 14:37  epaepa

	* grab/Europe_TZ.pm: parse_eur_date(): Fixed winter time when base
	  timezone not UTC.

2003-11-01 14:36  epaepa

	* grab/fi/tv_grab_fi: Logging.

2003-10-26 20:19  jveldhuis

	* lib/AskTerm.pm: make sure we don't end up with two newlines in
	  say() calls

2003-10-25 14:22  epaepa

	* MANIFEST, Makefile.PL, filter/tv_remove_some_overlapping,
	  t/test_filters.t, t/data/tv_cat_all_UTF8.expected,
	  t/data/tv_cat_test_remove_some_overlapping_xml.expected,
	  t/data/tv_extractinfo_en_all_UTF8.expected,
	  t/data/tv_extractinfo_en_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_a_all_UTF8.expected,
	  t/data/tv_grep_a_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_category_b_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_category_e_and_title_f_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_category_g_or_title_h_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_channel_id_channel4_com_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_channel_name_d_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_channel_xyz_or_channel_b_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_channel_xyz_or_not_channel_b_all_UTF8.expected,
	  t/data/tv_grep_channel_xyz_or_not_channel_b_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_eval_scalar_keys_5_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_i_category_i_title_h_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_i_category_i_title_j_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_i_last_chance_c_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_new_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_not_channel_id_channel4_com_all_UTF8.expected,
	  t/data/tv_grep_not_channel_id_channel4_com_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_not_channel_name_d_all_UTF8.expected,
	  t/data/tv_grep_not_channel_name_d_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_on_after_2002_02_05_UTC_all_UTF8.expected,
	  t/data/tv_grep_on_after_2002_02_05_UTC_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_on_after_200302161330_UTC_all_UTF8.expected,
	  t/data/tv_grep_on_after_200302161330_UTC_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_on_before_200302161330_UTC_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_premiere_test_remove_some_overlapping_xml.expected,
	  t/data/tv_grep_previously_shown_test_remove_some_overlapping_xml.expected,
	  t/data/tv_remove_some_overlapping_all_UTF8.expected,
	  t/data/tv_remove_some_overlapping_amp_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_amp_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_clump_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_dups_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_empty_xml.expected,
	  t/data/tv_remove_some_overlapping_amp_xml_empty_xml_empty_xml_clump_xml.expected,
	  t/data/tv_remove_some_overlapping_attrs_xml.expected,
	  t/data/tv_remove_some_overlapping_clump_extract_1_xml.expected,
	  t/data/tv_remove_some_overlapping_clump_extract_xml.expected,
